<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }
	
/*
ALGUNAS CARGAS ESPECIALES
NOTA: las variables $archivo y $archivo_php se chequean en inc.head.php
*/
// IGCODE //
if (strstr($archivo,"igcode"))
{
	// se imprime el <style> de phpinfo() sin body{}, sin a{} ... y con las clases modificadas
	/*
	
	**** original CSS de phpinfo() ****
	
	body {background-color: #ffffff; color: #000000;}
	body, td, th, h1, h2 {font-family: sans-serif;}
	pre {margin: 0px; font-family: monospace;}
	a:link {color: #000099; text-decoration: none; background-color: #ffffff;}
	a:hover {text-decoration: underline;}
	table {border-collapse: collapse;}
	.center {text-align: center;}
	.center table { margin-left: auto; margin-right: auto; text-align: left;}
	.center th { text-align: center !important; }
	td, th { border: 1px solid #000000; font-size: 75%; vertical-align: baseline;}
	h1 {font-size: 150%;}
	h2 {font-size: 125%;}
	.p {text-align: left;}
	.e {background-color: #ccccff; font-weight: bold; color: #000000;}
	.h {background-color: #9999cc; font-weight: bold; color: #000000;}
	.v {background-color: #cccccc; color: #000000;}
	.vr {background-color: #cccccc; text-align: right; color: #000000;}
	img {float: right; border: 0px;}
	hr {width: 600px; background-color: #cccccc; border: 0px; height: 1px; color: #000000;}
	
	*/
	
	if ($phpvar != "" && $phpvar == 1) {

	echo '
<style type="text/css">
	h1, h2 {font-family: sans-serif;}
	pre {margin: 0px; font-family: monospace;}
	.center {text-align: center;}
	.center { margin-left: auto; margin-right: auto; text-align: left;}
	h1 {font-size: 150%;text-align: center;}
	h2 {font-size: 125%;text-align: center;}
	.p {text-align: left;}
	.e {background-color: #ccccff; font-weight: bold; color: #000000;}
	.h {background-color: #9999cc; font-weight: bold; color: #000000;}
	.v {background-color: #cccccc; color: #000000;}
	.vr {background-color: #cccccc; text-align: right; color: #000000;}
	hr {width: 600px; background-color: #cccccc; border: 0px; height: 1px; color: #000000;}
	.center table { margin-left: auto; margin-right: auto; text-align: left;}
	.center img {float: right; border: 0px;}
	.center td, th {font-family: sans-serif;border: 1px solid #000000;}
	.center th { text-align: center !important; }
</style>';
	
	}

// TD_PEDIDOS //
} else if (strstr($archivo_php,TD_PEDIDOS))
{
	echo '
<script type="text/javascript">

function incluir_envio()
{
	var nombre_cliente = document.principal.nombre_cliente.value;
	var apellido_cliente = document.principal.apellido_cliente.value;
	var email_cliente = document.principal.email_cliente.value;
	var pais_cliente = document.principal.pais_cliente.value;
	var ciudad_cliente = document.principal.ciudad_cliente.value;
	var postal_cliente = document.principal.postal_cliente.value;
	var direccion_cliente = document.principal.direccion_cliente.value;
	var tel_cliente = document.principal.tel_cliente.value;

	document.principal.nombre_envio.value = nombre_cliente;
	document.principal.apellido_envio.value = apellido_cliente;
	document.principal.email_envio.value = email_cliente;
	document.principal.pais_envio.value = pais_cliente;
	document.principal.ciudad_envio.value = ciudad_cliente;
	document.principal.postal_envio.value = postal_cliente;
	document.principal.direccion_envio.value = direccion_cliente;
	document.principal.tel_envio.value = tel_cliente;

} // fin incluir_envio

</script>';

// MULTIMEDIA //
} else if (strstr($archivo_php,MULTIMEDIA))
{
	// previsualizar //
	if (isset($ig["publicar"]) || isset($ig[$campoid]) || isset($in["actualizar"]))
	{
			/*// tipo?
			$ext_mt = substr_x($row["archivo"],-3);
			$ext_mt = strtolower($ext_mt); // minusculas*/

			/* DESHABILITADO
			// es repositorio?
			if (substr_x($row["archivo"],0,7) == "http://")
			{ 
				$url_archivo = $row["archivo"];
				$url_archivo_exists = $row["archivo"];
		
			} else {
						
				$url_archivo = RUTA_INICIO_IMG."archivos_mult/".$row["archivo"];
				$url_archivo_exists = "../archivos_mult/".$row["archivo"];
			}*/
			
			$url_archivo = RUTA_INICIO_IMG."archivos_mult/".$row["archivo"];
			$url_archivo_exists = "../archivos_mult/".$row["archivo"];
			// extension
			preg_match('/\.([^\.]*$)/', $row["archivo"], $extension);
			$url_extension = strtolower($extension[1]);
					// source
					if ($url_extension == "flv") {
						$sourcetype = "video/mp4";
						$typegral = "video";
					} else if ($url_extension == "mp4")	{
						$sourcetype = "video/mp4";
						$typegral = "video";
					} else if ($url_extension == "ogv")	{
						$sourcetype = "video/ogg";
						$typegral = "video";
					} else if ($url_extension == "webm")	{
						$sourcetype = "video/webm";
						$typegral = "video";
					} else if ($url_extension == "mp3")	{
						$sourcetype = "audio/mpeg";
						$typegral = "audio";
					} else if ($url_extension == "ogg")	{
						$sourcetype = "audio/ogg";
						$typegral = "audio";	
					} else if ($url_extension == "wav")	{
						$sourcetype = "audio/wav";
						$typegral = "audio";
					} else {
						$sourcetype = "";
						$typegral = "";
					}			
			// modo de reproduccion
			$reprover = $row["repro"] != "" ? $row["repro"] : "html";

		if ($row["tipo"] == 1) // flv | mp4 | ogv ...
		{		

			if ($row["archivo"] && file_exists_url($url_archivo_exists))
			{
				// foto
				if ($row["foto"] != "" && file_exists_url("../fotos/".$row["foto"]))
				{
					if ($reprover == "html") {
						$url_foto = RUTA_INICIO_IMG."fotos/".$row["foto"]; // projekktor
					} else if ($reprover = "flash") {
						$url_foto = RUTA_INICIO_IMG."fotos/".$row["foto"]; // flowplayer
					}
				} else {
					$url_foto = ""; // not image
				}
				
				/* DESHABILITADO
				// skin
				if ($row["skin_rep"] == "" || $row["skin_rep"] == NULL )
				{
					$ruta_skin = "";
				
				} else {
					
					if (file_exists_url("../paqs/flowplayer/skins/".$row["skin_rep"]))
					{
						$ruta_skin = $row["skin_rep"]; // sin ruta desde el flvplayer.swf
					} else {
						$ruta_skin = "";					
					}
				}*/
				$ruta_skin = "";
				
				if ($reprover == "html") {	
					echo '<link rel="stylesheet" href="'.RUTA_INICIO_IMG.'paqs/player/pr/theme/style.css" type="text/css" media="screen" />'."\n";			
					echo '<script language="javascript" type="text/javascript" src="'.RUTA_INICIO_IMG.'paqs/player/pr/projekktor.min.js"></script>'."\n";
				} else if ($reprover = "flash") {
					echo '<script language="javascript" type="text/javascript" src="'.RUTA_INICIO_IMG.'paqs/flowplayer/flowplayer.min.js"></script>'."\n";					
				}
			}

		} else if ($row["tipo"] == 2) // mp3 | ogg ...
		{

			if ($row["archivo"] && file_exists_url($url_archivo_exists))
			{
				// div
				$idconte_ancho = $row["ancho"]+50; // aumentar si es necesario por ajuste de salida -> +50
				$idconte_alto = $row["alto"]+5; // aumentar si es necesario por ajuste de salida -> +5

				if ($reprover == "html") {	
				
					echo '<link rel="stylesheet" href="'.RUTA_INICIO_IMG.'paqs/player/pr/theme/style.css" type="text/css" media="screen" />'."\n";			
					echo '<script language="javascript" type="text/javascript" src="'.RUTA_INICIO_IMG.'paqs/player/pr/projekktor.min.js"></script>'."\n";
				
				} else if ($reprover = "flash") {

					echo '<script language="javascript" type="text/javascript" src="'.RUTA_INICIO_IMG.'paqs/swfobject/swfobject.js"></script>'."\n";
					echo '<script type="text/javascript">
	
						var pathtoplayer = "../paqs/mp3player/mp3playermaxi.swf";
						var pathtoexpress = "../paqs/swfobject/expressInstall.swf";
						var versionplayer = "9.0.28";
						var idconte = "audioplayer";
	
						var flashvars = {};
						flashvars.mp3 = "'.$url_archivo.'";
						flashvars.showstop = "1";
						flashvars.showvolume = "1";
						flashvars.volume = "200";
						flashvars.width = "'.$row["ancho"].'";
						flashvars.height = "'.$row["alto"].'";
						
						var params = {};
						params.wmode = "transparent";
						var attributes = {};
	
						swfobject.embedSWF(pathtoplayer, idconte, "'.$idconte_ancho.'", "'.$idconte_alto.'", versionplayer, pathtoexpress, flashvars, params, attributes);
	
					</script>'."\n";
				
				}

			} // del if ($row["archivo"]...

		} // del if ($row["tipo"])
	}
	// FIN previsualizar //

} // del if

/*
FIN ALGUNAS CARGAS ESPECIALES
*/	
?>