<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// funciones
	include("./ints/inc_funciones.php");

	// conectar
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3]);

	// configurar
	$qig = myquery("SELECT * FROM ".INGENIO,"[gestor=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	include("./ints/core/core.modr.php");

	// funciones proceso
	include("./ints/inc_funciones_pro.php");

	// idioma
	$qid = myquery("SELECT * FROM ".IDIOMA_ADMIN,"[gestor=lens]");
	while ($row_qid = myfetch($qid))
	{
		if ($row_qid["topic_pre"]  != "")
		{
			define("LEN_ADMIN_".$row_qid["lenID"], $row_qid["topic_pre"]);
		} else {
			define("LEN_ADMIN_".$row_qid["lenID"], $row_qid["topic"]);
		}
	}

/******* CONFIGURACION  ***********/


/******* CONFIGURACION FIN ********/

	$no_get = $_SERVER['QUERY_STRING'] == "" ? 1 : 0 ;
	$uri_get = $_SERVER['REQUEST_URI'];
	$ig = $_GET;

	// inicio
	session_start();
	
	// autorizar al administrador
	if ($no_get)
	{
		$redir_admin = "";
		include("./".$ingenio_conn[7]."/inc.login.php");
	}
	
	
	// ver pag
	if ($no_get)
	{
		$conID = "";
		$ver_pag = "./".$ingenio_conn[6]."?vp=1";
	
	} else if (isset($ig["ads"])) {
	
		// gestor modo directo
		$conID = "";
		if (strpos($uri_get,".php")) {
			$ver_pag = "./".$ingenio_conn[6]."?vp=1";
		} else {
			$ver_pag = "./".$ingenio_conn[5]."/".$ingenio_conn[6]."?vp=1"; // mod_rewrite
		}			
	
	} else if (isset($ig["itemID"])) {
	
		$conID = $ig["itemID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_items.php?itemID=".$conID;
	
	} else if (isset($ig["imgID"])) {
	
		$conID = $ig["imgID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_imagenes.php?imgID=".$conID;
	
	} else if (isset($ig["fileID"])) {
	
		$conID = $ig["fileID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_archivos.php?fileID=".$conID;
	
	} else if (isset($ig["comenID"])) {
	
		$conID = $ig["comenID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_comentarios.php?comenID=".$conID;
	
	} else if (isset($ig["tradID"])) {
	
		$conID = $ig["tradID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_traducciones.php?tradID=".$conID;
	
	} else if (isset($ig["pagID"])) {
	
		$conID = $ig["pagID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_paginas.php?pagID=".$conID;
	
	} else if (isset($ig["fileID_priv"])) {
	
		$conID = $ig["fileID_priv"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_archivos_priv.php?fileID=".$conID;
	
	} else if (isset($ig["linkID"])) {
	
		$conID = $ig["linkID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_links.php?linkID=".$conID;
	
	} else if (isset($ig["multID"])) {
	
		$conID = $ig["multID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_multimedia.php?multID=".$conID;
	
	} else if (isset($ig["portID"])) {
	
		$conID = $ig["portID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_portada.php?portID=".$conID;
	
	} else if (isset($ig["relaID"])) {
	
		$conID = $ig["relaID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_relacionados.php?relaID=".$conID;
	
	} else if (isset($ig["oferID"])) {
	
		$conID = $ig["oferID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_td_ofertas.php?oferID=".$conID;
		
	} else if (isset($ig["pasID"])) {
	
		$conID = $ig["pasID"];
		$ver_pag = "./".$ingenio_conn[7]."/adm_ig_privass.php?pasID=".$conID;
	
	}

	// REDIRECCIONAR //
	Redir ($ver_pag);

?>
