<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	/******* FUNCTIONS  ***********/
/*
	Funcion que devuelve el archivo buscado linea por linea
	$path -> ruta hacia el archivo
	$close -> Retorna o borra (true|false)
	$org_path -> ruta hacia el directorio temporal

	THIS FUNCTION AND SOME PARTS OF THIS SCRIPT ARE BASED ON 
	phpMyBackupPro
	http://www.phpMyBackupPro.net
*/

function get_lines($path, $close=false, $org_path=false)
{
    if (!isset($GLOBALS['lnFile'])) $GLOBALS['lnFile']=null;
    if (!$org_path) $org_path=$path; else $org_path="ftps/".$org_path;

		if (!$close) {
	        if ($GLOBALS['lnFile']==null) {
	            $GLOBALS['lnFile']=fopen($path, "r");
	        }
	        
	        if (!feof($GLOBALS['lnFile'])) {
	           return fgets($GLOBALS['lnFile']);
	        } else {
	            $close=true;
	        }
		}
		
		if ($close) {
			// remove the file handler
			@fclose($GLOBALS['lnFile']);
            $GLOBALS['lnFile']=null;
            return null;
        }
}

/*
	Funcion para conectar con la base de datos
*/
function myconnect($host,$user,$pass,$namedb,$err='')
{
	
	$conn = mysql_connect($host,$user,$pass);
	if (!$conn)
	{
		
		return $err;
				
	} else {
		
		$sel = mysql_select_db($namedb,$conn);
		if (!$sel)
		{
			return	$err;	
		}
	}
}

/*
	Funtion get files into directory
	$dir -> path to directorie
	$ext -> files extenssions ex. (jpg|png|php)
*/
function getfilesdir( $dir, $ext = '' )
{
	$dh = opendir($dir);
	$files = array();
	while (false !== ($filename = readdir($dh))) 
	{
		
		if ( !is_dir($dir.'/'.$filename) && strpos($filename," ") === false && substr($filename,0,1) != "." && $filename != "index.php")
		{
			if (trim($ext) == "")
			{
				
				$files[] = substr($dir."/".$filename,3);
			
			} else {
			
				if (preg_match('/\.'.$ext.'$/i', $filename))
				{
					$files[] = substr($dir."/".$filename,3);
				}
		
			}
		}
	
	} // del while
	
	closedir($dh);
	return $files;
	
}
	/******* END FUNCTIONS  ***********/

	/******* CONFIGURACION  ***********/

	$archivo = "getini.php";

	/******* CONFIGURACION FIN ********/


	if (isset($_GET["ESP"]))
	{
		setcookie("GX_inlang", "ESP", 0, "/");
		header ("Location: ".$archivo);
		exit;
	} else if (isset($_GET["ENG"])) {
		setcookie("GX_inlang", "ENG", 0, "/");
		header ("Location: ".$archivo);
		exit;
	}

	if (isset($_COOKIE["GX_inlang"]))
	{
		$lang_install = $_COOKIE["GX_inlang"];
	} else {
		$lang_install = "ESP";
	}


	// textos //
	if ($lang_install == "ESP") {
	// ESP //
	$titulo = "INSTALAR";
	$text_rot = "INSTALACIÓN";
	$text_rot1 = "ACCESO RESTRINGIDO";
	$text_data1 = "Datos de instalación básicos";
	$text_data2 = "Datos de instalación opcionales";
	$text_data3 = "Archivo SQL de instalación o actualización";
	$text_data4 = "Modo de instalación";
	$text_1 = "HOST de la Base de Datos<br />(e. localhost)";
	$text_2 = "Nombre del usuario de la Base de Datos";
	$text_3 = "Contraseña del usuario de la Base de Datos<br />Este dato se requerirá para volver a utilizar este instalador";
	$text_4 = "Nombre de la Base de Datos<br />La base de datos tiene que estar creada antes con el Panel de Control del servidor";
	$text_5 = "Nombre del DOMINIO completo<br />(e. www.midominio.com)";
	$text_6 = "Ruta desde el dominio sin '/'. 'web' es obligatorio.<br />Modificar sólo para instalaciones especiales, como en un servidor local. Instalar en un directorio no permite usar <em>.htaccess</em><br />(e. web) (e. nombre_directorio/web)";
	$text_7 = "Nombre del archivo de acceso al administrador<br />(e. admin.php)";
	$text_8 = "Nombre del directorio del administrador<br />(e. adms)";
	$text_9 = "Elegir archivo SQL";
	$text_10 = "Actualización SQL";
	$text_11 = ": INSTALAR :";
	$text_12 = ": PROBAR :";
	$text_13 = "¡¡ ATENCIÓN !!<br />Los archivos o directorios siguientes NO TIENEN PERMISO DE ESCRITURA 0777";
	$text_14 = "ERROR:<br />El archivo 'ingenio_conn.php' no existe";
	$text_15 = "ERROR:<br />El archivo 'ingenio_conn.php' no es válido";
	$text_16 = "ERROR:<br />Los datos ingresados NO PERMITEN CONECTAR. Inténtelo de nuevo";
	$text_17 = "Instalación efectuada CORRECTAMENTE";
	$text_18 = ": ENTRAR :";
	$text_19 = "¡¡ ATENCIÓN !!<br />Recuerde renombrar o borrar este archivo después de entrar en el administrador";
	$text_20 = "Usuario:";
	$text_21 = "Contraseña:";
	$text_22 = "Primera instalación";
	$text_23 = "&lt;&lt; volver";
	$text_24 = "Modificar datos de instalación";
	$text_25 = "Nombre del directorio de los archivos privados<br />(e. archivos_priv)";
	$text_26 = "Versión instalada";
	$text_27 = "Versión para instalar";
	$text_28 = "ERROR:<br />No se reconoce la versión";
	$text_29 = "Los cambios deben hacerse antes de modificarlos aquí";
	$text_30 = "ERROR:<br />Contraseña de usuario incorrecta";
	$text_31 = "Debe rellenar todos los datos requeridos";
	$text_pass1 = "Contraseña del usuario de la Base de Datos";
	}
	else if ($lang_install == "ENG") {
	// ENG //
	$titulo = "INSTALL";
	$text_rot = "INSTALLATION";
	$text_rot1 = "RESTRICTED ACCESS";
	$text_data1 = "Initial installation data";
	$text_data2 = "Optional installation data";
	$text_data3 = "SQL file of installation or update";
	$text_data4 = "Installation way";
	$text_1 = "HOST Data Base<br />(e. localhost)";
	$text_2 = "Data Base user";
	$text_3 = "Data Base user password<br />This data will be required to return to use this installer";
	$text_4 = "Data Base name<br />The data base must be created before with the Control Panel of the server";
	$text_5 = "DOMAIN name<br />(e. www.mydomain.com)";
	$text_6 = "Path from domain without '/'. 'web' is obligatory.<br />Modify only for special installations, like in a local server. Install in a directory not used <em>.htaccess</em><br />(e. web) (e. directory_name/web)";
	$text_7 = "File name to access to the administrator<br />(e. admin.php)";
	$text_8 = "Directory name of the administrator<br />(e. adms)";
	$text_9 = "Choose SQL file";
	$text_10 = "SQL update";
	$text_11 = ": INSTALL :";
	$text_12 = ": TRY :";
	$text_13 = "¡¡ ATTENTION !!<br />The following files or directories DO NOT HAVE WRITING PERMISSION 0777";
	$text_14 = "ERROR:<br />The file 'ingenio_conn.php' does not exist";
	$text_15 = "ERROR:<br />The file 'ingenio_conn.php' is not valid";
	$text_16 = "ERROR:<br />The entered data DO NOT ALLOW TO CONNECT. Try again";
	$text_17 = "Installation successful CORRECTLY";
	$text_18 = ": ENTER :";
	$text_19 = "¡¡ ATTENTION !!<br />Remember rename or erase this file after entering into administrator area";
	$text_20 = "User:";
	$text_21 = "Password:";
	$text_22 = "First installation";
	$text_23 = "&lt;&lt; back";
	$text_24 = "Modify installation data";
	$text_25 = "Directory name of the private files<br />(e. archivos_priv)";
	$text_26 = "Installed version";
	$text_27 = "Version to install";
	$text_28 = "ERROR:<br />The version is not clear";
	$text_29 = "The changes must become before modifying them here";
	$text_30 = "ERROR:<br />Incorrect user password";
	$text_31 = "It must fill up all the required data";
	$text_pass1 = "Data Base user password";
	}
	// FIN textos //

	
	// EXISTE CONFIG //
		if (file_exists("./igns/ingenio_conn.php"))
		{
			// existe
			if (!isset($_POST["install"]))
			{
				$ingenio_conn = array();
				include("./igns/ingenio_conn.php");

				// array complet
				if (!isset($ingenio_conn[5])) { $ingenio_conn[5] = "web"; }
				if (!isset($ingenio_conn[6])) { $ingenio_conn[6] = "admin.php"; }
				if (!isset($ingenio_conn[7])) { $ingenio_conn[7] = "adms"; }
				if (!isset($ingenio_conn[8])) { $ingenio_conn[8] = "archivos_priv"; }
			}

		} else {
	
			$ingenio_conn = array();
			$ingenio_conn[0] = "localhost"; // HOST (ex. localhost)
			$ingenio_conn[1] = ""; // Data Base user
			$ingenio_conn[2] = ""; // Data Base user password
			$ingenio_conn[3] = ""; // Data Base name
			$ingenio_conn[4] = ""; // DOMAIN name (ex. www.mydomain.com)
			$ingenio_conn[5] = "web"; // Path from domain without '/'. 'web' is obligatory (ex. web) (ex. directory_name/web)
			$ingenio_conn[6] = "admin.php"; // FILE name of ACCESS to the administrator (ex. admin.php)
			$ingenio_conn[7] = "adms"; // DIRECTORY name of the administrator (ex. adms)
			$ingenio_conn[8] = "archivos_priv"; // DIRECTORY name of the private files (ex. archivos_priv)
		
			$err = $text_14;
	
		}
	// FIN EXISTE CONFIG //

	// CHECK //
	if (isset($_POST["install"]))
	{
		$ingenio_userpass = false;
	} else {
		$ingenio_userpass = true;

		// first installation //
		if ($ingenio_conn[1] == "" && $ingenio_conn[2] == "")
		{
			$ingenio_first = true;
		} else {
			$ingenio_first = false;
		}
		// END first installation //
	}
	// FIN CHECK //

	
	// TEST //
	// chekeo antes de instalar
	if (!isset($_POST["install"]))
	{

		// inGenio userpass //
		if ($ingenio_conn[1] != "" && $ingenio_conn[2] != "" && !isset($_COOKIE["GX_incode"]))
		{	
			$ingenio_userpass = true;
		
		} else if ($ingenio_conn[1] == "" && $ingenio_conn[2] == "") {
		
			$ingenio_userpass = false;
	
		} else if ($ingenio_conn[1] != "" && $ingenio_conn[2] != "" && isset($_COOKIE["GX_incode"])) {
			
			if ($_COOKIE["GX_incode"] == $ingenio_conn[2]) {
				$ingenio_userpass = false;
			} else {
				$ingenio_userpass = true;
			}
		}
		// FIN inGenio userpass //

		// inGenio userpass post //
		if (isset($_POST["ingeniopass"]))
		{
			$codep = trim($_POST["code"]);	
			if ($codep == $ingenio_conn[2])
			{
				// gestion por sesion
				setcookie("GX_incode", $ingenio_conn[2], 0, "/");
				header ("Location: ".$archivo);
				exit;
			} else {
				$err_code = $text_30;
				$ingenio_userpass = true;
			}		
		}
		// FIN inGenio userpass post //

		// lista de directorios y archivos
		$err_dir_test = array();
		$err_dir_test[0] = "./archivos";
		$err_dir_test[1] = "./archivos_html";
		$err_dir_test[2] = "./archivos_mult";
		$err_dir_test[3] = "./".$ingenio_conn[8];
		$err_dir_test[4] = "./fotos";
		$err_dir_test[5] = "./ftps";
		$err_dir_test[6] = "./ftps/ingenio_cm.js";
		$err_dir_test[7] = "./imagenes";
		$err_dir_test[8] = "./templates_c";
		$err_dir_test[9] = "./templates_cp";
		$err_dir_test[10] = "./igns";
		$err_dir_test[11] = "./igns/ingenio_conn.php";
	
		$testinstal = "";
	
		for ($i=0; $i<count($err_dir_test); $i++)
		{
			if ( !is_writable($err_dir_test[$i]))
			{ 
				$testinstal .= $err_dir_test[$i]."<br />"; 
			}
	
		}
	}
	// FIN TEST //
	
// variables usadas
$mostrar_form = true;
$sql_error = false;
$opvalor = isset($_POST['op']) ? $_POST['op'] : false ;  
if (!isset($_POST['sql_query'])) { $_POST['sql_query'] = false; }
if (!isset($_POST['sql_file'])) { $_POST['sql_file'] = false; }
if (!isset($_FILES['sql_file'])) { $_FILES['sql_file'] = false; }  
if (!isset($_POST['adsqlfile'])) { $_POST['adsqlfile'] = false; }  // chequeo archivo de primera instalacion
if (isset($_GET["err_conn"])) { $err_conn = $text_16; } // mensaje salida error conexion

// proceder a la instalacion //
if (isset($_POST["install"]) && $opvalor)
{

    @set_time_limit(60);
    @ignore_user_abort(TRUE);


	// DATOS CONFIG //
 	if ($opvalor == 1 || $opvalor == 3)
 	{
 		// existe? 
 		if (!file_exists("./igns/ingenio_conn.php"))
 		{
			// NO ES VALIDO ingenio_conn.php //
			$err = $text_15;
		
		} else {

			$f = @fopen("./igns/ingenio_conn.php","wb");
			$s = '<?php
/*
 SCRIPT AUTOLOAD
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/* OBLIGATORIOS / OBLIGATORY
	[0] -> HOST de la Base de Datos (ej. localhost)
	[1] -> Nombre del usuario de la Base de Datos
	[2] -> \'password\' del usuario de la Base de Datos
	[3] -> Nombre de la Base de Datos
	[4] -> Nombre del domino completo (ej. www.midominio.com)
*/
$ingenio_conn[0] = "'.$_POST["host"].'"; // HOST (ex. localhost)
$ingenio_conn[1] = "'.$_POST["user"].'"; // Data Base user
$ingenio_conn[2] = "'.$_POST["pass"].'"; // Data Base user password
$ingenio_conn[3] = "'.$_POST["base"].'"; // Data Base name
$ingenio_conn[4] = "'.$_POST["dom"].'"; // DOMAIN name (ex. www.mydomain.com)


/* OPCIONALES / OPTIONAL
	[5] -> Ruta desde el dominio sin \'/\' al inicio ni al final. \'web\' es obligatorio. (ej. web) (ej. nombre_directorio/web)
	[6] -> Nombre del archivo de acceso al administrador (ej. admin.php)
	[7] -> Nombre del directorio del administrador (ej. adms)
	[8] -> Nombre del directorio de los archivos privados (ej. archivos_priv)
*/
$ingenio_conn[5] = "'.$_POST["dir"].'"; // Path from domain without \'/\'. \'web\' is obligatory (ex. web) (ex. directory_name/web)
$ingenio_conn[6] = "'.$_POST["file"].'"; // FILE name of ACCESS to the administrator (ex. admin.php)
$ingenio_conn[7] = "'.$_POST["adir"].'"; // DIRECTORY name of the administrator (ex. adms)
$ingenio_conn[8] = "'.$_POST["pdir"].'"; // DIRECTORY name of the private files (ex. archivos_priv)



?>';
?><?php	
	
			fwrite($f,$s);
			fclose($f);
		
		} //del if existe?
	}
	// FIN DATOS CONFIG //


	// CONEXION //
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	$conn = myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3],"ERROR");
	if ($conn == "ERROR")
	{
		// se inicializa ingenio_conn.php
		$f = @fopen("./igns/ingenio_conn.php","wb");
			$s = '<?php
/*
 SCRIPT AUTOLOAD
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/* OBLIGATORIOS / OBLIGATORY
	[0] -> HOST de la Base de Datos (ej. localhost)
	[1] -> Nombre del usuario de la Base de Datos
	[2] -> \'password\' del usuario de la Base de Datos
	[3] -> Nombre de la Base de Datos
	[4] -> Nombre del domino completo (ej. www.midominio.com)
*/
$ingenio_conn[0] = "localhost"; // HOST (ex. localhost)
$ingenio_conn[1] = ""; // Data Base user
$ingenio_conn[2] = ""; // Data Base user password
$ingenio_conn[3] = ""; // Data Base name
$ingenio_conn[4] = ""; // DOMAIN name (ex. www.mydomain.com)


/* OPCIONALES / OPTIONAL
	[5] -> Ruta desde el dominio sin \'/\' al inicio ni al final. \'web\' es obligatorio. (ej. web) (ej. nombre_directorio/web)
	[6] -> Nombre del archivo de acceso al administrador (ej. admin.php)
	[7] -> Nombre del directorio del administrador (ej. adms)
	[8] -> Nombre del directorio de los archivos privados (ej. archivos_priv)
*/
$ingenio_conn[5] = "web"; // Path from domain without \'/\'. \'web\' is obligatory (ex. web) (ex. directory_name/web)
$ingenio_conn[6] = "admin.php"; // FILE name of ACCESS to the administrator (ex. admin.php)
$ingenio_conn[7] = "adms"; // DIRECTORY name of the administrator (ex. adms)
$ingenio_conn[8] = "archivos_priv"; // DIRECTORY name of the private files (ex. archivos_priv)



?>';
?><?php	

		fwrite($f,$s);
		fclose($f);
		// se vuelve al principio con mensaje de error
		header ("Location: ".$archivo."?err_conn");
		exit;
	}
	// FIN CONEXION //

	// gestion por sesion
	setcookie("GX_incode", $ingenio_conn[2], 0, "/");

// subir archivo //
if ($opvalor == 1 || $opvalor == 2)
{
	// EXISTE ARCHIVO //
	if (($_POST['adsqlfile'] && file_exists($_POST['sqlfile'])) || $_FILES['sql_file'])
	{
		// primera instalacion
		if ($_POST['adsqlfile'])
		{			
			$ficonte = $_POST['sqlfile'];
	
			// trim lines and remove comments
			$sql_file="";
			// remove comments and store sql queries in $sql_file		
			while($line=get_lines($ficonte,false,basename($_POST['sqlfile'])))
			{
				if (trim($line) && substr(trim($line),0,1) != "#" && substr(trim($line),0,2) != "--") 
				{
					$sql_file.=trim($line)."\n";
				}
			}
			get_lines($ficonte,true,basename($_POST['sqlfile']));
		
			// do everything below once for the POST-data and once for the file
			$file_and_post=array($_POST['sql_query'],$sql_file);

		// actualizacion SQL
		} else if ($_FILES['sql_file']) 
		{
            	
			if (is_uploaded_file($_FILES['sql_file']['tmp_name']))
			{
				// trim lines and remove comments
				$sql_file="";
				// remove comments and store sql queries in $sql_file		
				while($line=get_lines($_FILES['sql_file']['tmp_name'],false,$_FILES['sql_file']['name']))
				{
					if (trim($line) && substr(trim($line),0,1) != "#" && substr(trim($line),0,2) != "--") 
					{
						$sql_file.=trim($line)."\n";
					}
				}
				get_lines($_FILES['sql_file']['tmp_name'],true,$_FILES['sql_file']['name']);
		
				// do everything below once for the POST-data and once for the file
				$file_and_post=array($_POST['sql_query'],$sql_file);
			}
		}	

		if(!isset($file_and_post)) {
			$file_and_post=array($_POST['sql_query']);
		}


		// $key > 0 when the source was a file
		// $key > 0 cuando era un archivo
		foreach($file_and_post as $key=>$sql_queries)
		{
	
			// replace these strings in the sql query. Do you know any more or a better way?
			if (!$key)
			{
				$str_find=array("\\'",'\\"',"\\\\");  //"
				$str_repl=array("'",'"',"\\");        //"
				$sql_queries=str_replace($str_find,$str_repl,$sql_queries);
			}
	
			// separate sql queries and remove empty queries
			// separar las llamadas y borrar las vacias
			$all_queries=str_replace(";\n",";|:-:--:-:|",$sql_queries);
			$all_queries=str_replace(";\r\n",";|:-:--:-:|",$all_queries);
			$queries=explode("|:-:--:-:|",$all_queries);
	
			// borrar filas vacias
			$all_queries="";
			foreach($queries as $number=>$query)
			{
				if (strlen($query)>1)
				{
					$all_queries[$number]=$query;
				}
			}
	
			// SQL queries
			$i=0;
			if (is_array($all_queries))
			{
				foreach($all_queries as $query)
				{
					$i++;
					// error if: no result AND error is not 'empty result' OR: error is empty result and its the first error
					if ((!$res=mysql_query($query) AND mysql_errno()!=1065) OR (mysql_errno()==1065 AND !$sql_error))
					{
						if ($key) 
						{
							$sql_error.= "Num_".$i;
						} else {
                        				$sql_error.=$i;
						}
						$sql_error.= "\n<br /><span class=\"mensaje\">".mysql_error()."</span><br />\n<span class=\"text-norm\">".$query."</span><br />\n";
					}

				} // del foreach($all_queries as $query)
			} // del if is_array($all_queries)
		} // del foreach($file_and_post as $key=>$sql_queries)
	} 
	// fin EXISTE ARCHIVO //
}
// FIN subir archivo //

	// SOFTWARE DATA //
	if ($opvalor == 1 && !$sql_error)
	{
		if (file_exists("./ints/core/core.resto.php") && file_exists("./ints/core/core.aplicacion.php"))
		{
			include_once("./ints/core/core.aplicacion.php");
			include_once("./ints/core/core.resto.php");
			// REGISTRO INFO
			$regdata = "INSERT INTO `".INFO."` (`paq`, `paq_desc`, `paq_version`, `paq_credit`, `date_instal`) VALUES('INSTALL', '".INGENIO_NOMBRE."', '".INGENIO_VERSION."', '<a href=\"".INGENIO_URL."\" target=\"_blank\">".INGENIO_NOMBRE."</a>', NOW());";
			$rg =	mysql_query($regdata);
		}
	}
	// END SOFTWARE DATA //

		// user, pass //
		if (!$sql_error)
		{
			// user / pass
			$q = mysql_query("SELECT igID,topic FROM ig_ingenio");
			if ($q)
			{
				while ($rowq = mysql_fetch_row($q))
				{
					if ($rowq[0] == 8) { $userhoy = $rowq[1]; }
					if ($rowq[0] == 9) { $passhoy = base64_decode($rowq[1]); }				
				}
			} else {
				$userhoy = "admin";
				$passhoy = "1234";			
			}
		
		}
		// user, pass //

	// salida //
	if ($sql_error)
	{
		// error
		$err_sql = $sql_error;
	}	
	if (!isset($err) && !isset($err_conn) && !isset($err_sql))
	{
		// OK
		$ok_sql = $text_17;   	
	}
	// salida //

} // del if (isset($_POST["install"]))
// FIN instalacion //

?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv ="Content-Type" content="text/html; charset=utf-8" />
<?php
	// si hay favicon
	if (file_exists("../favicon.ico"))
	{
		echo '<link rel="sortcut icon" href="../favicon.ico" type="image/ico" />';
	}
?>

<title><?php echo $titulo; ?></title>

<style type="text/css">
body
{
	margin: 10px;
	background-color: #FFF;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000;
}
input,textarea,select
{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	padding: 2px;
}
img { border: 0px; }
table td
{
	padding: 8px;
	text-align: right;
}
a
{
	text-decoration: none;
	color: blue;
}
a:hover
{
	text-decoration: none;
}
.boton
{
	font-weight: bold;
	background-color: #CF3;
	border-top: 1px solid #CF3;
	border-left: 1px solid #CF3;
	border-bottom: 2px solid #999;
	border-right: 2px solid #999;
	cursor: pointer;
}
.mensaje
{
	color: #900;
	font-weight: bold;
	line-height: 18px;
}
.mensaje_ok
{
	color: #0C3;
	font-weight: bold;
	line-height: 22px;
	font-size: 18px;
}
.mensaje_rot
{
	color: #039;
	font-weight: bold;
	line-height: 22px;
	font-size: 18px;
	text-align: center;
}
.mensaje_tit
{
	color: #C90;
	font-weight: bold;
	line-height: 22px;
	font-size: 18px;
	text-align: center;
}
.input_text
{
	background-color: #DEDEDE;
	border: 1px dotted #900;
	width: 400px;
}
.tmini { width: 115px; }
.tmax { width: 200px; }
.tchar { width: 30px; }
.tabla_acceso
{
	width: 800px;
	margin-top: 10px;
	margin-left: auto;
	margin-right: auto;
}
.td_input
{
	width:400px;
	text-align: left;
}
.td_boton { text-align: center; }
.logo_admin
{
	margin-left: auto;
	margin-right: auto;
	width: 350px;
	height: 150px;
	font-size: 45px;
	color: #666;
}
.text_norm
{
	font-size: 11px;
	color: #999;
}

</style>

<script type="text/javascript">

function relleno(campo) {
	var cadena = / /g;
	campo = campo.replace(cadena, "");
	return (campo == "") ? true : false;
}

function validar_ingreso (form)
{
	var alerta = "<?php echo $text_31; ?>";

<?php
	// promt
	if ($ingenio_userpass)
	{
?>
		if (relleno(form.code.value))
		{ 
			alert(alerta); form.code.focus(); return false; 
		}


<?php
	}
	// FIN promt

	// install
	if (!$ingenio_userpass)
	{
?>

	if (form.op[0].checked)
	{		
		if (relleno(form.host.value))
		{ 
			alert(alerta); form.host.focus(); return false; 
		}
		if (relleno(form.user.value))
		{ 
			alert(alerta); form.user.focus(); return false; 
		}
		if (relleno(form.pass.value))
		{ 
			alert(alerta); form.pass.focus(); return false; 
		}
		if (relleno(form.base.value))
		{ 
			alert(alerta); form.base.focus(); return false; 
		}
		if (relleno(form.dom.value))
		{ 
			alert(alerta); form.dom.focus(); return false; 
		}
		if (relleno(form.dir.value))
		{ 
			alert(alerta); form.dir.focus(); return false; 
		}
		if (relleno(form.file.value))
		{ 
			alert(alerta); form.file.focus(); return false; 
		}
		if (relleno(form.adir.value))
		{ 
			alert(alerta); form.adir.focus(); return false; 
		}
		if (relleno(form.pdir.value))
		{ 
			alert(alerta); form.pdir.focus(); return false; 
		}
	
	} else if (form.op[1].checked)
	{
		if (relleno(form.sql_file.value))
		{ 
			alert(alerta); form.sql_file.focus(); return false; 
		}
	
	} else if (form.op[2].checked)
	{
		if (relleno(form.host.value))
		{ 
			alert(alerta); form.host.focus(); return false; 
		}
		if (relleno(form.user.value))
		{ 
			alert(alerta); form.user.focus(); return false; 
		}
		if (relleno(form.pass.value))
		{ 
			alert(alerta); form.pass.focus(); return false; 
		}
		if (relleno(form.base.value))
		{ 
			alert(alerta); form.base.focus(); return false; 
		}
		if (relleno(form.dom.value))
		{ 
			alert(alerta); form.dom.focus(); return false; 
		}
		if (relleno(form.dir.value))
		{ 
			alert(alerta); form.dir.focus(); return false; 
		}
		if (relleno(form.file.value))
		{ 
			alert(alerta); form.file.focus(); return false; 
		}
		if (relleno(form.adir.value))
		{ 
			alert(alerta); form.adir.focus(); return false; 
		}
		if (relleno(form.pdir.value))
		{ 
			alert(alerta); form.pdir.focus(); return false; 
		}
	}
<?php
	}
	// FIN install
?>
} // fin validar_ingreso

</script>

</head>

<body>

<div class="logo_admin">
<?php
	if (file_exists("./skins_admin/estandar/imgs/img_logo.png"))
	{
		echo '<img src="./skins_admin/estandar/imgs/img_logo.png" />';
	} else {
		echo '';
	}
?>
</div>
<?php
	
	// promt
	if ($ingenio_userpass)
	{

?>

	<form action="<?php echo $archivo; ?>" method="post" name="inicio" onsubmit="return validar_ingreso(this);">
<table class="tabla_acceso">

<?php
	
	if (isset($err_code))
	{
			echo '<tr>
					<td colspan="2" class="mensaje">'.$err_code.'</td>
					</tr>';
	}

?>
    <tr> 
       <td colspan="2" class="mensaje_rot">
       		<?php  echo $text_rot1; ?>
       </td>
    </tr>
    
    <tr>
       <td>
       		<?php  echo $text_pass1; ?>
       </td>
       <td class="td_input"> 
			<input type="password" name="code" class="input_text tmini" value="">
       </td>
  	</tr>

  	<tr>
        <td colspan="2" class="td_boton"> 
       			<input type="hidden" name="ingeniopass" value="1">
      			<input type="submit" value="<?php  echo $text_18; ?>" class="boton">
       </td>
	
  	</tr>
  	
</table>
 	</form>
 	
<?php

	}
	// FIN promt

	
	// install
	if (!$ingenio_userpass)
	{

?>

	<form action="<?php echo $archivo; ?>" method="post" name="sql" enctype="multipart/form-data" onsubmit="return validar_ingreso(this);">
<table class="tabla_acceso">

<?php
	// version instalada
	if (file_exists("./ints/core/core.resto.php"))
	{
		include_once ("./ints/core/core.resto.php");
		$ingenio_actual_version = INGENIO_VERSION;
	} else {
		$ingenio_actual_version = $text_28; // Error
		$es_disabled = 1;
	}
	$text_26_27 = $ingenio_conn[1] == "" && $ingenio_conn[2] == "" ? $text_27 : $text_26 ;
	
	// rotulo
	if (!isset($ok_sql))
	{
			echo '<tr>
					<td colspan="2" class="mensaje_rot">'.$text_rot.'</td>
					</tr>';
	}

	if ((isset($testinstal) && $testinstal != "") || isset($err))
	{
		if (isset($err))
		{
			echo '<tr>
					<td class="mensaje">'.$err.'</td>
					</tr>';		
		}
		
		if ($testinstal != "")
		{
			echo '<tr>
					<td class="mensaje">'.$text_13.'</td>
					</tr>';
			echo '<tr>
					<td class="mensaje">'.$testinstal.'</td>
					</tr>';
		}
		
		$es_disabled = " disabled";
	
	} else {
		
		$es_disabled = isset($es_disabled) ? " disabled" : "";
	}

	if (isset($err_conn))
	{
			echo '<tr>
					<td>'.$err_conn.'</td>
					</tr>';
	}

	if (isset($err_sql))
	{
			echo '<tr>
					<td>'.$err_sql.'</td>
					</tr>';
		
	}

	// instalacion/actualizacion correcta
	if (isset($ok_sql))
	{
		if ($opvalor == 1) // primera instalacion
		{
			echo '<tr>
					<td class="mensaje_ok">'.$ok_sql.'</td>
					</tr>';

			echo '<tr>
					<td>
					<input type="button" value="'.$text_18.'" class="boton" onclick="location.href=\'http://'.$ingenio_conn[4].'/'.$ingenio_conn[5].'/gestor.php?ads=1\';">
					</td>
					</tr>';

			echo '<tr>
					<td>
					'.$text_20.' '.$userhoy.'<br />
					'.$text_21.' '.$passhoy.'
					</td>
					</tr>';

			// volver
			echo '<tr>
					<td>
					<a href="'.$archivo.'">'.$text_23.'</a> 
					</td>
					</tr>';

		} else if ($opvalor == 2) { // actualizacion SQL

			echo '<tr>
					<td class="mensaje_ok">'.$ok_sql.'</td>
					</tr>';

			// volver
			echo '<tr>
					<td>
					<a href="'.$archivo.'">'.$text_23.'</a> 
					</td>
					</tr>';

		} else if ($opvalor == 3) { // modificacion de datos

			echo '<tr>
					<td class="mensaje_ok">'.$ok_sql.'</td>
					</tr>';

			// volver
			echo '<tr>
					<td>
					<a href="'.$archivo.'">'.$text_23.'</a> 
					</td>
					</tr>';
		}

			if (file_exists("./install.php"))
			{
				$archivo_install = "install.php";
			echo '<tr>
					<td class="mensaje">
					'.$text_19.'<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&gt;&nbsp;&nbsp;'.$archivo_install.'
					</td>
					</tr>';
			}
					
		$mostrar_form = false;
		
	}

?>
<?php
	// se muestra el formulario de datos
	if ($mostrar_form)
	{
?>
 
	<tr>
       <td colspan="2" class="td_boton">
       		<?php  echo '<a href="'.$archivo.'?ESP">Español</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="'.$archivo.'?ENG">English</a>'; ?>
       </td>
  	</tr>

	<tr>
       <td colspan="2" class="td_boton">
<?php
	// lista de documentos
	$tpl_archivos_doc = getfilesdir("./","(txt)");
	for ($m=0; $m<count($tpl_archivos_doc); $m++)
	{		
		echo '<a href="'.basename($tpl_archivos_doc[$m]).'" target="_blank">'.basename($tpl_archivos_doc[$m]).'</a>&nbsp;&nbsp;&nbsp;&nbsp;';
	}

?>
       </td>
  	</tr>

	<tr> 
       <td>
       		<?php  echo $text_26_27; ?>
       </td>
       <td class="td_input"> 
       		<?php  echo '<span class="mensaje">'.$ingenio_actual_version.'</span>'; ?>
       </td>
	</tr>

    <tr> 
       <td colspan="2" class="mensaje_tit">
       		<?php  echo $text_data1; ?>
       </td>
  	</tr>

 	<tr> 
       <td>
       		<?php  echo $text_1; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="host" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["host"])) { echo $_POST["host"]; } else { echo $ingenio_conn[0]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_2; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="user" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["user"])) { echo $_POST["user"]; } else { echo $ingenio_conn[1]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_3; ?>
       </td>
       <td class="td_input"> 
			<input type="password" name="pass" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["pass"])) { echo $_POST["pass"]; } else { echo $ingenio_conn[2]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_4; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="base" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["base"])) { echo $_POST["base"]; } else { echo $ingenio_conn[3]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_5; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="dom" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["dom"])) { echo $_POST["dom"]; } else { echo $ingenio_conn[4]; }?>">
       </td>
  	</tr>

     <tr> 
       <td colspan="2" class="mensaje_tit">
       		<?php  echo $text_data2; ?>
       		<?php  echo '<br /><span class="text_norm">'.$text_29.'</span>'; ?>
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_6; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="dir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["dir"])) { echo $_POST["dir"]; } else { echo $ingenio_conn[5]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_7; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="file" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["file"])) { echo $_POST["file"]; } else { echo $ingenio_conn[6]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_8; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="adir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["adir"])) { echo $_POST["adir"]; } else { echo $ingenio_conn[7]; }?>">
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_25; ?>
       </td>
       <td class="td_input"> 
			<input type="text" name="pdir" class="input_text tmax"<?php echo $es_disabled; ?> value="<?php if (isset($_POST["pdir"])) { echo $_POST["pdir"]; } else { echo $ingenio_conn[8]; }?>">
       </td>
  	</tr>

     <tr> 
       <td colspan="2" class="mensaje_tit">
       		<?php  echo $text_data3; ?>
       </td>
  	</tr>

    <tr> 
       <td>
       		<?php  echo $text_9; ?>
       </td>
       <td class="td_input"> 
<?php
	// ARCHIVO SQL //
	if ($ingenio_first)
	{
		if (file_exists("./img/db/newinstall.sql"))
		{
			echo '<input type="checkbox" name="adsqlfile"'.$es_disabled.' value="1" checked>';
			echo '&nbsp;&nbsp;<span class="text_norm">newinstall.sql</span>';
			echo '<input type="hidden" name="sqlfile" value="./img/db/newinstall.sql">';
		} else {
			echo '<input type="checkbox" name="adsqlfile" disabled class="" value="1">';
			echo '&nbsp;&nbsp;<span class="mensaje">!ERROR: img/db/newinstall.sql</span>';
			echo '<input type="hidden" name="sqlfile" value="">';
			// se deshabilita el submit
			$es_disabled = " disabled";
		}
	} else {
		echo '<input type="file" name="sql_file"'.$es_disabled.' class="input_text">';
	}
	//FIN ARCHIVO SQL //
?>
       </td>
  	</tr>

     <tr> 
       <td colspan="2" class="mensaje_tit">
       		<?php  echo $text_data4; ?>
       </td>
  	</tr>

    <tr> 
       <td>
<?php 
	// primera instalacion
	if ($ingenio_first) { echo $text_22; } else { echo '<span class="text_norm">'.$text_22.'</span>'; } 
?>
       </td>
       <td class="td_input"> 
<?php
	if ($ingenio_first)
	{
		echo '<input type="radio" name="op" class=""'.$es_disabled.' value="1" checked>';
	} else {
		echo '<input type="radio" name="op" class="" disabled value="1">';
	}
?>
       </td>
  	</tr>

    <tr> 
       <td>
<?php 
	// actualizacion con SQL
	if ($ingenio_first) { echo '<span class="text_norm">'.$text_10.'</span>'; } else { echo $text_10; } 
?>
       </td>
       <td class="td_input"> 
<?php
	if ($ingenio_first)
	{
		echo '<input type="radio" name="op" class="" disabled value="2">';
	} else {
		echo '<input type="radio" name="op" class=""'.$es_disabled.' value="2" checked>';
	}
?>
       </td>
  	</tr>

    <tr> 
       <td>
<?php 
	// modificar datos
	if ($ingenio_first) { echo '<span class="text_norm">'.$text_24.'</span>'; } else { echo $text_24; } 
?>
       </td>
       <td class="td_input"> 
<?php
	if ($ingenio_first)
	{
		echo '<input type="radio" name="op" class="" disabled value="3">';
	} else {
		echo '<input type="radio" name="op" class=""'.$es_disabled.' value="3">';
	}
?>
       </td>
  	</tr>

  	<tr>
        <td colspan="2" class="td_boton"> 
      		<?php
      		if ($es_disabled != "")
			{
      		?>
       			<input type="button" value="<?php  echo $text_12; ?>" class="boton" onclick="location.href='<?php echo $archivo; ?>';">
     		<?php
     		} else {
     		?>
       			<input type="hidden" name="install" value="1">
     			<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
      			<input type="submit" value="<?php  echo $text_11; ?>" class="boton">
      		<?php
      		}
      		?>
       </td>
	
  	</tr>

<?php
	} // del if mostrar_form
?>

</table>
 	</form>
 	
<?php
	
	}
	// FIN install
?>

</body>
</html>

