<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/
	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// CREDITOS
	if (file_exists("../../ints/core/core.resto.php"))
	{
		include ("../../ints/core/core.resto.php");
		$creditosprint = INGENIO_CREDITOS;
		$nombre = INGENIO_NOMBRE;
	} else {
		$creditosprint = "ERROR: !info"; // Error
		$nombre = "---";		
	}
	// EJEMPLOS CODIGOS EMBED
	if (file_exists("../../igns/ingenio_conn.php") && file_exists("../../ints/core/core.modr.php"))
	{
		$ingenio_conn = array();
		include ("../../igns/ingenio_conn.php");		
		include ("../../ints/core/core.modr.php");
		$rutaplayer = RUTA_INICIO_IMG.'paqs/flowplayer/flowplayer.swf';
	} else {
		$rutaplayer = "/web/"; // ruta logica
	}	
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="sortcut icon" href="../../../favicon.ico" type="image/ico" />
<title><?php echo $nombre ?> : Documentación</title>
<style type="text/css">
body
{
	background-color: #FFF;
	margin: 8px 8px 50px 8px;
	font-family: Verdana, Arial, Helvetica, Freesans, sans-serif;
	font-size: 14px;
}
a
{
	text-decoration: none;
	color: blue;
}
a:hover
{
	text-decoration: none;
}
.logo_admin
{
	margin-left: auto;
	margin-right: auto;
	width: 150px;
	height: 64px;
	font-size: 45px;
	color: #000;
}
.slog
{
	margin-left: auto;
	margin-right: auto;
	width: 600px;
	height: 50px;
	color: #999;
	font-weight: bold;
	font-size: 12px;
	text-align: center;
	padding-top: 10px;
}
.text
{
	margin-top: 8px;
	padding: 10px;
	line-height: 25px;
	border: 1px dashed #999;
}
.rot
{
	color: #900;
	font-weight: bold;	
	font-size: 22px;
}
.comp
{
	padding-left: 16px;
	color: #F30;
	font-weight: bold;	
}
.vcode
{
	margin: 6px 12px 6px 12px;
	color: #990000;
}
</style>

</head>

<body>

<div class="logo_admin">
<?php
	if (file_exists("../../skins_admin/estandar/imgs/img_logo_min.png"))
	{
		echo '<img src="../../skins_admin/estandar/imgs/img_logo_min.png" />';
	} else {
		echo $nombre;
	}
?>
</div>

<div class="slog">
<?php
	echo '<span class="rotulo_st"><a href="'.INGENIO_URL.'" class="" target="_blank">'.INGENIO_NOMBRE.'</a> : '.INGENIO_VERSION.'</span>';
?>
</div>

<a name="top"></a>
<div class="rot">Índice</div>

<ul>
<li><a href="#bq6">Cómo empezar</a></li>
<li><a href="#bq1">Personalización y configuración básica</a></li>
<li><a href="#bq2">Elegir un diseño o instalar uno nuevo</a></li>
<li><a href="#bq3">Modelo de publicación</a></li>
<li><a href="#bq4">Idiomas y configuraciones técnicas</a></li>
<li><a href="#bq5">Estructura de carpetas</a></li>
</ul>

<div class="text">

<a name="bq6"></a>
<span class="rot">Cómo empezar</span>
<br />.................<br />
<b>mb41</b> tiene las configuraciones básicas dispuestas para comenzar la publicación en modo previsualización. A este modo se accede pulsando sobre <em>VER LA WEB EN MODO PREVISUALIZACIÓN</em>.
<br />Para empezar a publicar contenido seguir estos pasos:
<br />1) Seleccionar <em>PÁGINAS > Nueva página de composición</em>.
<br />2) Marcar <em>Habilitar vista</em> y <em>Activar previsualización de web</em>. Seleccionar <em>Tipo: Colocar en portada</em>. Escribir un <em>Título</em> y pulsando <em>Ver/Ocultar Editor de texto</em> rellenar el campo <em>Texto idioma principal</em>.
<br />3) Con el <em>Editor de texto</em> se pueden incluir fotos, negritas, etc. muy fácilmente. Para un trabajo más cómodo se puede pulsar en <em>Cambiar a modo Pantalla Completa</em> del editor. Hay que pulsar en el mismo sitio para volver a la opción de visualización normal.
<br />4) En visualización normal pulsar sobre el botón <em>Guardar</em>.
<br />5) Pulsar sobre <em>VER LA WEB EN MODO PREVISUALIZACIÓN</em> para ver la página de portada creada.
<br />6) Añadir otra página según los pasos 1) y 2) pero seleccionando <em>Tipo: Zona menú Alto</em> y pulsar sobre <em>Guardar</em>.
<br />7) Recargar la web del modo previsualización para ver el nuevo menú alto creado y pulsar sobre el enlace de la nueva página creada para ver la composición general de la web.
<br />8) Configurar el web (<a href="#bq1">Personalización y configuración básica</a>), elegir los elementos de los menús (<a href="#bq2">Elegir un diseño o instalar uno nuevo</a>) y publicar contenidos (<a href="#bq3">Modelo de publicación</a>).
<br />.................<br />
Cuando se termine con los contenidos se puede hacer visible la web seleccionando <b>NO</b> en la configuración rápida de la pantalla <em>PRINCIPAL > Modo oculto (Web en construcción)</em>. Mientras no se cambie, aparecerá un mensaje que se puede editar en <em>CONFIGURACIÓN > Idiomas de web > grupo: web oculta</em>.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<a name="bq1"></a>
<span class="rot">Personalización y configuración básica</span>
<br />.................<br />
En la pantalla PRINCIPAL se pueden editar algunas configuraciones:
<br /><span class="comp">Modo oculto (Web en construcción)</span> Si está marcado <b>NO</b> todos los contenidos publicados serán visibles. Es recomendable publicar contenidos para verlos en modo previsualización antes de modificar esta configuración.
<br /><span class="comp">Email general</span> Este email se usa para recibir en él, por ejemplo, las comunicaciones de nuevo comentario y es el email de gestión para el administrador.
<br /><span class="comp">URLs amables</span> Por defecto está marcado <b>NO</b> pero si el archivo <b>htaccess.txt</b> situado en el directorio raíz se nombra <b>.htaccess</b>, y el servidor lo permite, es recomendable cambiar esta configuración a <b>SÍ</b> para usar todas las características de indexación en buscadores y de posicionamiento natural que incluye <b>mb41</b>.
<br /><span class="comp">Favicon</span> El "Favicon" es un icono para el listado de favoritos o marcadores del navegador. Por defecto está instalado en el directorio raíz, solo hay que sustituirlo por el nuevo.
<br />.................<br />
En la pantalla PERSONALIZAR se pueden editar otras configuraciones principales:
<br /><span class="comp">Escribir un nombre de usuario...</span> El nombre de usuario se usa para entrar en el administrador y, aunque se puede escribir el Email general, puede ser que se prefiera recordar un nombre más corto.
<br /><span class="comp">Escribir una contraseña...</span> Es la contraseña de acceso al administrador. Cuando se modifique aquí hay que volver a introducirla por lo que se recomienda no cometer errores en la escritura.
<br /><span class="comp">Escribir el rótulo... y otros datos</span> Estos datos son necesarios para que funcione correctamente el motor de indexación de <b>mb41</b>. El rótulo aparece en la cabecera aunque puede modificarse su posición y su visibilidad desde la pantalla DISEÑOS. El título del navegador aparecerá en todas las páginas al final de otros títulos. El resto de datos son ocultos pero los usan los motores de búsquedas para posicionar los resultados.
<br /><span class="comp">Email del módulo de pago... y otros datos de la tienda</span> <b>mb41</b> incluye módulos de pago que, desde el <em>Template</em>, se pueden modificar. Esta configuración instala el Email de alta en el servicio. Las informaciones siguientes se usan para incluir unas indicaciones en el <em>carro de la compra</em> y en la opción de presupuestos o <em>Web del pedido</em>.
<br /><span class="comp">URL completa...</span> Esta dirección es la facilitada por la empresa de <em>hosting</em> para acceder al <em>Panel de Control del Servidor</em>. Es una manera de no tener que recordarla y se podrá acceder desde el menú FUNCIONES.
<br /><span class="comp">Instalar idiomas de web</span> Aquí se eligen los idiomas de web que se encuentren instalados, esto es, los idiomas que se muestran en el <em>Website</em>. Se pueden instalar hasta 5 idiomas secundarios y para que estén operativos sus datos deben estar rellenos, si no es así, no se mostrarán datos. Si hay datos rellenos y el <em>Website</em> está, por ejemplo, en <em>Español</em> y en <em>English</em>, para que el visitante pueda acceder a los idiomas es necesario que se instale el elemento del menú llamado <em>idiomas</em> en la pantalla DISEÑOS.
<br /><span class="comp">Idioma administrador por defecto</span> Se elige el idioma que por defecto se utilizará cuando un redactor ingrese en el administrador. Si hay más datos de otros idiomas preferentes rellenos, los redactores pueden usar el idioma que mejor entiendan pulsando sobre el enlace de la <em>Barra de información</em> situada arriba. El idioma elegido será recordado cada vez que el redactor ingrese, independientemente del idioma elegido por defecto.
<br />.................<br />
Enlaces en la parte superior del administrador. Estos enlaces permiten:
<br /><span class="comp">SALIR</span> Sale del administrador. Si al entrar se ha marcado "Gestión permanente" y se pulsa sobre este icono se perderá esta opción.
<br /><span class="comp">VER LA WEB EN MODO EDICIÓN</span> Este modo permite ver la web tal y como la ven los visitantes pero con un enlace de <em>EDITAR</em> debajo del contenido, que pulsando sobre él permite modificarlo. También dentro de esta <em>barra de EDITAR</em> se pueden ver las estadísticas de lecturas (>), de descargas (:) y el número de referencia (#). El enlace <b>[+]</b> permite en algunos listados, como la portada, cambiar el contenido por otro en el mismo lugar de publicación.
<br /><span class="comp">VER LA WEB EN MODO PREVISUALIZACIÓN</span> Este modo abre la web con el diseño marcado como previo. En configuración general puede añadirse un enlace de <em>EDITAR</em> debajo del contenido, que pulsando sobre él permite modificarlo con las mismas funciones que el modo edición.
<br /><span class="comp">RECARGAR ESTA PANTALLA</span> Permite recargar la pantalla a la vista para que <b>mb41</b> pueda realizar funciones de refresco.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<a name="bq2"></a>
<span class="rot">Elegir un diseño o instalar uno nuevo</span>
<br />.................<br />
En la pantalla DISEÑOS se pueden elegir los diseños disponibles o instalar nuevos:
<br /><span class="comp">Diseños guardados</span> En esta lista aparecen los diseños que se han instalado o realizado vesiones.
<br /><span class="comp">Diseño activo y Diseño previo</span> El activo es el que muestra el web y el previo es el que se utiliza para previsualizar. Deben coincidir en el mismo diseño una vez terminado el proceso de pre-publicación o de gestación de un nuevo diseño.
<br /><span class="comp">Elegir los elementos...</span> Las zonas básicas en que se compone una web son: <em>Menú alto</em>, <em>Menú derecha</em>, <em>Menú izquierda</em> y <em>Menú bajo</em>. Los elementos instalados en <b>mb41</b> por defecto se visualizan aquí y se puede elegir el orden de aparación. Si se modifica la composición manualmente con un editor de texto pueden incluirse otras zonas o cambiar los elementos de las existentes, en cuyo caso la elección del orden en esta pantalla no funcionaría.
<br />Los elementos están numerados empezando por un cero "[0] Elegir". Este elemento es el que deja vacío el dato. Los otros elementos tienen un número para identificarlos que es diferente del número de orden.
<br /><em>[1] Copy</em> Muestra datos de <em>Copyright</em>.
<br /><em>[2] Email</em> Muestra el Email General.
<br /><em>[3] RSS</em> Un enlace hacia el contenido RSS.
<br /><em>[4] Idiomas</em> Muestra la lista de idiomas.
<br /><em>[5] Reloj</em> La hora, minutos y fecha completa.
<br /><em>[6] Añadir ítem</em> Un enlace hacia el formulario de colaboración para añadir ítem.
<br /><em>[7] Añadir traducción</em> Un enlace hacia el formulario para añadir traducción.
<br /><em>[8] Buscador</em> Muestra un formulario de búsqueda.
<br /><em>[9] Categorías</em> El menú de categorías.
<br /><em>[10] Últimos publicados</em> El menú de últimos ítemes publicados.
<br /><em>[11] Páginas de composición</em> El menú de páginas del tipo "Zona del menú...".
<br /><em>[12] Secciones especiales</em> Muestra un menú con los enlaces de "Temas destacados", "Zona de descarga privada" y "Área privada".
<br /><em>[13] Links</em> El menú de enlaces (links).
<br /><em>[14] ítemes de portada</em> Un menú de los ítemes que se incluyen en la portada.
<br /><em>[15] Más votados</em> El menú de los ítemes más votados.
<br /><em>[16] Más leídos</em> El menú de los ítemes más leídos.
<br /><em>[17] Etiquetas</em> Muestra un menú con un listado de las etiquetas de los ítemes.
<br /><em>[18] Etiquetas nivel 2</em> Muestra un menú con un listado de las etiquetas de nivel 2 de los ítemes.
<br /><em>[19] Etiquetas nivel 3</em> Muestra un menú con un listado de las etiquetas de nivel 3 de los ítemes.
<br /><em>[20] RSS feeds</em> Muestra los feeds instalados desde la configuración.
<br /><em>[21] Menú extra 1</em> Muestra una zona que puede rellenarse desde la configuración correspondiente del idioma de web para usos de <em>Widgets</em> o de contenido especial.
<br /><em>[22] Menú extra 2</em> Muestra otra zona que puede rellenarse desde la configuración correspondiente del idioma de web para usos de <em>Widgets</em> o de contenido especial.
<br /><em>[23] Menú extra 3</em> Muestra otra zona que puede rellenarse desde la configuración correspondiente del idioma de web para usos de <em>Widgets</em> o de contenido especial.
<br /><em>[24] Canales</em> El menú de los canales.
<br /><em>[25] Contenido privado</em> Muestra el menú completo de la <em>Intranet</em> con las categorías privadas.
<br /><em>[26] Portada</em> Un enlace hacia la portada del <em>Website</em>.
<br /><em>[27] Tienda</em> Muestra un menú completo con todo el acceso para la tienda que incluye el menú de catálogos, el menú de etiquetas de productos y la información del carro de la compra.
<br />Los elementos de las zonas <em>Menú alto</em> y <em>Menú bajo</em> están limitados atendiendo a que son zonas estrechas y algunos elementos no son compatibles.
<br /><span class="comp">Elegir diseño CSS del administrador</span> Se puede incluir otro CSS para el administrador (situado en la carpeta <em>skins_admin</em>) y seleccionarlo.
<br /><span class="comp">Nuevo diseño o nueva versión</span> Para mantener las opciones de orden de elementos se puede nombrar otro diseño y hacer una versión del mismo, pero si se quiere realizar otro diseño completamente nuevo partiendo del original hay que seguir estos pasos:
<br />1) En la carpeta <em>skins</em> se instalan todos los diseños usados, así que lo mejor es duplicar la carpeta y el CSS del diseño por defecto <em>optimo</em> nombrándolo, por ejemplo, como <em>mioptimo</em>. Hay que nombrar igual la carpeta y el archivo CSS.
<br />2) Abrir el archivo CSS con un editor y reemplazar las entradas <em>./optimo</em> por <em>./mioptimo</em> para que las clases reconozcan la ruta hacia la nueva carpeta.
<br />3) Recargar la pantalla DISEÑOS para que en el apartado CSS de <em>Nuevo diseño o nueva versión</em> aparezca el nuevo archivo CSS.
<br />4) Escribir en el apartado <em>Nombre del diseño</em> el nuevo nombre y pulsar sobre <em>ACTUALIZAR</em>.
<br />5) Cuando se guarde hay que marcar <em>Diseño previo</em> para poder usar este diseño y ver las modificaciones de <em>Templates</em>, de <em>imágenes</em>, de <em>estilos</em>, etc. También hay que elegir otros datos como la <em>composición</em> y la <em>imagen para incluir en la cabecera</em>.
<br />6) Cuando el diseño esté acabado se debe activar marcando <em>Diseño activo</em>.
<br />.................<br />
Todos los <em>Templates</em>, las <em>imágenes</em> y otros archivos CSS se encuentran en la <em>carpeta de recursos</em> del diseño que está nombrada igual que el archivo CSS principal. Se pueden cambiar todas las imágenes originales simplemente creando unas nuevas y reemplazándolas por las originales. Si se desean se pueden crear más composiciones tomando como base una de las originales:
<br />1) Se abre la carpeta <em>Templates</em> y se escoge una composición para modificarla con un editor de texto. Las composiciones tienen una doble extensión <em>.tplc.html</em> diferente del resto de los <em>Templates</em> que tienen la doble extensión <em>.tpl.html</em>. Para que <b>mb41</b> reconozca todas las composiciones en la pantalla DISEÑOS, tienen que tener la doble extensión mencionada.
<br />2) Realizar la nueva composición.
<br />3) Recargar la pantalla DISEÑOS para que en el apartado TPLC de <em>Elegir una composición</em> aparezca la nueva.
<br />4) Pulsar sobre <em>ACTUALIZAR</em> para que <b>mb41</b> use la nueva composición.
<br />.................<br />
Los archivos CSS son hojas de estilo que se componen de <em>clases</em>. Cada una de ellas hace mención a un contenedor que muestra una porción de la web, por tanto, modificando los atributos de cada una, se consigue cambiar su apariencia. <b>mb41</b> tiene solo un archivo CSS principal y para conocer qué modifica cada <em>clase</em> basta con ver el <em>código fuente</em> de la web con un navegador, buscar el contenido que queremos cambiar y modificar la <em>clase</em> de su contenedor. Se puede hacer más fácil con algunos <em>plugins</em> que ofrecen algunos navegadores.
<br />Dentro de la <em>carpeta de recursos</em> hay una carpeta nombrada <em>css</em> que contiene dos archivos: uno corresponde al <em>plugin tooltip</em> para los banderines de ayuda y el otro al <em>plugin lightbox</em> para la caja de luz que muestra las fotos.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<a name="bq3"></a>
<span class="rot">Modelo de publicación</span>
<br />.................<br />
El modelo de publicación de <b>mb41</b> es:
<br />1) Crear un contenedor: Categoría, Catálogo, Canal o Categoría Privada.
<br />2) Publicar un contenido y asociarlo a un contenedor: ítem, producto, imagen, archivo público, vídeo o sonido.
<br />3) Crear una página y elegir la zona donde se publicará.
<br />4) Crear un contenido especial: Relacionado, Traducción, Link o Archivo privado.
<br />Las opciones 1 y 2 son complementarias, esto es, que para publicar un contenido hay que publicar primero un contenendor. La opción 3 es independiente, lo que significa que pueden publicarse las páginas que deseemos sin necesidad de tener un contenedor previo. La opción 4 son contenidos especiales: si es un relacionado, traducción o comentario hay que asociarlo a un contenido (llamado ítem); si es un link o archivo privado la publicación es independiente.
<br />.................<br />
Contenedores y contenido:
<br /><span class="comp">Categoría</span> Está dentro del menú <em>Redacción</em> y es el contenedor principal para publicar artículos (ítemes).
<br /><span class="comp">Catálogo</span> Está dentro del menú <em>Tienda</em> y es el contenedor para publicar productos.
<br /><span class="comp">Canal</span> Está dentro del menú <em>Canales</em> y es el contenedor para publicar imágenes, multimedia (vídeos y sonidos) y archivos públicos.
<br /><span class="comp">Categoría Privada</span> Está dentro del menú <em>Intranet</em> y es el contenedor principal para publicar artículos, pero solo serán vistos por los visitantes que el administrador autorice a través de la pantalla USUARIOS.
<br /><span class="comp">Ítem</span> Es la unidad de publicación más importante y la que tiene la posibilidad de relacionar todos los demás contenidos. Además tiene muchas opciones de publicación tanto en <em>listado</em> como en <em>ítem completo</em>. Admite comentarios y traducciones. Un ítem puede convertirse en otros contenidos de publicación restringiendo o combinando las opciones de publicación.
<br /><span class="comp">Producto</span> En realidad es un ítem pero convertido en producto. Tiene todas las ventajas del ítem (relación con otros contenidos, opciones de muestra, etc.) pero además admite características especiales al ser un producto (precio, descuento, control de stock, etc.), así como la conexión con el <em>carro de la compra</em> y la gestión de pedidos y ventas. Admite comentarios y traducciones.
<br /><span class="comp">Ítem privado</span> Es un ítem que se agrupa en <em>Categorías privadas</em> y que solo los visitantes autorizados tienen acceso a su contenido. Es un contenido de la INTRANET. Tiene opciones de publicación tanto en <em>listado</em> como en <em>ítem completo</em>. Admite comentarios y traducciones. Un ítem privado puede contener contenido relacionado público y privado, es decir, que sólo está relacionado en el ítem.
<br /><span class="comp">Imagen</span> Es un contenido que se publica en un canal de imágenes. La publicación permite recortar el ancho de la imagen a mostrar cuando se hace la publicación. La cantidad de píxeles que aparece por defecto se puede modificar por configuración. Hay dos posibilidades de recorte (imagen de ampliación y minuatura), teniendo en cuenta que hay que elegir una imagen más grande en píxeles que la cantidad que aparece, es decir, la imagen de ampliación.
<br /><span class="comp">Archivo público</span> Es un archivo que se puede descargar sin restricciones y que se publica en un canal de archivos públicos. Para subir el archivo mediante el formulario, su peso debe ser inferior a la cantidad en Mb que aparece. Si es superior se puede subir mediante un programa FTP a la carpeta <em>archivos</em> y después de recargar la pantalla aparecerá en la lista <em>Elegir archivo manualmente</em> (este método permite subir varios archivos a la vez). Si se prefiere se puede subir el archivo a un repositorio (otro servidor) y escribir la URL completa. La <em>Foto de cabecera</em> es una imagen para identificar mejor el archivo (portada del PDF, ilustración, etc.)
<br /><span class="comp">Vídeo o sonido</span> Son archivos multimedia que se publican en canales de vídeo o de sonido. Hay cuatro tipos de archivo:
<br />1) Vídeo/Sonido (archivo). Es un vídeo o un audio del cual se dispone del archivo original y que se va a publicar en el servidor propio. Para subir el archivo mediante el formulario, su peso debe ser inferior a la cantidad en Mb que aparece. Si es superior se puede subir mediante un programa FTP a la carpeta <em>archivos_mult</em> y después de recargar la pantalla aparecerá en la lista <em>Elegir archivo manualmente</em> (este método permite subir varios archivos a la vez). La opción <em>Permitir descarga</em> habilita un enlace para la descarga del vídeo o del audio en web, y <em>Mostrar código para incluir en Web</em> publica un código para que otro usuario pueda mostrar el vídeo en su web (sólo para <em>Modo de reproducción</em> en FLASH).
<br />2) Sonido (archivo). Es un audio del cual se dispone del archivo original y que se va a publicar en el servidor propio. Para subir el archivo mediante el formulario, su peso debe ser inferior a la cantidad en Mb que aparece. Si es superior se puede subir mediante un programa FTP a la carpeta <em>archivos_mult</em> y después de recargar la pantalla aparecerá en la lista <em>Elegir archivo manualmente</em> (este método permite subir varios audios a la vez). La opción <em>Permitir descarga</em> habilita un enlace para la descarga del audio en web.
<br />3) Vídeo/Sonido (código). Es un vídeo o audio que aparece en una red social o en otra web que facilita el <em>código embed</em> o <em>código de inserción</em>. También puede usarse para incluir un <em>código de repositorio</em> si se conoce la ubicación del archivo (dirección externa o interna) y si es un vídeo tipo FLV o MP4 (sólo para <em>Modo de reproducción</em> en FLASH):
<div class="vcode">
&lt;embed type="application/x-shockwave-flash" width="#ANCHO#" height="#ALTO#" allowfullscreen="true" src="<?php echo $rutaplayer; ?>" flashvars='config={"clip":{"url":"#URL_COMPLETA#","scaling":"fit","autoPlay":false,"autoBuffering":true}}' /&gt;&lt;/embed&gt;
</div>
Sustituir <em>#ANCHO#</em> y <em>#ALTO#</em> por las medidas del vídeo, y <em>#URL_COMPLETA#</em> por la dirección completa donde esté ubicado el vídeo. Esta dirección debe comenzar por <em>http://</em> y terminar con el nombre del archivo de vídeo incluyendo la extensión.
<br />4) Sonido (código). Es un audio que aparece en una red social o en otra web que facilita el <em>código embed</em> o <em>código de inserción</em>.
<br /><span class="comp">Página</span> La página es un contenido que no se agrupa en otro contenedor. Su función puede ser para incluir información adicional, como por ejemplo un listado de preguntas frecuentes o un perfil. También puede construirse todo el web basado en páginas (siguiendo el modelo de un CMS). Existen cinco tipos de páginas atendiendo a la zona donde se muestran:
<br />1) Zona menú Listado. Aparecen en el <em>menú listado</em> si está incluido en la composición.
<br />2) Zona menú Alto. Aparecen en el <em>menú alto</em> si está incluido en la composición. Este menú genera unos enlaces a modo de pestañas en la parte superior.
<br />3) Zona menú Bajo. Aparecen en el <em>menú bajo</em> si está incluido en la composición. Este menú suele usarse para las páginas de privacidad o de copyright.
<br />4) Colocar en la Portada. Aparece en la <em>portada</em>. Esta página ocupa la portada en la parte superior, aunque se incluyan otros ítemes en la portada o un listado de últimos ítemes publicados. Se pueden tener varias páginas de portada creadas en el administrador pero sólo una se permitirá estar habilitada, el resto, se podrá ver pulsando sobre el icono <em>Previsualizar</em> si se marca <em>Activar la previsualizacion de web</em>.
<br />5) Sin zona definida. Es una página que no está en ningún listado y a la que se puede acceder desde otra página con un enlace. El enlace que hay que incluir aparece en <em>Web de la página</em>.
<br /><span class="comp">Contenido especial</span> Los contenidos especiales como comentarios y traducciones solo pueden crearse si previamente se han creado ítemes. Los <em>Relacionados</em> son otros contenidos ya publicados que <b>mb41</b> permite relacionar para una mejor difusión.
<br /><span class="comp">Archivo privado</span> Un archivo privado es un paquete que sólo puede descargarse si se conoce la contraseña que lo protege. Para publicarlo hay que incluir una contraseña (después de guardado los datos) pulsando sobre el botón <em>Nueva Contraseña privada</em>. Puede incluirse una de un grupo (solo existirá un grupo si hay más de un archivo publicado) o una nueva. Puede decidirse la cantidad de descargas máximas, el orden de aparición, etc. Para subir el archivo mediante el formulario, su peso debe ser inferior a la cantidad en Mb que aparece. Si es superior se puede subir mediante un programa FTP a la carpeta <em>archivos_priv</em> (o a la nombrada) y después de recargar la pantalla aparecerá en la lista <em>Elegir archivo manualmente</em> (este método permite subir varios archivos a la vez).
<br /><span class="comp">Enlaces</span> La publicación de enlaces (links) permite tener una lista de webs amigas o de enlaces de interés, <em>Banners</em> en portada rotatorios, construir menús con direcciones externas o internas y crear direcciones (URL) cortas. Los tipos de enlaces son:
<br />1) Zona menú Listado. Aparecen en el <em>menú listado</em> si está incluido en la composición.
<br />2) Zona menú Alto. Aparecen en el <em>menú alto</em> si está incluido en la composición. Este menú genera unos enlaces en la parte superior.
<br />3) Zona menú Bajo. Aparecen en el <em>menú bajo</em> si está incluido en la composición.
<br />4) Colocar en Slide de portada. Muestra un <em>Slide</em> con <em>Banners</em> rotatorios en la <em>portada</em>. Aparecerán todos los que estén habilitados en el orden de aparición marcado. Es obligatorio incluir una imagen por enlace.
<br />5) Listar por páginas. Muestra una lista de los enlaces incluidos en una dirección interna única.
<br />6) URL corta. Permite escribir un dato o palabra para reducir o acortar el link.
<br /><span class="comp">Archivo de composición</span> Es un archivo (imagen u otro tipo) que se publica usando el <em>Editor de texto</em>. El icono de <em>Incluir o editar imagen</em> del editor permite directamente subir una imagen, ajustar el lado largo e insertarla. Todas las imágenes subidas mediante el administrador o mediante el editor se listan para poder seleccionarlas sin tener que volver a cargarlas. El <em>Editor de texto</em> se encuentra en casi todos los formularios lo que permite incluir texto enriquecido HTML.
<br /><span class="comp">Pedido y Venta</span> Cada <em>Pedido</em> es un registro de una <em>Venta</em> que se ha realizado desde la web mediante el <em>Carro de la compra</em>. Incluye los datos del cliente, los datos de envío y una información en el resumen del pedido que aparece en la <em>Web del pedido</em>. Esta web es una página oculta con un resumen de todos los productos que incluye el pedido, es decir, toda la venta realizada. Cuando un cliente ha realizado un registro de una venta puede pagar inmediatamente o esperar a que por Email se le envíe una dirección web y una contraseña para que pueda visualizar el pedido final (<em>resumen del pedido</em>). Para que el administrador pueda generar una <em>Web del pedido</em> primero hay que asignar un código del cliente e inmediatamente después de guardado, <b>mb41</b> generará la web oculta. A este pedido se le puede <em>Añadir productos</em> o <em>Editar</em> las ventas realizadas para modificar los precios originales y ajustar el pedido, es decir, se puede hacer una oferta a la baja o aumentar el coste. De todo puede ser informado el cliente a través de la <em>Web del pedido</em>. Este modelo de venta por internet también permite generar pedidos desde el administrador, incluir productos y después generar esta web oculta (<em>Web del pedido</em>) para mostrar el pedido a modo de presupuesto.
<br />.................<br />
Todos los contenedores admiten subcontenedores, es decir, subcategorías, subcanales, etc. de manera ilimitada.
<br />Todos los contenidos agrupados en canales pueden hacerse visibles en el canal o no. Si la opción <em>Mostrar en el canal</em> está habilitada el contenido se mostrará, pero si está deshabilitada (opción por defecto) el contenido se mostrará solo como relacionado (si se relaciona en un ítem, producto o ítem privado). En ambos casos la opción <em>Habilitar vista</em> debe estar marcada.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<a name="bq4"></a>
<span class="rot">Idiomas y configuraciones técnicas</span>
<br />.................<br />
La cantidad de idiomas que se puede publicar en <b>mb41</b> son 6: Idioma principal (identificado con un cero '0'), y 5 idiomas secundarios (del 1 al 5, ambos inclusive). Los datos de idioma son de dos tipos:
<br />1) HTML. Permite la inclusión de cualquier texto enriquecido con etiquetas HTML. Este tipo de dato hace que sea muy optimizable la web porque puede contener imágenes, colores, etc.
<br />2) NO HTML. Suelen ser cadenas de texto para mensajes o <em>popups</em> (banderines de ayuda). No admiten texto enriquecido porque se muestran en web en lugares especiales y no dentro del contenido como en el tipo anterior.
<br />.................<br />
Para realizar búsquedas de un texto que se desea cambiar basta con ir al apartado <em>Idiomas de web</em> del menú CONFIGURACIÓN y escribir el texto de la búsqueda en el campo del formulario, después pulsar sobre BUSCAR.
<br />.................<br />
Para buscar datos en los listados basta con introducir el dato en al campo del formulario. El listado seguido de <em>En:</em> se corresponde con todos los campos de la tabla. Si, por ejemplo, se necesita buscar un número de referencia (#) o ID, se puede usar el atajo de los dos asteríscos seguido del número: escribir **45 en el campo del formulario de búsquedas y seleccionando el campo ...ID, obtendría como resultado solo el dato número 45 de todos los registrados en la tabla.
<br />.................<br />
Las configuraciones que tiene <b>mb41</b> son muchas y muy variadas, conviene repasarlas con tranquilidad para encontrar la que se necesita para presentar los contenidos. Están agrupadas y seleccionando un grupo nos muestra solo las corresponientes de ese grupo. Estos grupos se pueden crear a voluntad. Si se usan habitualmente dos configuraciones que están en diferentes grupos, puede crearse un nuevo grupo llamado, por ejemplo, <em>miconfig</em> con solo escribir este nombre en el apartado <em>Grupo</em> de cada configuración y pulsar sobre <em>ACTUALIZAR</em>. El nuevo grupo aparecerá en la lista.
<br />.................<br />
Los <em>Idiomas de web</em> también están agrupados y puede ser más cómodo buscar los datos usando grupos específicos. La traducción de los datos a otros idiomas puede hacerse en el mismo acto, ya que el formulario incluye todos los campos de los idiomas secundarios. Seguramente es más fácil traducir todo si se realiza una exportación de los datos de las tablas mediante una herramienta del lado del servidor que normalmente viene instalada dentro del <em>Panel de Control</em>. Esta exportación debería ser del tipo <em>UPDATE</em>, y luego de traducirla con un editor de texto, puede cargarse el archivo desde el apartado <em>Instalador</em> del menú FUNCIONES. Este instalador también permite modificar los datos de instalación si en algún momento cambian o si se necesita apuntar hacia una nueva base de datos.
<br />.................<br />
El grupo <em>técnico</em> del listado de configuraciones es el dedicado a programadores. En él hay una configuración que permite mostrar un <em>Menú del programador</em>. Si está marcado <b>SÍ</b> aparecerá un menú debajo de la columna izquierda que permite crear nuevos datos (constantes) de idioma y de configuración para incluirlas tanto en los archivos del código fuente como en los <em>Templates</em>. También aparecerán algunas otras opciones en otras partes del administrador, como por ejemplo, poder cambiar el tipo del dato de idioma en la fase de edición.
<br />.................<br />
Todos los listados tienen a la izquierda de cada dato una lista de iconos y botones. De izquierda a derecha:
<br />1) BORRAR ESTE REGISTRO (estará este icono si se permite). Al pulsar avisará para confirmar el borrado.
<br />2) EDITAR (estará este botón si se permite). Al pulsar aparecerá el formulario de edición.
<br />3) OTRA INFORMACIÓN. Es un icono con información al pasar el ratón sobre él.
<br />.................<br />
El apartado <em>Gestión de base de datos</em> permite tener una aplicación sencilla pero eficiente para hacer copias de seguridad de la base. Para entrar hay que introducir los datos de <em>Nombre de usuario</em> y de <em>Contraseña</em> referidos a la base. Una vez identificado como administrador aparece un menú con estos enlaces:
<br />1) backup. Pulsando sobre el botón <em>Hacer Backup</em> se genera una copia de la base.
<br />2) importar. Es un listado de todos los <em>buckups</em> realizados hasta la fecha. Cada uno permite importarlo, borrarlo, vaciar la base, etc.
<br />3) configuración. Es la configuración de idioma y de fechas de la aplicación.
<br />4) consola SQL. Es una consola para enviar sentencias a la base, similar al apartado <em>Consola SQL</em> del menú FUNCIONES, pero con un formulario para subir archivos.
<br />5) salir. Sale de la aplicación.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<a name="bq5"></a>
<span class="rot">Estructura de carpetas</span>
<br />.................<br />
<b>mb41</b> tiene una estructura de carpetas que se define como de <em>root</em>, esto es, que su instalación hay que hacerla en el directorio raíz del servidor (también llamado carpeta pública del dominio o subdominio). Su estructura principal lleva una carpeta de instalación que siempre debe llamarse <em>web</em>. Junto a ella se encuentran otros archivos importantes para el control del servidor.
<br /><em>favicon.ico</em> Es el icono de la barra de favoritos o marcadores del navegador.
<br /><em>.htaccess</em> Es el archivo oculto (empieza con un punto '.') que maneja muchas opciones de seguridad y de redirecciones del servidor.
<br /><em>robots.txt</em> Es el archivo que controla la mayoría de los motores de búsqueda. Es un archivo importante para la indexación de contenido.
<br /><em>index.php</em> Es el archivo que hace que la web sea visible cuando se incluye el dominio o subdominio en la barra de direcciones del navegador.
<br /><em>gestor.php</em> Es el archivo que permite el acceso al formulario de entrada al administrador.
<br />Dentro de la carpeta <em>web</em> es donde se distribuyen todos los archivos y carpetas que forman el código fuente de <b>mb41</b>.
<br /><span class="comp">Archivos principales</span> <em>index.php</em> es el archivo principal de la aplicación y  <em>admin.php</em> es el archivo del formulario de entrada al administrador.
<br /><span class="comp">Carpetas de la aplicación y carpetas de carga de archivos</span> Las carpetas de la aplicación son aquellas que no cambian cuando se realizan acciones de publicación y que solo pueden ser modificados los archivos incluidos por personas con conocimientos de programación. <b>mb41</b> es 100% de código abierto y por eso se tiene acceso a los archivos de programación.
<br />Por el contrario las carpetas de carga de archivos sí se modifican al realizar acciones de publicación. Son las siguientes: <em>archivos</em>, <em>archivos_html</em>, <em>archivos_mult</em>, <em>archivos_priv</em>, <em>fotos</em>, <em>imagenes</em> y <em>ftps</em>.
<br /><span class="comp">Carpetas de diseños (skins)</span> Las carpetas <em>skins</em> y <em>skins_admin</em> incluyen todos los archivos, "Templates", imágenes, etc. referidos a los diseños incluidos. Si se desea modificar o realizar algún diseño todo lo que hay que cambiar está ahí.

<br /><br />
<a href="#top">contenido</a>

<br /><br />
<?php
	
	// creditos
	echo '<div style="margin-left: 25px; padding-left: 25px; border-left: 1px solid #DEDEDE;">';
	echo $creditosprint;
	echo '</div>';
?>

</div>

</body>
</html>

<?php
	exit;
?>
