﻿<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

	// Hay destacados?
	$qd = myquery("SELECT * FROM ".DESTACADOS."");
	$tpl_hay_destacados = mynumrows($qd);

	// Hay archivos privados?
	$qap = myquery("SELECT * FROM ".ARCHIVOS_PRIV." WHERE enabled=1");
	$tpl_hay_archivos_priv = mynumrows($qap);

	// salida
	if ($tpl_hay_destacados > 0 || $tpl_hay_archivos_priv > 0 || CONFIG_7 == 1)
	{
		// Smarty
		$smarty->assign("salida_menu_secciones", 1);

		if ($tpl_hay_destacados > 0)
		{
			// Smarty
			$smarty->assign("salida_menu_secciones_destacados", $tpl_hay_destacados);
		} else {
			// Smarty
			$smarty->assign("salida_menu_secciones_destacados", "");
		}
		
		if ($tpl_hay_archivos_priv > 0)
		{
			// Smarty
			$smarty->assign("salida_menu_secciones_archivos_priv", $tpl_hay_archivos_priv);
		} else {
			// Smarty
			$smarty->assign("salida_menu_secciones_archivos_priv", "");
		}
	
		// intranet
		if (CONFIG_7 == 1)
		{
			// session
			if (isset($tpl_intranet_sess))
			{
				// Smarty
				$smarty->assign("salida_menu_secciones_intranet_pass", 1);
			} else {
				// Smarty
				$smarty->assign("salida_menu_secciones_intranet_pass", "");
			}
		}
	
	} else {
	
			// Smarty
			$smarty->assign("salida_menu_secciones", "");
	}

?>