<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// script time limit
	@set_time_limit(0);

/*
	include functions
*/
	include("../../../../../ints/core/core.funciones_db.php");
/*
	include needed constants
*/
	include("../../../../../ints/core/core.aplicacion.php");
/*
	include class
*/
	require('../../../../../paqs/class_upload/class.upload.php');

	// CONNECT
	$ingenio_conn = array();
	include("../../../../../igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3]);

	// CONFIG_
	$qig = myquery("SELECT * FROM ".INGENIO,"[ingenioimage=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	
	$in = $_POST;
	if (isset($in["image_size_max"])) 
	{
		$image_size_max_val = $in["image_size_max"];
		// 500 pixels as default
		$image_size_max = is_numeric($image_size_max_val) &&  $image_size_max_val > 0 ? $image_size_max_val : 500;
	}


/******* CONFIGURACION  ***********/

$titulo = "inGenio image";
$archivo = './'.basename($_SERVER['SCRIPT_NAME']);
$folder_files_html = "archivos_html";
$extensions_gral = "(".CONFIG_96.")"; // e. (jpg|png|gif)

/******* CONFIGURACION FIN ********/

/*
------
Language for errors
      es_ES -> spanish
NOTE: More languages to consult Class_Upload website
---------------------------------------------------------
*/
$language = 'es_ES';	

/*
------
Server path directory to store images -> document root
      /home/user/public_html/images_upload
---------------------------------------------------------
*/ 
//$server_image_directory = $_SERVER['DOCUMENT_ROOT']."/".$ingenio_conn[5]."/".$folder_files_html;
$server_image_directory = "../../../../../".$folder_files_html;

/*
------
URL directory to stored images (relative or absoulte)
----------------------------------------------------------
*/
$url_image_directory = "http://".$ingenio_conn[4]."/".$ingenio_conn[5]."/".$folder_files_html;


?>
<!DOCTYPE html>
<html>
<head>
	<title>{#ingenioimage_dlg.dialog_title} : <?php echo $titulo; ?></title>
	<script type="text/javascript" src="../../tiny_mce_popup.js"></script>
	<script type="text/javascript" src="../../utils/mctabs.js"></script>
	<script type="text/javascript" src="../../utils/form_utils.js"></script>
	<script type="text/javascript" src="../../utils/validate.js"></script>
	<script type="text/javascript" src="js/image.js"></script>
	<link href="css/ingenioimage.css" rel="stylesheet" type="text/css" />
	<base target="_self" />
</head>
<body id="advimage" style="display: none">
<!-- new line -->
    <form action="<?php echo $archivo; ?>" enctype="multipart/form-data" method="post">
<!-- end new line -->
		<div class="tabs">
			<ul>
				<li id="general_tab" class="current"><span><a href="javascript:mcTabs.displayTab('general_tab','general_panel');" onmousedown="return false;">{#ingenioimage_dlg.tab_general}</a></span></li>
				<li id="appearance_tab"><span><a href="javascript:mcTabs.displayTab('appearance_tab','appearance_panel');" onmousedown="return false;">{#ingenioimage_dlg.tab_appearance}</a></span></li>
<!-- new line -->
				<li id="advanced_tab" style="visibility:hidden"><span><a href="javascript:mcTabs.displayTab('advanced_tab','advanced_panel');" onmousedown="return false;">{#ingenioimage_dlg.tab_advanced}</a></span></li>
<!-- end new line -->
			</ul>
		</div>

		<div class="panel_wrapper">
			<div id="general_panel" class="panel current">
<!-- new line -->
					<fieldset>
						<legend>{#ingenioimage_dlg.image_upload}</legend>

						<table class="properties">
							<tr>
    								<td class="td_insert_image">
									<?php echo $extensions_gral; ?>&nbsp;&nbsp;<input type="file" id="image_field" name="image_field" class="mceFocus" value="" />
									<input type="hidden" name="action" value="imageUP" />
									<br />{#ingenioimage_dlg.image_max_size} <input type="text" id="image_size_max" name="image_size_max" class="input_image_size_max" maxlength="4" value="500" />
									<br /><input type="submit" id="insert" name="insert" value="{#ingenioimage_dlg.image_upload}" />
								</td>
							</tr>
						</table>
				</fieldset>	
<!-- end new line -->
<!-- new line -->
					<fieldset>
						<legend>{#ingenioimage_dlg.image_list}</legend>

						<table class="properties">
							<tr>
    								<td>
									<select id="src_list" name="src_list" onchange="document.getElementById('src').value=this.options[this.selectedIndex].value;document.getElementById('alt').value=this.options[this.selectedIndex].text;ImageDialog.showPreviewImage(this.options[this.selectedIndex].value);">
										<option value="">{#ingenioimage_dlg.image_list_select}</option>									
									</select>
								</td>
							</tr>
						</table>
				</fieldset>	
<!-- end new line -->

				<fieldset>
						<legend>{#ingenioimage_dlg.general}</legend>

						<table class="properties">
							<tr>
								<td class="column1"><label id="srclabel" for="src">{#ingenioimage_dlg.src}</label></td>
								<td colspan="2"><table border="0" cellspacing="0" cellpadding="0">
									<tr> 
									  <td><input name="src" type="text" id="src" value="" class="mceFocus" onchange="ImageDialog.showPreviewImage(this.value);" /></td> 
									  <td id="srcbrowsercontainer">&nbsp;</td>
									</tr>
								  </table></td>
							</tr>
<!-- new line -->
<!-- end new line -->
							<tr> 
								<td class="column1"><label id="altlabel" for="alt">{#ingenioimage_dlg.alt}</label></td> 
								<td colspan="2"><input id="alt" name="alt" type="text" value="" /></td> 
							</tr> 
							<tr> 
								<td class="column1"><label id="titlelabel" for="title">{#ingenioimage_dlg.title}</label></td> 
								<td colspan="2"><input id="title" name="title" type="text" value="" /></td> 
							</tr>
						</table>
				</fieldset>

				<fieldset>
					<legend>{#ingenioimage_dlg.preview}</legend>
					<div id="prev"></div>
				</fieldset>
			</div>

			<div id="appearance_panel" class="panel">
				<fieldset>
					<legend>{#ingenioimage_dlg.tab_appearance}</legend>

					<table border="0" cellpadding="4" cellspacing="0">
						<tr> 
							<td class="column1"><label id="alignlabel" for="align">{#ingenioimage_dlg.align}</label></td> 
							<td><select id="align" name="align" onchange="ImageDialog.updateStyle('align');ImageDialog.changeAppearance();"> 
									<option value="">{#not_set}</option> 
									<option value="baseline">{#ingenioimage_dlg.align_baseline}</option>
									<option value="top">{#ingenioimage_dlg.align_top}</option>
									<option value="middle">{#ingenioimage_dlg.align_middle}</option>
									<option value="bottom">{#ingenioimage_dlg.align_bottom}</option>
									<option value="text-top">{#ingenioimage_dlg.align_texttop}</option>
									<option value="text-bottom">{#ingenioimage_dlg.align_textbottom}</option>
									<option value="left">{#ingenioimage_dlg.align_left}</option>
									<option value="right">{#ingenioimage_dlg.align_right}</option>
								</select> 
							</td>
							<td rowspan="6" valign="top">
								<div class="alignPreview">
									<img id="alignSampleImg" src="img/sample.gif" alt="{#ingenioimage_dlg.example_img}" />
									Lorem ipsum, Dolor sit amet, consectetuer adipiscing loreum ipsum edipiscing elit, sed diam
									nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.Loreum ipsum
									edipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam
									erat volutpat.
								</div>
							</td>
						</tr>

						<tr>
							<td class="column1"><label id="widthlabel" for="width">{#ingenioimage_dlg.dimensions}</label></td>
							<td nowrap="nowrap">
								<input name="width" type="text" id="width" value="" size="5" maxlength="5" class="size" onchange="ImageDialog.changeHeight();" /> x 
								<input name="height" type="text" id="height" value="" size="5" maxlength="5" class="size" onchange="ImageDialog.changeWidth();" /> px
							</td>
						</tr>

						<tr>
							<td>&nbsp;</td>
							<td><table border="0" cellpadding="0" cellspacing="0">
									<tr>
										<td><input id="constrain" type="checkbox" name="constrain" class="checkbox" /></td>
										<td><label id="constrainlabel" for="constrain">{#ingenioimage_dlg.constrain_proportions}</label></td>
									</tr>
								</table></td>
						</tr>

						<tr>
							<td class="column1"><label id="vspacelabel" for="vspace">{#ingenioimage_dlg.vspace}</label></td> 
							<td><input name="vspace" type="text" id="vspace" value="" size="3" maxlength="3" class="number" onchange="ImageDialog.updateStyle('vspace');ImageDialog.changeAppearance();" onblur="ImageDialog.updateStyle('vspace');ImageDialog.changeAppearance();" />
							</td>
						</tr>

						<tr> 
							<td class="column1"><label id="hspacelabel" for="hspace">{#ingenioimage_dlg.hspace}</label></td> 
							<td><input name="hspace" type="text" id="hspace" value="" size="3" maxlength="3" class="number" onchange="ImageDialog.updateStyle('hspace');ImageDialog.changeAppearance();" onblur="ImageDialog.updateStyle('hspace');ImageDialog.changeAppearance();" /></td> 
						</tr>

						<tr>
							<td class="column1"><label id="borderlabel" for="border">{#ingenioimage_dlg.border}</label></td> 
							<td><input id="border" name="border" type="text" value="" size="3" maxlength="3" class="number" onchange="ImageDialog.updateStyle('border');ImageDialog.changeAppearance();" onblur="ImageDialog.updateStyle('border');ImageDialog.changeAppearance();" /></td> 
						</tr>

						<tr>
							<td><label for="class_list">{#class_name}</label></td>
							<td><select id="class_list" name="class_list"></select></td>
						</tr>

						<tr>
							<td class="column1"><label id="stylelabel" for="style">{#ingenioimage_dlg.style}</label></td> 
							<td colspan="2"><input id="style" name="style" type="text" value="" onchange="ImageDialog.changeAppearance();" /></td> 
						</tr>
<!-- new line -->						
						<tr>
							<td class="column1"><label id="idlabel" for="id">{#ingenioimage_dlg.id}</label></td> 
							<td><input id="id" name="id" type="text" value="" /></td> 
						</tr>
<!-- end new line -->
						<!-- <tr>
							<td class="column1"><label id="classeslabel" for="classes">{#ingenioimage_dlg.classes}</label></td> 
							<td colspan="2"><input id="classes" name="classes" type="text" value="" onchange="selectByValue(this.form,'classlist',this.value,true);" /></td> 
						</tr> -->
					</table>
				</fieldset>
			</div>

			<div id="advanced_panel" class="panel">
				<fieldset>
					<legend>{#ingenioimage_dlg.swap_image}</legend>

					<input type="checkbox" id="onmousemovecheck" name="onmousemovecheck" class="checkbox" onclick="ImageDialog.setSwapImage(this.checked);" />
					<label id="onmousemovechecklabel" for="onmousemovecheck">{#ingenioimage_dlg.alt_image}</label>

					<table border="0" cellpadding="4" cellspacing="0" width="100%">
							<tr>
								<td class="column1"><label id="onmouseoversrclabel" for="onmouseoversrc">{#ingenioimage_dlg.mouseover}</label></td> 
								<td><table border="0" cellspacing="0" cellpadding="0"> 
									<tr>
									  <td><input id="onmouseoversrc" name="onmouseoversrc" type="text" value="" /></td> 
									  <td id="onmouseoversrccontainer">&nbsp;</td>
									</tr>
								  </table></td>
							</tr>
							<tr>
								<td><label for="over_list">{#ingenioimage_dlg.image_list}</label></td>
								<td><select id="over_list" name="over_list" onchange="document.getElementById('onmouseoversrc').value=this.options[this.selectedIndex].value;"></select></td>
							</tr>
							<tr> 
								<td class="column1"><label id="onmouseoutsrclabel" for="onmouseoutsrc">{#ingenioimage_dlg.mouseout}</label></td> 
								<td class="column2"><table border="0" cellspacing="0" cellpadding="0"> 
									<tr> 
									 <td><input id="onmouseoutsrc" name="onmouseoutsrc" type="text" value="" /></td> 
									  <td id="onmouseoutsrccontainer">&nbsp;</td>
									</tr> 
								  </table></td> 
							</tr>
							<tr>
								<td><label for="out_list">{#ingenioimage_dlg.image_list}</label></td>
								<td><select id="out_list" name="out_list" onchange="document.getElementById('onmouseoutsrc').value=this.options[this.selectedIndex].value;"></select></td>
							</tr>
					</table>
				</fieldset>

				<fieldset>
					<legend>{#ingenioimage_dlg.misc}</legend>

					<table border="0" cellpadding="4" cellspacing="0">
<!-- new line -->
<!-- end new line -->
						<tr>
							<td class="column1"><label id="dirlabel" for="dir">{#ingenioimage_dlg.langdir}</label></td> 
							<td>
								<select id="dir" name="dir" onchange="ImageDialog.changeAppearance();"> 
										<option value="">{#not_set}</option> 
										<option value="ltr">{#ingenioimage_dlg.ltr}</option> 
										<option value="rtl">{#ingenioimage_dlg.rtl}</option> 
								</select>
							</td> 
						</tr>

						<tr>
							<td class="column1"><label id="langlabel" for="lang">{#ingenioimage_dlg.langcode}</label></td> 
							<td>
								<input id="lang" name="lang" type="text" value="" />
							</td> 
						</tr>

						<tr>
							<td class="column1"><label id="usemaplabel" for="usemap">{#ingenioimage_dlg.map}</label></td> 
							<td>
								<input id="usemap" name="usemap" type="text" value="" />
							</td> 
						</tr>

						<tr>
							<td class="column1"><label id="longdesclabel" for="longdesc">{#ingenioimage_dlg.long_desc}</label></td>
							<td><table border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td><input id="longdesc" name="longdesc" type="text" value="" /></td>
									  <td id="longdesccontainer">&nbsp;</td>
									</tr>
								</table></td> 
						</tr>
					</table>
				</fieldset>
			</div>
		</div><!-- panel_wrapper -->

		<div class="mceActionPanel">
<!-- new line -->
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="50%" align="left">
				<input type="button" id="insert" name="insert" value="{#insert}" onclick="ImageDialog.insert();return false;" />
				</td>
				<td width="50%" align="right">
				<input type="button" id="cancel" name="cancel" value="{#cancel}" onclick="tinyMCEPopup.close();" />
				</td>
			</tr>
		</table>
<!-- end new line -->
		</div>
		
<?php

if (isset($in['action']) && $in['action'] == 'imageUP') 
{

	if (preg_match('/\.'.$extensions_gral.'$/i', $_FILES["image_field"]["name"]))
	{
		$_FILES["image_field"]["name"] = CONFIG_89.preg_replace ('/[^\.a-zA-Z0-9]/', '', $_FILES["image_field"]["name"]);

		$handle = new upload($_FILES['image_field'], $language);

		if ($handle->uploaded) 
		{
			// Determines is an image will be resized
			$handle->image_resize = true;
			// Conserving the original sizes ratio
			$handle->image_ratio = true;
			// Resize image (pixels)
			$handle->image_y = $image_size_max;
			$handle->image_x = $image_size_max;

			$handle->Process($server_image_directory);
		
			if ($handle->processed) 
			{
				echo '<script type="text/javascript">';		
				echo "setTimeout(\"document.getElementById('src').value='".$url_image_directory."/".$handle->file_dst_name."'\", 200);";
				echo "setTimeout(\"document.getElementById('alt').value='".$handle->file_dst_name."'\", 200);";
				echo "setTimeout(\"ImageDialog.showPreviewImage(document.getElementById('src').value)\", 400);";
				echo '</script>';
			} 
			else 
			{
				$error_str = str_replace("'", "`", $handle->error);
				echo "<script type=\"text/javascript\">alert('$error_str')</script>";
			}
 			$handle->Clean();
		}
		else
		{
			$error_str = str_replace("'", "`", $handle->error);
			echo "<script type=\"text/javascript\">alert('$error_str')</script>";
		}

	} else {
		echo "<script type=\"text/javascript\">alert('!Extensions: ".$extensions_gral."')</script>";
	}

} // del if
?>
	</form>
</body> 
</html> 
<?php
	exit;
?>