<?php
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro                                                           |
 +--------------------------------------------------------------------------+
 | Copyright (c) 2004-2006 by Dirk Randhahn                                 |
 | http://www.phpMyBackupPro.net                                            |
 | version information can be found in definitions.php.                     |
 |                                                                          |
 | This program is free software; you can redistribute it and/or            |
 | modify it under the terms of the GNU General Public License              |
 | as published by the Free Software Foundation; either version 2           |
 | of the License, or (at your option) any later version.                   |
 |                                                                          |
 | This program is distributed in the hope that it will be useful,          |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
 | GNU General Public License for more details.                             |
 |                                                                          |
 | You should have received a copy of the GNU General Public License        |
 | along with this program; if not, write to the Free Software              |
 | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.|
 +--------------------------------------------------------------------------+
*/
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro Spanisch translation                                      |
 +--------------------------------------------------------------------------+
 | Spanish translation 1.8                                                  |
 | July 2006 by Ruben Dario PICCATO, rpiccato@graficastuning.com.ar         |
 +--------------------------------------------------------------------------+
*/
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro  Español                                     |
 +--------------------------------------------------------------------------+
 | 09/2010 for inGenio X  |  http://ingenio.area421.com      |
 +--------------------------------------------------------------------------+
*/
/*
 +------------------------------------------------------------------------------------+
 | phpMyBackupPro  Español                                     |
 +------------------------------------------------------------------------------------+
 | 09/2011 for nexo5cwm [GEN version]  |  Project by nexo5 (http://www.neso5.com)     |
 +------------------------------------------------------------------------------------+
*/

/*basic data*/
define('BD_LANG_SHORTCUT',"sp"); // used for the php function setlocale() (http://www.php.net/setlocale)
define('BD_DATE_FORMAT',"%x %X"); // used for the php function strftime() (http://www.php.net/strftime)
define('BD_CHARSET_HTML',INGENIO_CHARSET); // the charset used in you language for html
define('BD_CHARSET_EMAIL',"ISO-8859-1"); // the charset used in your langauge for MIME-emails

/*functions.inc.php*/
define('F_START',"Iniciar Consola"); // inGenio X
define('F_CONFIG',"configuraci&oacute;n");
define('F_IMPORT',"importar");
define('F_BACKUP',"backup");
define('F_SCHEDULE',"agendar backup");
define('F_DB_INFO',"info base de datos");
define('F_SQL_QUERY',"Consola SQL"); // inGenio X
define('F_HELP',"ayuda");
define('F_LOGOUT',"salir");
define('F_FOOTER',"Visite %sphpMyBackupPro%s para nuevas revisiones y noticias.");
define('F_NOW_AVAILABLE',"Una nueva versi&oacute;n de phpMyBackupPro est&aacute; disponible en %s".PMBP_WEBSITE."%s");
define('F_SELECT_DB',"Seleccione las bases de datos para backup");
define('F_SELECT_ALL',"seleccionar todas");
define('F_COMMENTS',"Comentarios");
define('F_EX_TABLES',"exportar tablas");
define('F_EX_DATA',"exportar datos");
define('F_EX_DROP',"a&ntilde;adir 'drop table'");
define('F_EX_COMP',"compresi&oacute;n");
define('F_EX_OFF',"ninguna");
define('F_EX_GZIP',"gzip");
define('F_EX_ZIP',"zip");
define('F_DEL_FAILED',"Fallo al borrar el backup %s");
define('F_FTP_1',"FTP fall&oacute; la conexi&oacute;n al servidor");
define('F_FTP_2',"Fall&oacute; la identificaci&oacute;n como usuario");
define('F_FTP_3',"FTP fall&oacute; la subida");
define('F_FTP_4',"Archivo correctamente subido");
define('F_FTP_5',"FTP fall&oacute; el borrado del archivo '%s' .");
define('F_FTP_6',"Archivo '%s' correctamente borrado en servidor  FTP");
define('F_FTP_7',"Archivo '%s' no disponible en servidor FTP");
define('F_MAIL_1',"Un receptor de correo es err&oacute;neo");
define('F_MAIL_2',"Este correo fu&eacute; enviado por phpMyBackupPro ".PMBP_VERSION." en ".PMBP_WEBSITE);
define('F_MAIL_3',"pueden ser le&iacute;dos");
define('F_MAIL_4',"MySQL backup desde");
define('F_MAIL_5',"El correo no puede ser enviado");
define('F_MAIL_6',"Archivos enviados por mail correctamente a");
define('F_YES',"s&iacute;");
define('F_NO',"no");
define('F_DURATION',"Duraci&oacute;n");
define('F_SECONDS',"segundos");
define('F_WRONG_FILE',"Esto no parece un archivo .zip correcto, pero puede ser un fallo en phpMyBackupPro");

/*index.php*/
define('I_SQL_ERROR',"ERROR: Por favor ingrese correctamente sus datos MySQL");
define('I_NAME',"Esto es phpMyBackupPro");
define('I_WELCOME',"phpMyBackupPro es software libre licenciado bajo GNU GPL.<br>
Para ayuda en l&iacute;nea visite %s.<br><br>
Seleccione en el men&uacute; superior lo que desee hacer!<br>Si es su primera vez utilizando phpMyBackupPro deber&iacute;a comenzar con la configuraci&oacute;n!<br>Los derechos del directorio 'export' y del archivo 'global_conf.php'  deben establecerse a 0777.");
define('I_CONF_ERROR',"El archivo ".PMBP_GLOBAL_CONF." no se puede escribir!");
define('I_DIR_ERROR',"El directorio ".PMBP_EXPORT_DIR." no se puede escribir!");
define('I_COMMENT_ERROR',"El archivo ".PMBP_EXPORT_DIR."comments.dat no se puede escribir!");
define('PMBP_I_INFO',"Informaci&oacute;n de sistema");
define('PMBP_I_SERVER',"Servidor");
define('PMBP_I_TIME',"Fecha");
define('PMBP_I_PHP_VERS',"PHP Version");
define('PMBP_I_MEM_LIMIT',"PHP Memory Limit");
define('PMBP_I_SAFE_MODE',"Safe Mode activado");
define('PMBP_I_FTP',"es posible transferencia FTP");
define('PMBP_I_MAIL',"correos enviables");
define('PMBP_I_GZIP',"compresi&oacute;n gzip posible");
define('PMBP_I_SQL_SERVER',"Servidor MySQL");
define('PMBP_I_SQL_CLIENT',"Cliente MySQL");
define('PMBP_I_NO_RES',"*No se puede recuperar*");
define('PMBP_I_LAST_SCHEDULED',"&Uacute;ltimo backup agendado");
define('PMBP_I_LAST_LOGIN',"&Uacute;ltima identificaci&oacute;n");
define('PMBP_I_LAST_LOGIN_ERROR',"&Uacute;ltima identificaci&oacute;n incorrecta");

/*config.php*/
define('C_SITENAME',"nombre del sitio");
define('C_LANG',"Idioma");
define('C_SQL_HOST',"Nombre del host MySQL");
define('C_SQL_USER',"Nombre de usuario MySQL");
define('C_SQL_PASSWD',"contrase&ntilde;a MySQL");
define('C_SQL_DB',"solo esta base de datos");
define('C_FTP_USE',"guardar backup por FTP?");
define('C_FTP_BACKUP',"usar directorio de backup?");
define('C_FTP_REC',"directorios de backup recursivos?");
define('C_FTP_SERVER',"servidor FTP (url o IP)");
define('C_FTP_USER',"nombre de usuario FTP");
define('C_FTP_PASSWD',"contrase&ntilde;a FTP");
define('C_FTP_PATH',"Directorio FTP");
define('C_FTP_PASV',"usar ftp pasivo?");
define('C_FTP_PORT',"puerto FTP");
define('C_FTP_DEL',"borrar archivos en servidor FTP");
define('C_EMAIL_USE',"usar email?");
define('C_EMAIL',"direcci&oacute;n de email");
define('C_STYLESHEET',"Dise&ntilde;o");
define('C_DATE',"Formato de fecha");
define('C_DEL_TIME',"borrar backups locales despu&eacute;s de x d&iacute;as");
define('C_DEL_NUMBER',"archivar m&aacute;ximo x archivos por base de datos");
define('C_TIMELIMIT',"php timelimit");
define('C_IMPORT_ERROR',"mostrar errores de importaci&oacute;n?");
define('C_NO_LOGIN',"desactivar funci&oacute;n de identificaci&oacute;n?");
define('C_LOGIN',"autentificaci&oacute;n HTTP?");
define('C_DIR_BACKUP',"habilitar directorio de backup?");
define('C_DIR_REC',"directorio backup con subdirectorios?");
define('C_CONFIRM',"nivel de confirmaci&oacute;n");
define('C_CONFIRM_1',"vaciar, borrar, importar");
define('C_CONFIRM_2',"... todos");
define('C_CONFIRM_3',"... TODOS");
define('C_CONFIRM_4',"no confirmar nada");

define('C_BASIC_VAL',"Configuraci&oacute;n b&aacute;sica");
define('C_EXT_VAL',"Configuraci&oacute;n extendida");
define('PMBP_C_SYSTEM_VAL',"Variables de sistema");
define('PMBP_C_SYS_WARNING',"Estas variables de sistema son controladas por phpMyBackupPro. No las edite a menos que este seguro!");
define('C_TITLE_SQL',"Datos SQL");
define('C_TITLE_FTP',"Backup por FTP");
define('C_TITLE_EMAIL',"Backup por email");
define('C_TITLE_STYLE',"Estilo de phpMyBackupPro");
define('C_TITLE_DELETE',"Borrado autom&aacute;tico de archivos de backup");
define('C_TITLE_CONFIG',"M&aacute;s items de configuraci&oacute;n");
define('C_WRONG_TYPE',"no es correcto!");
define('C_WRONG_SQL',"datos MySQL no son correctos!");
define('C_WRONG_DB',"nombre de base de datos MySQL no es correcto!");
define('C_WRONG_FTP',"datos FTP no son correctos!");
define('C_OPEN',"No se puede abrir");
define('C_WRITE',"No se puede escribir en");
define('C_SAVED',"Datos correctamente guardados");
define('C_WRITEABLE',"no se puede escribir");
define('C_SAVE',"Guardar datos");

/*import.php*/
define('IM_ERROR',"ocurrieron %d error(es). puedes usar 'empty database' para estar seguro si la base de datos no contiene ninguna tabla.");
define('IM_SUCCESS',"Correctamente importado");
define('IM_TABLES',"tablas y");
define('IM_ROWS',"registros");

define('B_EMPTIED_ALL',"Todas las bases de datos fueron vaciadas correctamente");
define('B_EMPTIED',"La base de datos fu&eacute; vaciada correctamente");
define('B_DELETED',"El archivo fu&eacute; borrado correctamente");
define('B_DELETED_ALL',"Todos los archivos fueron borrados correctamente");
define('B_NO_FILES',"Actualmente no hay archivos de backups");
define('B_DELETE_ALL_2',"borrar TODOS los backups");
define('B_IMPORT_ALL',"importar TODOS los backups");
define('B_EMPTY_ALL',"vaciar TODAS las bases de datos");
define('B_EMPTY_DB',"vaciar base de datos");
define('B_DELETE_ALL',"borrar todos los backups");
define('B_INFO',"info");
define('B_VIEW',"ver");
define('B_DOWNLOAD',"descargar");
define('B_IMPORT',"importar");
define('B_IMPORT_FRAG',"importar fragmentado"); // incluido 8/04/2008
define('B_DELETE',"borrar");
define('B_CONF_EMPTY_DB',"Realmente desea vaciar la base de datos?");
define('B_CONF_DEL_ALL',"Realmente desea borrar todos los backups de esta base de datos?");
define('B_CONF_IMP',"Realmente desea importar este backup?");
define('B_CONF_DEL',"Realmente desea borrar este backup?");
define('B_CONF_EMPT_ALL',"Realmente desea vaciar TODAS las bases de datos?");
define('B_CONF_IMP_ALL',"Realmente desea importar TODOS los &uacute;ltimos backups?");
define('B_CONF_DEL_ALL_2',"Realmente desea borrar todos los backups?");
define('B_LAST_BACKUP',"&Uacute;ltimo backup realizado");
define('B_SIZE_SUM',"Tama&ntilde;o total de todos los backups");

/*backup.php*/
define('EX_SAVED',"Archivo correctamente guardado como");
define('EX_NO_DB',"Sin base de datos seleccionada");
define('EX_EXPORT',"Hacer Backup");
define('EX_NOT_SAVED',"No puedo guardar la base de datos %s");
define('EX_DIRS',"Seleccione directorio para backup para servidor FTP");
define('EX_DIRS_MAN',"Ingrese m&aacute;s directorios relativos al directorio phpMyBackupPro.<br>Separados con '|'");
define('PMBP_EX_NO_AVAILABLE',"Base de datos %s no est&aacute; disponible");
define('PMBP_EXS_UPDATE_DIRS',"Actualizar lista de directorio");
define('PMBP_EX_NO_ARGV',"Utilizar por ejemplo:\n$ php backup.php db1,db2,db3
Para m&aacute;s funciones por favor lea 'SHELL_MODE.txt' en el directorio 'documentation' ");

/*scheduled.php*/
define('EXS_PERIOD',"Seleccionar per&iacute;odo de backup");
define('EXS_PATH',"Seleccionar directorio donde el archivo php podr&iacute;a ser ubicado");
define('EXS_BACK',"atr&aacute;s");
define('PMBP_EXS_ALWAYS',"per&iacute;odo");
define('EXS_HOUR',"hora");
define('EXS_HOURS',"horas");
define('EXS_DAY',"d&iacute;a");
define('EXS_DAYS',"d&iacute;as");
define('EXS_WEEK',"semana");
define('EXS_WEEKS',"semanas");
define('EXS_MONTH',"mes");
define('EXS_SHOW',"Mostrar script");
define('PMBP_EXS_INCL',"Incluir este script en el archivo php (%s) para hacer el trabajo de backup");
define('PMBP_EXS_SAVE',"o guarde este script en un nuevo archivo (podr&iacute;a sobre escribir un archivo existente!)");

/*file_info.php*/
define('INF_INFO',"informaci&oacute;n");
define('INF_DATE',"Fecha");
define('INF_DB',"Base de datos");
define('INF_SIZE',"Tama&ntilde;o de backup");
define('INF_COMP',"Est&aacute; comprimido");
define('INF_DROP',"Contiene 'drop table'");
define('INF_TABLES',"Contiene tablas");
define('INF_DATA',"Contiene datos");
define('INF_COMMENT',"Comentarios");
define('INF_NO_FILE',"No hay archivo seleccionado");

/*db_status.php*/
define('DB_NAME',"nombre de la base de datos");
define('DB_NUM_TABLES',"n&uacute;mero de tablas");
define('DB_NUM_ROWS',"n&uacute;mero de registros");
define('DB_SIZE',"tama&ntilde;o");
define('DB_DIFF',"Tama&ntilde;os pueden diferir desde tama&ntilde;o al archivo de backup!");
define('DB_NO_DB',"Sin bases de datos disponibles");
define('DB_TABLES',"informaci&oacute;n de tablas");
define('DB_TAB_TITLE',"tablas en base de datos ");
define('DB_TAB_NAME',"nombre de tabla");
define('DB_TAB_COLS',"n&uacute;mero de campos");

/*sql_query.php*/
define('SQ_ERROR',"Ocurri&oacute; un error en el n&uacute;mero de consulta");
define('SQ_SUCCESS',"Correctamente ejecutada");
define('SQ_RESULT',"Resultado de la consulta");
define('SQ_AFFECTED',"N&uacute;mero de registros afectados");
define('SQ_WARNING',"Atenci&oacute;n: Esta p&aacute;gina es s&oacute;lo para generar y enviar consultas simples a la base de datos. Tenga especial cuidado para no destruir su base de datos!");
define('SQ_SELECT_DB',"Base de datos");
define('SQ_INSERT',"Escriba su consulta SQL aqu&iacute;");
define('SQ_FILE',"Subir archivo SQL");
define('SQ_SEND',"Ejecutar");

/*login.php*/
define('LI_MSG',"Por favor identif&iacute;quese (use su nombre de usuario y contrase&ntilde;a de MySQL)");
define('LI_USER',"Nombre de usuario");
define('LI_PASSWD',"Contrase&ntilde;a");
define('LI_LOGIN',"Identificarse");
define('LI_LOGED_OUT',"Comprometer salida segura!");
define('LI_NOT_LOGED_OUT',"No comprometer salida segura!<br>Para salir con seguridad ingrese una contrase&ntilde;a ERRONEA");

/*big_import.php*/ /* incluidos 9/11/2008 */
define('BI_IMPORTING_FILE',"Importando archivo");
define('BI_INTO_DB',"Incluir en la Base de datos");
define('BI_SESSION_NO',"N&uacute;mero de sesi&oacute;n");
define('BI_STARTING_LINE',"Empezando en la l&iacute;nea");
define('BI_STOPPING_LINE',"Parando en la l&iacute;nea");
define('BI_QUERY_NO',"N&uacute;mero de consultas realizadas");
define('BI_BYTE_NO',"N&uacute;mero de bytes procesados todav&iacute;a");
define('BI_DURATION',"Duraci&oacute;n de la &uacute;ltima sesi&oacute;n");
define('BI_THIS_LAST',"Esta sesi&oacute;n/total");
define('BI_END',"Alcanzado el final del archivo, la importaci&oacute;n parace que est&aacute; correcta.");
define('BI_RESTART',"Restaurar la importaci&oacute;n del archivo ");
define('BI_SCRIPT_RUNNING',"El proceso est&aacute; en pausa!<br>Espere hasta que se alcance el final del archivo.");
define('BI_CONTINUE',"Contin&uacute;a desde la l&iacute;nea");
define('BI_ENABLE_JS',"Habilitar javascript para continuar autom&aacute;ticamente");
define('BI_BROKEN_ZIP',"El archivo ZIP parece que est&aacute; da&ntilde;ado");
define('BI_WRONG_FILE',"Parado en la l&iacute;nea %s.<br>La consulta actual incluye m&aacute;s de %s l&iacute;neas. Es posible que se haya realizado el backup sin terminaci&oacute;n de punto y coma ';' al final de cada consulta, o que el backup contenga 'inserts' extendidos.");

?>
