<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  **********/

$archivo = "igcode.php";

/****** CONFIGURACION FIN ********/


	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$ig = $_GET;

	/* GET variables */
	if (isset($ig["php"])) { $phpvar = $ig["php"]; } else { $phpvar = ""; }
	if (isset($ig["gd"])) { $gdvar = $ig["gd"]; } else { $gdvar = ""; }
	if (isset($ig["ext"])) { $ext = $ig["ext"]; } else { $ext = ""; }

	/* funciones usadas */ 
	function phpinfo_contents( $str )
	{
        	$contentArr = preg_split( '~(\r\n|\r|\n)~', $str );
        
        	$extract = array();
        	$startCapture = false;
        
        	foreach ( $contentArr as $line )
        	{
            	$line = trim( $line );
            
            	if ( preg_match( '~^\<table~', $line ) )
            	{
                	$startCapture = true;
                	$extract[] = $line;
            	}
            	elseif ( preg_match( '~\</table\>~', $line ) )
           	 {
                	$startCapture = false;
                	$extract[] = $line;
            	}
            	elseif ( $startCapture && !empty( $line ) )
            	{
                	$extract[] = $line;
            	}
            	else
            	{
                	//skip
            	}
        	}
        
        	$extract = implode( "\n", $extract );
        
        	return $extract;
    	}
	/* FIN funciones usadas */
?>
<?php include("inc.head.php"); ?>

<body>

<?php include("inc.cabecera.php"); ?>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">


<div class="contenido">

<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_62; ?></span>
</div>

<?php

	// botones de navegacion */
	echo '<a href="'.$archivo.'?php=1" class="conex_gral">PHP Info</a>';
	echo '&nbsp;&nbsp;<a href="'.$archivo.'?php=2" class="conex_gral">PHP Extensions</a>';
	echo '&nbsp;&nbsp;<a href="'.$archivo.'?gd=1" class="conex_gral">GD Info</a>';
	echo '<br /><br />';


	if ($phpvar == 1) {

		ob_start();
        	phpinfo();
        	$content = ob_get_contents();
        	ob_end_clean();

        	echo phpinfo_contents( $content );
	
	} else if ($phpvar == 2) {

		// carga las extensiones de PHP //
		$extensions = @get_loaded_extensions();
        	echo '<strong>'.count($extensions).'</strong> PHP Extensions<br /><br />';
        	@sort($extensions);

        	foreach($extensions as $extension)
        	{
			// ancla de extension
			echo '<a name="anc_'.$extension.'"></a>'."\n";	
			echo $extension.' &nbsp; <a href="'.$archivo.'?php=2&ext='.$extension.'#anc_'.$extension.'" >PHP Extensions: Functions</a><br />'."\n";
            		if( $extension == $ext )
            		{
                		$functions = @get_extension_funcs($ext);
				@sort($functions);
				if( is_array($functions) )
				{
                    			echo '<ol>';
                    			foreach($functions as $function)
                    		{
                        		echo '<li>' . $function . '</li>';
                    		}
                    			echo '</ol>';
                		}
                		else
                		{
					// No hay funciones para esta PHP extension
					echo '<br /><span class="mensaje">- - -</span><br /><br />';
                		}
           	 	}
        	}
	
	} else if ($gdvar == 1) {
	
		$array = gd_info();
		foreach ($array as $key=>$val) {
	
		if ($val===true) {
			$val="(1) GD: OK";
		}
	
		if ($val===false) {
			$val="(0) - - -";
		}
		
		echo "$key: $val <br />\n";
	
		}
	
	}

?>

</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>