<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$archivo = "inicio.php";

/******* CONFIGURACION FIN ********/

$result_archivos = myquery("SELECT * FROM ".ARCHIVOS);
$total_archivos = mynumrows($result_archivos);

$result_archivos_priv = myquery("SELECT * FROM ".ARCHIVOS_PRIV);
$total_archivos_priv = mynumrows($result_archivos_priv);

// archivos instalados en la carpeta "archivos_html"
$archivos_man = getfilesdir("../archivos_html","","");
$total_archivos_html = count($archivos_man);

$result_multimedia = myquery("SELECT * FROM ".MULTIMEDIA);
$total_multimedia = mynumrows($result_multimedia);

$result_cats = myquery("SELECT * FROM ".CATEGORIAS);
$total_cats = mynumrows($result_cats);

$result_comen = myquery("SELECT * FROM ".COMENTARIOS);
$total_comen = mynumrows($result_comen);

$result_desta = myquery("SELECT * FROM ".DESTACADOS);
$total_desta = mynumrows($result_desta);

$result_imgs = myquery("SELECT * FROM ".IMAGENES);
$total_imgs = mynumrows($result_imgs);

$result_items = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=1");
$total_items = mynumrows($result_items);

$result_links = myquery("SELECT * FROM ".LINKS);
$total_links = mynumrows($result_links);

$result_tradu = myquery("SELECT * FROM ".TRADUCCIONES);
$total_tradu = mynumrows($result_tradu);

$result_pags = myquery("SELECT * FROM ".PAGINAS);
$total_pags = mynumrows($result_pags);

$result_rels = myquery("SELECT * FROM ".RELACIONADOS);
$total_rels = mynumrows($result_rels);

$result_port = myquery("SELECT * FROM ".PORTADA);
$total_port = mynumrows($result_port);

$result_cans = myquery("SELECT * FROM ".CANALES);
$total_cans = mynumrows($result_cans);

$result_catas = myquery("SELECT * FROM ".TD_CATALOGOS);
$total_catas = mynumrows($result_catas);

$result_prods = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3");
$total_prods = mynumrows($result_prods);

$result_peds = myquery("SELECT * FROM ".TD_PEDIDOS);
$total_peds = mynumrows($result_peds);

$result_ofers = myquery("SELECT * FROM ".TD_OFERTAS);
$total_ofers = mynumrows($result_ofers);

$result_carro = myquery("SELECT * FROM ".TD_CARRO);
$total_carro = mynumrows($result_carro);

$result_caracs = myquery("SELECT * FROM ".TD_CARACTERISTICAS);
$total_caracs = mynumrows($result_caracs);

$result_catpriv = myquery("SELECT * FROM ".CATEGORIAS_PRIV);
$result_itemspriv = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=2");
$total_catpriv = mynumrows($result_catpriv);
$total_itemspriv = mynumrows($result_itemspriv);

$result_openvio = myquery("SELECT * FROM ".OPENVIO);
$total_openvio = mynumrows($result_openvio);

$result_privass = myquery("SELECT * FROM ".PRIVASS);
$total_privass = mynumrows($result_privass);

?>
<?php include("inc.head.php"); ?>

<body>

<?php include("inc.cabecera.php"); ?>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<div class="contenido">

<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_265; ?></span>
</div>

<div class="contenido_ini">

<table border="0" cellspacing="0" cellpadding="0" align="">
<tr><td valign="top" width="100%">
<div class="div_estad_ini_izq">
<?php

	// Estadisticas totales
	echo '<div class="rotulo_resu">'.LEN_ADMIN_480.'</div>';
	
	echo '<div class="div_texto_resu">';	
	echo ''.LEN_ADMIN_122.': <span class="rotulo_st">'.$total_pags.'</span>';	
	echo '</div>';

	echo '<div class="div_texto_resu">';								
	echo ''.LEN_ADMIN_118.': <span class="rotulo_st">'.$total_cats.'</span>';
	echo '<br />'.LEN_ADMIN_120.': <span class="rotulo_st">'.$total_items.'</span>';
	echo '<br />'.LEN_ADMIN_269.': <span class="rotulo_st">'.$total_port.'</span>';
	echo '<br />'.LEN_ADMIN_124.': <span class="rotulo_st">'.$total_desta.'</span>';
	echo '</div>';	

	echo '<div class="div_texto_resu">';								
	echo ''.LEN_ADMIN_340.': <span class="rotulo_st">'.$total_catas.'</span>';
	echo '<br />'.LEN_ADMIN_341.': <span class="rotulo_st">'.$total_prods.'</span>';
	echo '<br />'.LEN_ADMIN_343.': <span class="rotulo_st">'.$total_ofers.'</span>';
	echo '<br />'.LEN_ADMIN_470.': <span class="rotulo_st">'.$total_openvio.'</span>';
	echo '<br />'.LEN_ADMIN_363.': <span class="rotulo_st">'.$total_carro.'</span>';
	echo '<br />'.LEN_ADMIN_342.': <span class="rotulo_st">'.$total_peds.'</span>';
	echo '<br />'.LEN_ADMIN_364.': <span class="rotulo_st">'.$total_caracs.'</span>';
	echo '</div>';	

	echo '<div class="div_texto_resu">';									
	echo ''.LEN_ADMIN_267.': <span class="rotulo_st">'.$total_cans.'</span>';
	echo '<br />'.LEN_ADMIN_125.': <span class="rotulo_st">'.$total_imgs.'</span>';
	echo '<br />'.LEN_ADMIN_172.': <span class="rotulo_st">'.$total_multimedia.'</span>';
	echo '<br />'.LEN_ADMIN_117.': <span class="rotulo_st">'.$total_archivos.'</span>';
	echo '</div>';		

	echo '<div class="div_texto_resu">';									
	echo ''.LEN_ADMIN_152.': <span class="rotulo_st">'.$total_archivos_priv.'</span>';
	echo '<br />'.LEN_ADMIN_504.': <span class="rotulo_st">'.$total_privass.'</span>';
	echo '</div>';		

	echo '<div class="div_texto_resu">';									
	echo ''.LEN_ADMIN_121.': <span class="rotulo_st">'.$total_links.'</span>';	
	echo '</div>';		

	echo '<div class="div_texto_resu">';									
	echo ''.LEN_ADMIN_348.': <span class="rotulo_st">'.$total_catpriv.'</span>';
	echo '<br />'.LEN_ADMIN_349.': <span class="rotulo_st">'.$total_itemspriv.'</span>';
	echo '</div>';

	echo '<div class="div_texto_resu">';												
	echo ''.LEN_ADMIN_8.': <span class="rotulo_st">'.$total_rels.'</span>';
	echo '<br />'.LEN_ADMIN_119.': <span class="rotulo_st">'.$total_comen.'</span>';
	echo '<br />'.LEN_ADMIN_123.': <span class="rotulo_st">'.$total_tradu.'</span>';
	echo '<br />'.LEN_ADMIN_171.': <span class="rotulo_st">'.$total_archivos_html.'</span>';
	echo '</div>';

	// resumen de variables de sistema
	echo '<div class="rotulo_resu">'.LEN_ADMIN_62.'</div>';
	
	// PHP
	echo '<div class="div_texto_resu">';
	if (function_exists("phpversion") && function_exists("phpinfo"))
	{
    	echo '<span class="nombre_resu"><a href="igcode.php?php=1" class="">PHP</a></span><br />'.phpversion();
    
    } else {
    
     	echo '<span class="nombre_resu">PHP</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';

	// GD
	echo '<div class="div_texto_resu">';
	if (function_exists("gd_info"))
	{
		$array_gd = gd_info();
    	echo '<span class="nombre_resu"><a href="igcode.php?gd=1" class="">GD</a></span><br />'.$array_gd["GD Version"];
    
    } else {
    
     	echo '<span class="nombre_resu">GD</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
	
	// MySQL
	echo '<div class="div_texto_resu">';
	if (function_exists("mysql_get_server_info"))
	{
    	echo '<span class="nombre_resu">MySQL</span> '.mysql_get_server_info();
    
    } else {
    
     	echo '<span class="nombre_resu">MySQL</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
	
	// funcion mail()
	echo '<div class="div_texto_resu">';
	if (function_exists("mail"))
	{
    	echo '<span class="nombre_resu">MAIL</span> '.LEN_ADMIN_59;
    
    } else {
    
     	echo '<span class="nombre_resu">MAIL</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
		
	// admite subida de archivos
	echo '<div class="div_texto_resu">';
 	if (ini_get("file_uploads") == 1)
 	{
 		echo '<span class="nombre_resu">FTP</span> '.LEN_ADMIN_59;
 	
 	} else {
 		
 		echo '<span class="nombre_resu">FTP</span> '.LEN_ADMIN_60;
 	
 	}
	echo '</div>';
	
	// Mb de subida general de archivos
	echo '<div class="div_texto_resu">';
      	echo '<span class="nombre_resu">'.LEN_ADMIN_283.'</span><br />'.ini_get("upload_max_filesize").'b';   
	echo '</div>';

	// fin resumen de variables de sistema	

	
?>
</div>
</td><td valign="top">
<div class="div_estad_ini_der">
<?php
	// resumen de configuraciones
	echo '<div class="rotulo_resu">'.LEN_ADMIN_481.'</div>';

	if ($tpl_log_nivel == 1) // administrador
	{

		// rellenar ids
		$ids_add = array('52','73','13','12','1','3','38','31');
		for ($a=0; $a<count($ids_add); $a++)
		{
			$qconf = myquery("SELECT * FROM ".INGENIO." WHERE igID='".$ids_add[$a]."'","[idr]");
			$row_conf = myfetch($qconf);
			
			if ($row_conf["igID"] == 52)
			{ 
				$texto_resumen = LEN_ADMIN_276;			
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
				
			}
			if ($row_conf["igID"] == 73)
			{
			
				$texto_resumen = LEN_ADMIN_423;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 13)
			{ 
				$texto_resumen = LEN_ADMIN_277;			
				$valor_resumen = $row_conf["topic"] == 0 ? LEN_ADMIN_60 : $row_conf["topic"] ;
				
			}
			if ($row_conf["igID"] == 12)
			{
			
				$texto_resumen = LEN_ADMIN_278;
				if (strlen($row_conf["topic"]) > 25) { $mas="..."; } else { $mas=""; }
				$valor_resumen = ''.substr_x($row_conf["topic"],0,25).$mas;
			
			} 
			if ($row_conf["igID"] == 1)
			{
			
				$texto_resumen = LEN_ADMIN_279;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 3)
			{
				// favicon
				$texto_resumen = LEN_ADMIN_280;
				$valor_resumen = file_exists_url("../../".$row_conf["topic"]) ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 38)
			{
			
				$texto_resumen = LEN_ADMIN_281;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 31)
			{
			
				$texto_resumen = LEN_ADMIN_282;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 

				// salida de configuraciones administrador
				echo '<div class="div_texto_resu">';					
				echo '<span class="nombre_resu">'.$texto_resumen.'</span><br />'.$valor_resumen.'';
				echo '<div class="div_conex_resu"><a href="adm_'.INGENIO.'.php?igID='.$ids_add[$a].'" title="" class="conex_gral_menu">'.LEN_ADMIN_146.'</a></div>';		
				echo '</div>';
				
		} // del for
		
	} // del if ($tpl_log_nivel == 1)
	// fin resumen de configuraciones
	
?>
</div>
</td></tr></table>

</div>
</div>
</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>