<?php
/*
  ===============================================================
+++++

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Chuso Moreno Hidalgo (Communication's tree)

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/********************* CONFIGURACION DE listados.php ***********/

$archivo="listados.php";

/********************* CONFIGURACION DE listados.php FIN *******/

// la cadena get completa
$cadena_get_comple = $_SERVER['QUERY_STRING'];
// reconocer el charset
$charset = strtolower(INGENIO_CHARSET);

// Redir de borrar
if (isset($_GET["registro"]))
{
	$registro = $_GET["registro"];
	$listado_get = str_replace("&res=bo&registro=".$registro, "", $cadena_get_comple);
	$listado_get_editar = str_replace("&res=bo&registro=", "", $cadena_get_comple);
} else {
	// cadena del EDITAR
	if (isset($_GET["msj"]))
	{
		$listado_get_editar = str_replace("&msj=1", "", $cadena_get_comple);
	} else if (isset($_GET["rg"])) {
		$listado_get_editar = str_replace("&rg=1", "", $cadena_get_comple);
	} else {
		$listado_get_editar = $cadena_get_comple;	
	}
}
// registros mostrados por pagina
$num_mostrar = mostrar_listado (6,CONFIG_28);

// variable de control
$resval = isset($_GET["res"]) ? $_GET["res"] : "";

// test $tabla
if (isset($_GET["tabla"]))
{
	$tabla = $_GET["tabla"];
} else if (isset($_POST["tabla"]))
{
	$tabla = $_POST["tabla"];
} else
{
	die("ERROR: !tabla");
}

// variable de exportar
$exportar = isset($_GET["print"]) ? $_GET["print"] : 0;

// campo auto_increment de la tabla
$qcam = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=t1]");
$campo = myfetch($qcam);
$id_gral = $campo["Extra"] == "auto_increment" ? $campo["Field"] : NULL ;

// test $id_gral
if ($id_gral == NULL) die("ERROR: !auto_increment");

// borrar el registro
if ($resval == "bo") {

	if ($tabla == ARCHIVOS_PRIV) {
	
		$carpeta_priv = $ingenio_conn[8];
		// borrar estadisticas de descargas -> antes del borrado de pass
		$q2 = myquery("SELECT * FROM ".PRIVASS." WHERE fileID='".$registro."'","[listados=b233]");
		while ($row2 = myfetch($q2))
		{
			// refID -> se refiere al ID de la tabla PRIVASS
			myquery("DELETE FROM ".ESTAD_DW." WHERE refID='".$row2["pasID"]."' AND tipo='priv'","[listados=b234]");
		}	
		// borrar pass asociadas
		myquery("DELETE FROM ".PRIVASS." WHERE fileID='".$registro."' ","[listados=b232]");		
		// borrar el archivo
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b3]");
		$row1 = myfetch($q1);
		if ($row1["archivo"] && file_exists_url("../".$carpeta_priv."/".$row1["archivo"]))
		{
			recursiveDelete("../".$carpeta_priv."/".$row1["archivo"]);
		}
		// borrar foto de cabecera
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b4]");

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == IMAGENES) {
		
		// borrar el item de la tabla relacionados
		myquery("DELETE FROM ".RELACIONADOS." WHERE refID='".$registro."' AND tipo=2","[listados=b5]");
		// borrar las imagenes
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b6]");
		$row1 = myfetch($q1);
		if ($row1["imagen_ampliacion"] && file_exists_url("../imagenes/".$row1["imagen_ampliacion"]))
		{
			recursiveDelete("../imagenes/".$row1["imagen_ampliacion"]);
		}
		if ($row1["imagen"] && file_exists_url("../imagenes/".$row1["imagen"]))
		{
			recursiveDelete("../imagenes/".$row1["imagen"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b7]");

		Redir ($archivo."?".$listado_get."&msj=1");

	} else if ($tabla == CATEGORIAS) {
	
		// actualiza items de esta categoria a '0' y deshabilita
		myquery("UPDATE ".ITEMS." SET catID=0, enabled=0 WHERE catID='".$registro."'","[listados=b8]");
		// actualiza subcategorias de esta categoria a '0'
		myquery("UPDATE ".$tabla." SET parent=0 WHERE parent='".$registro."'","[listados=b9]");		
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b10]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b11]");	

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == ITEMS) {
	
		// borrar el item de la tabla relacionados
		myquery("DELETE FROM ".RELACIONADOS." WHERE refID='".$registro."' AND tipo=1","[listados=b12]");
		myquery("DELETE FROM ".RELACIONADOS." WHERE refID='".$registro."' AND tipo=6","[listados=b53]");
		// borrar el item de la tabla destacados
		myquery("DELETE FROM ".DESTACADOS." WHERE itemID='".$registro."'","[listados=b13]");
		// borrar el item de la tabla portada
		myquery("DELETE FROM ".PORTADA." WHERE itemID='".$registro."'","[listados=b14]");
		// borrar el item de la tabla ofertas
		myquery("DELETE FROM ".TD_OFERTAS." WHERE itemID='".$registro."'","[listados=b48]");
		// borrar comentarios
		myquery("DELETE FROM ".COMENTARIOS." WHERE itemID='".$registro."'","[listados=b15]");
		// borrar traducciones
		myquery("DELETE FROM ".TRADUCCIONES." WHERE itemID='".$registro."'","[listados=b16]");
		// borrar los productos del carro
		myquery("DELETE FROM ".TD_CARRO." WHERE itemID='".$registro."'","[listados=b49]");
		// borrar las caracteristicas del producto
		myquery("DELETE FROM ".TD_CARACTERISTICAS." WHERE itemID='".$registro."'","[listados=b52]");
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b17]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
				
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b18]");
		
		Redir ($archivo."?".$listado_get."&msj=1");
	
	}  else if ($tabla == ARCHIVOS) {
	
		// borrar el item de la tabla relacionados
		myquery("DELETE FROM ".RELACIONADOS." WHERE refID='".$registro."' AND tipo=3","[listados=b19]");
		// borrar estadisticas de descargas
		myquery("DELETE FROM ".ESTAD_DW." WHERE refID='".$registro."' AND tipo='arc'","[listados=b191]");		
		// borrar el archivo
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b20]");
		$row1 = myfetch($q1);
		// no es repositorio?
		if (substr_x($row1["archivo"],0,7) != "http://")
		{ 
			if ($row1["archivo"] && file_exists_url("../archivos/".$row1["archivo"]))
			{
				recursiveDelete("../archivos/".$row1["archivo"]);
			}
		}
		// borrar foto de cabecera
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b21]");

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == MULTIMEDIA) {
	
		// borrar el item de la tabla relacionados
		myquery("DELETE FROM ".RELACIONADOS." WHERE refID='".$registro."' AND tipo=4","[listados=b22]");
		// borrar estadisticas de descargas
		myquery("DELETE FROM ".ESTAD_DW." WHERE refID='".$registro."' AND tipo='multi'","[listados=b221]");		
		// borrar el archivo
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b23]");
		$row1 = myfetch($q1);
		// no es repositorio?
		if (substr_x($row1["archivo"],0,7) != "http://")
		{ 
			if ($row1["archivo"] && file_exists_url("../archivos_mult/".$row1["archivo"]))
			{
				recursiveDelete("../archivos_mult/".$row1["archivo"]);
			}
		}
		// borrar fotos
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}	
		if ($row1["foto_list"] && file_exists_url("../fotos/".$row1["foto_list"]))
		{
			recursiveDelete("../fotos/".$row1["foto_list"]);
		}	
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b24]");

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == LINKS) {
	
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b25]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b26]");

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == PAGINAS) {
	
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b27]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b28]");

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == CANALES) {
	
		// actualiza imagenes de este canal a '0' y deshabilita
		myquery("UPDATE ".IMAGENES." SET canID=0, enabled=0 WHERE canID='".$registro."'","[listados=b29]");
		// actualiza archivos publicos de este canal a '0' y deshabilita
		myquery("UPDATE ".ARCHIVOS." SET canID=0, enabled=0 WHERE canID='".$registro."'","[listados=b30]");
		// actualiza multimedia de este canal a '0' y deshabilita
		myquery("UPDATE ".MULTIMEDIA." SET canID=0, enabled=0 WHERE canID='".$registro."'","[listados=b31]");
		// actualiza subcanales de este canal a '0'
		myquery("UPDATE ".$tabla." SET parent=0 WHERE parent='".$registro."'","[listados=b32]");		
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b33]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b34]");	

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == CATEGORIAS_PRIV) {
	
		// actualiza items de esta categoria a '0' y deshabilita
		myquery("UPDATE ".ITEMS." SET catprivID=0, enabled=0 WHERE catprivID='".$registro."'","[listados=b35]");
		// actualiza subcategorias de esta categoria a '0'
		myquery("UPDATE ".$tabla." SET parent=0 WHERE parent='".$registro."'","[listados=b36]");		
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b37]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b38]");	

		Redir ($archivo."?".$listado_get."&msj=1");
	
	} else if ($tabla == TD_CATALOGOS) {
	
		// actualiza productos de este catalogo a '0' y deshabilita
		myquery("UPDATE ".ITEMS." SET cataID=0, enabled=0 WHERE cataID='".$registro."'","[listados=b39]");
		// actualiza subcatalogos de este catalogo a '0'
		myquery("UPDATE ".$tabla." SET parent=0 WHERE parent='".$registro."'","[listados=b40]");		
		// borrar la imagen de cabecera
		$q1 = myquery("SELECT * FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b41]");
		$row1 = myfetch($q1);
		if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
		{
			recursiveDelete("../fotos/".$row1["foto"]);
		}
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b42]");	

		Redir ($archivo."?".$listado_get."&msj=1");

	} else if ($tabla == TD_CARACTERISTICAS) {

		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b48]");

		/*
			incluye &cadena= en $listado_get
				es usado para que aparezca el link del item
		*/
		Redir ($archivo."?".$listado_get."&ini=0&donde=itemID&msj=1");
	
	} else if ($tabla == TD_PEDIDOS) {
	
		// borrar los productos asociados
		myquery("DELETE FROM ".TD_CARRO." WHERE ".$id_gral."='".$registro."'","[listados=b51]");
		
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b50]");
		
		Redir ($archivo."?".$listado_get."&msj=1");
		
	} else if ($tabla == PRIVASS) {
	
		// borrar estadisticas de descargas
		myquery("DELETE FROM ".ESTAD_DW." WHERE refID='".$registro."' AND tipo='priv'","[listados=b501]");		
		
		$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b50]");
		
		Redir ($archivo."?".$listado_get."&msj=1");
		
	} else {

	$borrar = myquery("DELETE FROM ".$tabla." WHERE ".$id_gral."='".$registro."'","[listados=b47]");

	Redir ($archivo."?".$listado_get."&msj=1");
	
	}

} // del if ($resval == "bo")

// exporta a .csv
if ($exportar == 1) {

function no_retornos ($str)
{
	$str = str_replace("\r\n"," ",$str);
	$str = str_replace("\n"," ",$str);
	$str = str_replace("\r"," ",$str);	
	$str = str_replace("\"","'",$str); 	
	return $str;
}

	$salida_exportar = "";
	$qcamp = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=ex1]");
	while ($rowp=myfetch($qcamp))
	{
 		$salida_exportar .= "\"".$rowp["Field"]."\",";
	}
	$salida_exportar = substr_x($salida_exportar, 0, -1);
	$salida_exportar .= "\n";

	// se exportan todos los datos
	$qex = myquery("SELECT * FROM ".$tabla,"[listados=ex2]");
	while ($rowex=myfetch($qex))
	{
 		$qcamp = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=ex3]");
		while ($rowp=myfetch($qcamp))
		{
			$salida_exportar .= "\"".no_retornos($rowex[$rowp["Field"]])."\",";
		}
		$salida_exportar = substr_x($salida_exportar, 0, -1);
		$salida_exportar .= "\n";
	}
		
	header("Content-Type: text/x-csv");
	header('Content-Disposition: attachment; filename="'.$tabla.'.csv"');

echo $salida_exportar;
exit;

}

  	/*// controles POST buscador
  	if (isset($_POST["busF1"]))
  	{
  		$ini = $_POST["ini"];
  		
  		// optimizar la cadena
   		$palabra = entrada_buscador($_POST["cadena"]);
    		$palabra = url_encode($palabra);
  		
  		$lugar = $_POST["donde"];
  		$mostrar = $_POST["ver"];
  		$pagina = $_POST["pag"];
 	
 		// redireccionar a GET
 		Redir ($archivo.'?tabla='.$tabla.'&ini='.$ini.'&cadena='.$palabra.'&donde='.$lugar.'&ver='.$mostrar.'&pag='.$pagina); 	
  	
  	}*/

  	// controles POST
  	if (isset($_POST["busF1"]))
  	{
  		$ini = $_POST["ini"];
  		$lugar = $_POST["donde"];
  		$mostrar = $_POST["ver"];
  		$pagina = $_POST["pag"];
   		$palabra = entrada_buscador($_POST["cadena"]);
  		
		// si no es utf-8
		if ($charset != "utf-8")
		{
			$palabra = url_encode($palabra);
  		
		}

		// redireccionar a GET
		Redir ($archivo.'?tabla='.$tabla.'&ini='.$ini.'&cadena='.$palabra.'&donde='.$lugar.'&ver='.$mostrar.'&pag='.$pagina);

  	
  	}


	// controles GET
	if (!isset ($_GET["ini"])){
		$ini="0";
	} else {
		$ini=$_GET["ini"];
	}

	if (!isset ($_GET["cadena"])){
		$palabra="";
	} else {
		$palabra=$_GET["cadena"];
   		//$palabra = url_decode($palabra);
	}

	if (!isset ($_GET["donde"])){
		$lugar=$id_gral;
		$lugarini=true; // flag inicio
	} else {
		$lugar=$_GET["donde"];
		$lugarini=false; // flag inicio
	}

	if (!isset ($_GET["ver"])){
		$mostrar=$num_mostrar[0];
	} else {
		$mostrar=$_GET["ver"];
	}

	if (!isset ($_GET["pag"])){
		$pagina="1";
	} else {
		$pagina=$_GET["pag"];
	}




	// CODIFICAR/DESCODIFICAR CADENA //
	// caracter de control
	$car = TPL_CARACTER_URL;
	// es cadena con codigo?
	if (strpos($palabra, $car) > 0)
	{
		$cadena_bus_redir = codificar_buscador($palabra, true); // descodifica
		$cadena_bus_redir_url = url_encode($cadena_bus_redir); // utf-8
		
		// redireccionar a GET
		Redir ($archivo.'?tabla='.$tabla.'&ini='.$ini.'&cadena='.$cadena_bus_redir_url.'&donde='.$lugar.'&ver='.$mostrar.'&pag='.$pagina); 	

	} else {
	
		// si no es utf-8
		if ($charset != "utf-8")
		{
			$palabra = url_decode($palabra);
		}
	}


	// paginas
	$antes=$ini-$mostrar;
	$sigue=$ini+$mostrar;

	$resultotal = myquery("SELECT * FROM ".$tabla,"[listados=t2]");
	$total = mynumrows($resultotal);

	if (substr_x($palabra, 0, 2 ) == "**")
	{
			
		// borra el prefijo -> **
		$decode_cadena = str_replace("**","",$palabra);

		// buscar
		$resultres = myquery("SELECT * FROM ".$tabla." WHERE ".$lugar." = '".$decode_cadena."' ","[listados=t3]");
		$totalres = mynumrows($resultres);
		$result = myquery("SELECT * FROM ".$tabla." WHERE ".$lugar." = '".$decode_cadena."' ORDER BY ".$id_gral." DESC LIMIT " . $ini . "," . $mostrar . "","[listados=t4]");
	
	} else {
	
		// buscar general
		$resultres = myquery("SELECT * FROM ".$tabla." WHERE ".$lugar." LIKE '%".$palabra."%' ","[listados=t5]");
		$totalres = mynumrows($resultres);
		$result = myquery("SELECT * FROM ".$tabla." WHERE ".$lugar." LIKE '%".$palabra."%' ORDER BY ".$id_gral." DESC LIMIT " . $ini . "," . $mostrar . "","[listados=t6]");
	
	}
		

	// lo que queda por mostrar
	$resto=$totalres-$ini;

?>
<?php include("inc.head.php"); ?>

<body>

<?php include("inc.cabecera.php"); ?>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">


<div class="contenido">
<?php
	if ($tabla == INGENIO || $tabla == IDIOMAS || $tabla == IDIOMA_ADMIN)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_9; ?></span>
</div>
<?php
	} else if ($tabla == TD_CATALOGOS || $tabla == TD_CARRO || $tabla == TD_PEDIDOS || $tabla == TD_OFERTAS || $tabla == TD_CARACTERISTICAS || $tabla == OPENVIO)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_326; ?></span>
</div>
<?php
	} else if ($tabla == CATEGORIAS_PRIV)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_347; ?></span>
</div>
<?php
	} else if ($tabla == CANALES || $tabla == IMAGENES || $tabla == MULTIMEDIA || $tabla == ARCHIVOS)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_338; ?></span>
</div>
<?php
	} else if ($tabla == CATEGORIAS || $tabla == PORTADA || $tabla == DESTACADOS)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_306; ?></span>
</div>
<?php
	} else if ($tabla == PAGINAS)
	{
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_447; ?></span>
</div>
<?php
	} else {
?>
<div class="div_rotulo_top_sec">
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_12; ?></span>
</div>
<?php
	}
?>

<?php
/***************** EL NOMBRE DE LO QUE SE GESTIONA *****************/

	if ($tabla == CATEGORIAS) { echo '<div class="rotulo">'.LEN_ADMIN_38.'</div>'; }
	if ($tabla == CATEGORIAS_PRIV) { echo '<div class="rotulo">'.LEN_ADMIN_344.'</div>'; }
	if ($tabla == ITEMS) { echo '<div class="rotulo">'.LEN_ADMIN_40.'</div>'; }
	if ($tabla == PORTADA) { echo '<div class="rotulo">'.LEN_ADMIN_186.'</div>'; }
	if ($tabla == DESTACADOS) { echo '<div class="rotulo">'.LEN_ADMIN_44.'</div>'; }
	if ($tabla == RELACIONADOS) { echo '<div class="rotulo">'.LEN_ADMIN_109.'</div>'; }
	if ($tabla == COMENTARIOS) { echo '<div class="rotulo">'.LEN_ADMIN_39.'</div>'; }
	if ($tabla == TRADUCCIONES) { echo '<div class="rotulo">'.LEN_ADMIN_43.'</div>'; }
	if ($tabla == PAGINAS) { echo '<div class="rotulo">'.LEN_ADMIN_42.'</div>'; }
	if ($tabla == LINKS) { echo '<div class="rotulo">'.LEN_ADMIN_485.'</div>'; }
	if ($tabla == IMAGENES) { echo '<div class="rotulo">'.LEN_ADMIN_45.'</div>'; }
	if ($tabla == MULTIMEDIA) { echo '<div class="rotulo">'.LEN_ADMIN_174.'</div>'; }
	if ($tabla == ARCHIVOS) { echo '<div class="rotulo">'.LEN_ADMIN_37.'</div>'; }
	if ($tabla == ARCHIVOS_PRIV) { echo '<div class="rotulo">'.LEN_ADMIN_147.'</div>'; }
	if ($tabla == INGENIO) { echo '<div class="rotulo">'.LEN_ADMIN_48.'</div>'; }
	if ($tabla == IDIOMAS) { echo '<div class="rotulo">'.LEN_ADMIN_46.'</div>'; }
	if ($tabla == IDIOMA_ADMIN) { echo '<div class="rotulo">'.LEN_ADMIN_47.'</div>'; }
	if ($tabla == CANALES) { echo '<div class="rotulo">'.LEN_ADMIN_287.'</div>'; }
	if ($tabla == TD_CATALOGOS) { echo '<div class="rotulo">'.LEN_ADMIN_332.'</div>'; }
	if ($tabla == TD_PEDIDOS) { echo '<div class="rotulo">'.LEN_ADMIN_334.'</div>'; }
	if ($tabla == TD_OFERTAS) { echo '<div class="rotulo">'.LEN_ADMIN_335.'</div>'; }
	if ($tabla == TD_CARRO) { echo '<div class="rotulo">'.LEN_ADMIN_365.'</div>'; }
	if ($tabla == TD_CARACTERISTICAS) { echo '<div class="rotulo">'.LEN_ADMIN_366.'</div>'; }
	if ($tabla == OPENVIO) { echo '<div class="rotulo">'.LEN_ADMIN_465.'</div>'; }
	if ($tabla == PRIVASS) { echo '<div class="rotulo">'.LEN_ADMIN_503.'</div>'; }
		
/***************** EL NOMBRE DE LO QUE SE GESTIONA FIN *****************/

/***************** CABECERA DE INFORMACION DE REGISTROS *****************/
// aparece si hay registros
if ($totalres>0){
?>
<?php
	
	// conex a nuevo registro
	$popup_txt = "";
	// no aparece en las tablas siguientes
	if ($tabla == INGENIO || $tabla == IDIOMAS || $tabla == IDIOMA_ADMIN || $tabla == TD_CARRO || $tabla == TD_CARACTERISTICAS)
	{
		echo '';
	} else {
		
		if ($tabla == CATEGORIAS) { $popup_txt = LEN_ADMIN_50; }
		if ($tabla == CATEGORIAS_PRIV) { $popup_txt = LEN_ADMIN_345; }
		if ($tabla == PORTADA) { $popup_txt = LEN_ADMIN_187; }
		if ($tabla == DESTACADOS) { $popup_txt = LEN_ADMIN_56; }
		if ($tabla == RELACIONADOS) { $popup_txt = LEN_ADMIN_107; }
		if ($tabla == COMENTARIOS) { $popup_txt = LEN_ADMIN_51; }
		if ($tabla == TRADUCCIONES) { $popup_txt = LEN_ADMIN_55; }
		if ($tabla == PAGINAS) { $popup_txt = LEN_ADMIN_54; }
		if ($tabla == LINKS) { $popup_txt = LEN_ADMIN_53; }
		if ($tabla == IMAGENES) { $popup_txt = LEN_ADMIN_57; }
		if ($tabla == MULTIMEDIA) { $popup_txt = LEN_ADMIN_173; }
		if ($tabla == ARCHIVOS) { $popup_txt = LEN_ADMIN_49; }
		if ($tabla == ARCHIVOS_PRIV) { $popup_txt = LEN_ADMIN_148; }
		if ($tabla == CANALES) { $popup_txt = LEN_ADMIN_310; }
		if ($tabla == TD_CATALOGOS) { $popup_txt = LEN_ADMIN_336; }
		if ($tabla == TD_OFERTAS) { $popup_txt = LEN_ADMIN_339; }
		if ($tabla == TD_PEDIDOS) { $popup_txt = LEN_ADMIN_430; }
		if ($tabla == OPENVIO) { $popup_txt = LEN_ADMIN_464; }		
		if ($tabla == PRIVASS) { $popup_txt = LEN_ADMIN_502; }		
		
		if ($tabla == ITEMS)
		{ 
		
			// nuevo registro item redaccion
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=1"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_52;
			echo '</a>';

			// nuevo registro item tienda
			echo '&nbsp;&nbsp;';
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=3"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_337;
			echo '</a>';

			// nuevo registro item intranet
			echo '&nbsp;&nbsp;';
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=2"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_350;
			echo '</a>';

		
		} else {
				
			// nuevo registro
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php"';
			echo ' class="conex_gral_menu">';
			echo $popup_txt;
			echo '</a>';
		}
		
		echo '<br /><br />';
			
	}


	// encontrados
	echo '<span class="mensaje_info">'.LEN_ADMIN_128.' <span class="rotulo_st">'.$totalres.'</span> '.LEN_ADMIN_127.' <span class="rotulo_st">'.$total.'</span> '.LEN_ADMIN_129.'';
	echo '<br />';
	echo ''.LEN_ADMIN_130.' <span class="rotulo_st">'.($ini+1).'</span> '.LEN_ADMIN_126.' ';
	if ($mostrar>$resto)
	{
		echo '<span class="rotulo_st">'.$totalres.'</span>';
	} else { 
		echo '<span class="rotulo_st">'.($ini+$mostrar).'</span>'; 
	}
	echo '</span>';

	// botones de navegacion
	echo '<br /><br />';
	echo '<a href="'.$archivo.'?tabla='.$tabla.'" class="conex_gral">'.LEN_ADMIN_362.'</a>';
	echo '&nbsp;&nbsp;<a href="'.$archivo.'?tabla='.$tabla.'&ini=0&cadena=&donde='.$id_gral.'&ver='.$total.'&pag=1" class="conex_gral">'.LEN_ADMIN_131.'</a>';
	echo '&nbsp;&nbsp;<a href="'.$archivo.'?tabla='.$tabla.'&print=1" class="conex_gral">'.LEN_ADMIN_132.'</a>';


/********************* MENSAJES DE ACCIONES ***************************/
// borrado de registro
if (isset($_GET["msj"])) {
	echo '<br /><br /><div class="mensaje">'.LEN_ADMIN_133.'</div>';
}
// guardar registros
if (isset($_GET["rg"])) {
	echo '<br /><br /><div class="mensaje">'.LEN_ADMIN_58.'</div>';
}
/********************* MENSAJES DE ACCIONES FIN ***********************/


	// listado de grupos de configuracion
	if ($tabla == INGENIO || $tabla == IDIOMAS)
	{
	
		// recoge el array
		$todos_grupos_nom = todosGRUPOS($tabla);

		// contar las repeticiones
		//$todos_grupos_contar = array_count_values($todos_grupos_nom);

		// ordenar por alfabetico en minusculas
		$matriz_minusculas = array_map('strtolower', $todos_grupos_nom);
		array_multisort($matriz_minusculas, SORT_ASC, SORT_STRING, $todos_grupos_nom);

		// quitar las repetidas
		$todos_grupos_unicos = array_keys(array_flip($todos_grupos_nom));
		
		// salida
		$todos_grupos_salida = '<br /><br />';
		$todos_grupos_salida .= '<div class="div_destacar_grupos"><form name="formBG">';
		$todos_grupos_salida .= LEN_ADMIN_327.'&nbsp;&nbsp;<select name="grupos_list" onchange="location.href=document.formBG.grupos_list.options[document.formBG.grupos_list.selectedIndex].value">';
		$todos_grupos_salida .= '<option value="">'.LEN_ADMIN_79.'</option>';
		for ($g=0; $g < count($todos_grupos_unicos); $g++)
		{
		
			$todos_grupos_salida .= '<option value="'.$archivo.'?tabla='.$tabla.'&ini=0&cadena='.codificar_buscador($todos_grupos_unicos[$g]).'&donde=grupo&ver='.$total.'&pag=1">'.$todos_grupos_unicos[$g].'</option>';
		
		}
		$todos_grupos_salida .= '</select></form></div>';
		
		// mostrar
		echo $todos_grupos_salida;
		
	}


	// tipos de items
	if ($tabla == ITEMS)
	{
		echo '<br /><br />';	
		echo '<div class="div_destacar_grupos"><form name="formBG">';
		echo LEN_ADMIN_327.'&nbsp;&nbsp;<select name="grupos_list" onchange="location.href=document.formBG.grupos_list.options[document.formBG.grupos_list.selectedIndex].value">';
		echo '<option value="">'.LEN_ADMIN_79.'</option>';
		echo '<option value="'.$archivo.'?tabla='.$tabla.'&ini=0&cadena=1&donde=item_tipo">'.LEN_ADMIN_306.'</option>';
		echo '<option value="'.$archivo.'?tabla='.$tabla.'&ini=0&cadena=2&donde=item_tipo">'.LEN_ADMIN_347.'</option>';
		echo '<option value="'.$archivo.'?tabla='.$tabla.'&ini=0&cadena=3&donde=item_tipo">'.LEN_ADMIN_326.'</option>';
		echo '</select></form></div>';
	
	}


} // del if $totalres>0
/***************** CABECERA DE INFORMACION DE REGISTROS FIN *****************/
?>

<?php

	// ver el item elegido en algunas tablas
if ($palabra != "" && $totalres>0 && $lugar == "itemID")
{
	if ($tabla == RELACIONADOS || $tabla == COMENTARIOS || $tabla == TRADUCCIONES || $tabla == TD_CARACTERISTICAS)
	{

		echo '<br /><br />';		
		echo '<div class="div_destacar_grupos">';
		$corte_tit = 50;
		$q_tit = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$palabra."'");
		$row_tit = myfetch($q_tit);
	
		if (strlen($row_tit["titulo"]) > $corte_tit) { $mast="..."; } else { $mast=""; }
		
		echo '<a href="adm_'.ITEMS.'.php?itemID='.$palabra.'" title="'.salida_popups($row_tit["titulo"]).'" class="conex_tip">'.substr_x($row_tit["titulo"],0,$corte_tit).$mast.'</a> (#'.$row_tit["itemID"].')';

		if ($row_tit["item_tipo"] == 2) // intranet
		{
			echo '&nbsp;&nbsp;('.LEN_ADMIN_346.')';		
		}
		
		if ($row_tit["item_tipo"] == 3) // tienda
		{
			echo '&nbsp;&nbsp;('.LEN_ADMIN_360.')';		
		}

		echo '</div>';
	}
}

	// ver el pedido elegido en algunas tablas
if ($palabra != "" && $totalres>0 && $lugar == "pedID")
{
	if ($tabla == TD_CARRO)
	{

		echo '<br /><br />';			
		echo '<div class="div_destacar_grupos">';
		$q_tit = myquery("SELECT * FROM ".TD_PEDIDOS." WHERE pedID='".$palabra."'");
		$row_tit = myfetch($q_tit);
			
		echo '<a href="adm_'.TD_PEDIDOS.'.php?pedID='.$palabra.'">'.LEN_ADMIN_367.'</a> (#'.$row_tit["pedID"].')';

		echo '</div>';
	}
}

	// ver el archivo privado elegido en algunas tablas
if ($palabra != "" && $totalres>0 && $lugar == "fileID")
{
	if ($tabla == PRIVASS)
	{

		echo '<br /><br />';			
		echo '<div class="div_destacar_grupos">';
		$corte_tit = 50;
		$q_tit = myquery("SELECT * FROM ".ARCHIVOS_PRIV." WHERE fileID='".$palabra."'");
		$row_tit = myfetch($q_tit);

		if (strlen($row_tit["nombre"]) > $corte_tit) { $mast="..."; } else { $mast=""; }
		
		echo '<a href="adm_'.ARCHIVOS_PRIV.'.php?fileID='.$palabra.'" title="'.salida_popups($row_tit["nombre"]).'" class="conex_tip">'.substr_x($row_tit["nombre"],0,$corte_tit).$mast.'</a>&nbsp;&nbsp;|&nbsp;&nbsp;'.$row_tit["archivo"].'&nbsp;&nbsp;(#'.$row_tit["fileID"].')';

		echo '</div>';
	}
}

?>

<?php
/******************** BUSCADOR  ALTO **************************/
// aparece el form de buscar si hay registros o en busquedas
if ($totalres>0 || ($totalres==0 && $palabra != "")){

?>

<div class="div_destacar_grupos">
<form name="buscar" method="post" action="<?php echo $archivo; ?>">
<input type="hidden" name="tabla" value="<?php echo $tabla; ?>">
<input type="hidden" name="ini" value="0">
<input type="text" size="15" name="cadena" value="<?php echo $palabra ?>" class="input_text_buscar">&nbsp;&nbsp;
<input type="submit" value="<?php  echo LEN_ADMIN_134; ?>" class="boton">&nbsp;&nbsp;<?php  echo LEN_ADMIN_135; ?>&nbsp;&nbsp;
<select name="donde">
<?php
$qcam1 = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=t7]");
while ($rowc=myfetch($qcam1))
{
	echo '<option value="'.$rowc['Field'].'"';
	// TABLA campo por defecto
	if ($lugarini && $tabla == IDIOMA_ADMIN) { $lugar = "topic_pre"; }
	if ($lugarini && $tabla == IDIOMAS) { $lugar = "topic_0"; }
	if ($lugarini && $tabla == INGENIO) { $lugar = "ayuda"; }

		if ($rowc['Field'] == $lugar) {
			echo ' selected>* ';
		// RESTO campos
		} else {
			echo '>';
		}
	echo $rowc['Field'].'</option>';

} // del while
?>
</select>
&nbsp;&nbsp;<?php  echo LEN_ADMIN_136; ?>&nbsp;&nbsp;
<select name="ver">
<?php
for ($n=0; $n<count($num_mostrar); $n++)
{	
	echo'<option value="'.$num_mostrar[$n];
	if ($mostrar==$num_mostrar[$n]) { echo '" selected>* ';} else { echo '">'; }
	echo $num_mostrar[$n].'</option>';
}
// mostrar todos
if ($mostrar==$total)
{ 
	echo '<option value="'.$total.'" selected>* '.LEN_ADMIN_137.'</option>';

} else {
	
	echo '<option value="'.$total.'">'.LEN_ADMIN_137.'</option>';

}
?>
</select>
&nbsp;&nbsp;<?php  echo LEN_ADMIN_138; ?>
<input type="hidden" name="pag" value="1">
<input type="hidden" name="busF1" value="1">
</form>
</div>

<?php
} // del if aparece el form...

/******************** BUSCADOR  ALTO FIN **************************/
?>

<?php
/******************* FORM PAGINA ALTO ***********************/

if ($totalres>0 && $totalres>$mostrar){
?>
<div class="paginas_list">
<form name="paginas" method="get" action="<?php echo $archivo; ?>">
<?php

if ($ini > 0)
{
	echo '<a href="'. $archivo .'?tabla='. $tabla .'&ini=' . $antes . '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . ($pagina-1) . '" class="">'.LEN_ADMIN_139.'</a>';
}

echo '&nbsp;&nbsp;';
echo LEN_ADMIN_141.'&nbsp;&nbsp;';

echo '<select name="pag" onChange="selec(\'self\',this,0)">';

$numpag=ceil($totalres/$mostrar);

for($i=1; $i<=$numpag; $i++)
{
	echo '<option value="'. $archivo .'?tabla='. $tabla .'&ini=';

	if ($i==1)
	{
		echo '0';
	} else if ($i>=2)
	{
		echo $mostrar*($i-1);
	}

	echo '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . $i ;

	if ($i==$pagina)
	{
		echo '" selected>';
	} else { 
		echo '">';
	}

	echo  $i . '</option>';

}

echo '</select>';
echo '&nbsp;&nbsp;';

if ($resto>$mostrar)
{
	echo '<a href="'. $archivo .'?tabla='. $tabla .'&ini=' . $sigue . '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . ($pagina+1) . '" class="">'.LEN_ADMIN_140.'</a>';
}

?>
</form>
</div>

<?php
} else { echo '<div class="paginas_list"></div>'; } // del if $totalres>0 && $totalres>$mostrar

/******************* FORM PAGINA ALTO FIN ***********************/
?>

<?php
/******************* MENSAJES BUSCADOR ********************************/

if ($totalres==0 && $palabra != "") { // si no ha registros con busquedas

	if (substr_x($palabra, 0, 2 ) == "**")
	{
		// borra el prefijo -> **
		$decode_palabra = str_replace("**","",$palabra);
	} else {
		$decode_palabra = $palabra;
	}
	echo '<div class="mensajes_list">'.LEN_ADMIN_142.' <span class="rotulo_st">'.$decode_palabra.'</span></div>';

	// gestionar
		echo '<a title=""';
		echo ' href="'. $archivo .'?tabla='. $tabla .'"';
		echo ' class="conex_gral_menu">';
		echo LEN_ADMIN_12;
		echo '</a>';


} else if ($totalres==0) { // si no hay registros

	echo '<div class="mensajes_list">'.LEN_ADMIN_143.'</div>';
	
	// conex a nuevo registro
	$popup_txt = "";
	// no aparece en las tablas siguientes
	if ($tabla == INGENIO || $tabla == IDIOMAS || $tabla == IDIOMA_ADMIN)
	{
		echo '';
	} else {
		
		if ($tabla == CATEGORIAS) { $popup_txt = LEN_ADMIN_50; }
		if ($tabla == CATEGORIAS_PRIV) { $popup_txt = LEN_ADMIN_345; }
		if ($tabla == PORTADA) { $popup_txt = LEN_ADMIN_187; }
		if ($tabla == DESTACADOS) { $popup_txt = LEN_ADMIN_56; }
		if ($tabla == RELACIONADOS) { $popup_txt = LEN_ADMIN_107; }
		if ($tabla == COMENTARIOS) { $popup_txt = LEN_ADMIN_51; }
		if ($tabla == TRADUCCIONES) { $popup_txt = LEN_ADMIN_55; }
		if ($tabla == PAGINAS) { $popup_txt = LEN_ADMIN_54; }
		if ($tabla == LINKS) { $popup_txt = LEN_ADMIN_53; }
		if ($tabla == IMAGENES) { $popup_txt = LEN_ADMIN_57; }
		if ($tabla == MULTIMEDIA) { $popup_txt = LEN_ADMIN_173; }
		if ($tabla == ARCHIVOS) { $popup_txt = LEN_ADMIN_49; }
		if ($tabla == ARCHIVOS_PRIV) { $popup_txt = LEN_ADMIN_148; }
		if ($tabla == CANALES) { $popup_txt = LEN_ADMIN_310; }
		if ($tabla == TD_CATALOGOS) { $popup_txt = LEN_ADMIN_336; }
		if ($tabla == TD_OFERTAS) { $popup_txt = LEN_ADMIN_339; }
		if ($tabla == OPENVIO) { $popup_txt = LEN_ADMIN_464; }		
		if ($tabla == PRIVASS) { $popup_txt = LEN_ADMIN_502; }		

		if ($tabla == ITEMS)
		{ 
		
			// nuevo registro item redaccion
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=1"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_52;
			echo '</a>';

			// nuevo registro item intranet
			echo '&nbsp;&nbsp;';
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=2"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_350;
			echo '</a>';

			// nuevo registro item tienda
			echo '&nbsp;&nbsp;';
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php?tipo=2"';
			echo ' class="conex_gral_menu">';
			echo LEN_ADMIN_337;
			echo '</a>';
		
		} else if ($tabla == TD_PEDIDOS || $tabla == TD_CARRO || $tabla == TD_CARACTERISTICAS) {
		
			// nuevo registro
			echo '';
		
		} else {
				
			// nuevo registro
			echo '<a title=""';
			echo ' href="adm_'.$tabla.'.php"';
			echo ' class="conex_gral_menu">';
			echo $popup_txt;
			echo '</a>';
		}
				
	}



} else { // si hay registros

/******************* MENSAJES BUSCADOR FIN ***************************/

?>

<?php
/*********************** TABLA REGISTROS  *****************/
// solo si hay registros
?>
<table width="100%" height="" border="0" cellspacing="1" cellpadding="3" class="contiene">
<tr>
<?php
	// no permite borrar registros en estas tablas
	if ($tabla != IDIOMA_ADMIN && $tabla != IDIOMAS && $tabla != INGENIO)
	{
?>
<td class="contiene_celda_rot">&nbsp;</td>
<?php
	}

	// no permite editar en estas tablas
	if ($tabla != TD_CARACTERISTICAS)
	{
?>
<td class="contiene_celda_rot">&nbsp;</td>
<?php
	}
?>
<td class="contiene_celda_rot">&nbsp;</td>
<?php
$qcamt = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=tg1]");
while ($rowt=myfetch($qcamt))
{
 echo "<td class=\"contiene_celda_rot\">".$rowt["Field"]."</td>";
}
 ?>
</tr>

<?php

while ($row=myfetch($result)) {

?>

<tr class="contiene_celda_tr">
<?php
	// no permite borrar registros en estas tablas
	if ($tabla != IDIOMA_ADMIN && $tabla != IDIOMAS && $tabla != INGENIO)
	{
?>
<td class="contiene_celda_her" valign="top">
<div class="div_celda_her">
<?php
	// conex de borrado
	echo '<a title="'.salida_popups(LEN_ADMIN_145).'"';
	echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\''.$archivo.'?'.$cadena_get_comple.'&res=bo&registro='.$row[$id_gral].'\');"';
	echo ' class="conex_tip">';
	echo '<img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_borrar.png" />';
	echo '</a>';
?>

</div>
</td>
<?php
	}

	// no permite editar en estas tablas
	if ($tabla != TD_CARACTERISTICAS)
	{
?>
<td class="contiene_celda_her" valign="top">
<div class="div_celda_her">
<?php

	// conex EDITAR
	echo '<div class="div_conex_resu"><a title=""';
	echo ' href="adm_'.$tabla.'.php?'.$id_gral.'='.$row[$id_gral].'&'.$listado_get_editar.'"';
	echo ' class="conex_gral_menu">';
	echo LEN_ADMIN_146;	
	echo '</a></div>';
	
?>
</div>
</td>
<?php
	}
?>

<td class="contiene_celda_her" valign="top" nowrap>
<div class="div_celda_her">
<?php
	// CELDA INFO //
	
	// ajuste de campo para mostrar info (popups)
	if ($tabla == IDIOMA_ADMIN || $tabla == IDIOMAS || $tabla == INGENIO)
	{
		$nombre_campo = "ayuda";
		
	} else if ($tabla == ITEMS || $tabla == LINKS || $tabla == PAGINAS) {
	
		$nombre_campo = "titulo";

	} else if ($tabla == ARCHIVOS_PRIV || $tabla == ARCHIVOS || $tabla == CATEGORIAS || $tabla == MULTIMEDIA || $tabla == CANALES || $tabla == TD_CATALOGOS) {
	
		$nombre_campo = "nombre";

	} else if ($tabla == COMENTARIOS) {
	
		$nombre_campo = "asunto";

	} else if ($tabla == TRADUCCIONES) {
	
		$nombre_campo = "idioma";

	} else if ($tabla == TD_PEDIDOS) {
	
		$nombre_campo = "nombre_cliente";

	} else if ($tabla == OPENVIO) {
	
		$nombre_campo = "valor";
		
	} else {
	
		$nombre_campo = "";
	}
	
?>
<?php
	
	// mostrar info (popups)
	if ($nombre_campo != "")
	{		
		
		echo '<a title="';
		echo salida_popups($row[$nombre_campo],true);		
		echo '" class="conex_tip adcursor">';
		echo '<img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" />';	
		echo '</a>';		

		if ($tabla == ITEMS)
		{
			if ($row["item_tipo"] == 2) // intranet
			{
				echo '&nbsp;&nbsp;('.LEN_ADMIN_346.')';		
			
			}
			
			if ($row["item_tipo"] == 3) // tienda
			{
				echo '&nbsp;&nbsp;('.LEN_ADMIN_360.')';		
			
			}
		}	

		if ($tabla == MULTIMEDIA)
		{

			$verarcinfo = "";
			if ($row["tipo"] == 1 || $row["tipo"] == 2)
			{ 
				$corte = 50;
				if (strlen($row["archivo"]) > $corte)
				{ 
					$verarc = substr_x($row["archivo"], 0, $corte/2) . "..." . substr_x($row["archivo"], -$corte/2);
				} else {
					$verarc = $row["archivo"];
				}
				if ($row["tipo"] == 1) { $verarcinfo = '&nbsp;&nbsp;('.LEN_ADMIN_176.')'; }
				if ($row["tipo"] == 2) { $verarcinfo = '&nbsp;&nbsp;('.LEN_ADMIN_177.')'; }
				
			} else if ($row["tipo"] == 3) {
				$verarc = LEN_ADMIN_408;
			} else if ($row["tipo"] == 4) {
				$verarc = LEN_ADMIN_413;
			}
			
			echo '&nbsp;&nbsp;<a title="'.salida_popups($verarc).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>'.$verarcinfo;		

		}

		if ($tabla == ARCHIVOS)
		{
			$corte = 50;
			if (strlen($row["archivo"]) > $corte)
			{ 
				$verarc = substr_x($row["archivo"], 0, $corte/2) . "..." . substr_x($row["archivo"], -$corte/2);
			} else {
				$verarc = $row["archivo"];
			}

			echo '&nbsp;&nbsp;<a title="'.salida_popups($verarc).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';
		}
		
		if ($tabla == ARCHIVOS_PRIV)
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups($row["archivo"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';
		}

		if ($tabla == LINKS)
		{
			echo '&nbsp;&nbsp;<a title="'.salida_popups($row["url"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';
			
			if ($row["tipo"] == 4)
			{
				if (file_exists_url("../fotos/".$row["foto"]))
				{
					$size = getimagesize("../fotos/".$row["foto"]);
					$size_ancho = ceil($size[0]/2);
					echo '<br /><br />';
					echo '<img src="../fotos/'.$row['foto'].'" width="'.$size_ancho.'" />';
				
				} else {
				
					echo '-';
				}

			}
			else if ($row["tipo"] == 5)
			{
				echo '&nbsp;&nbsp;['.LEN_ADMIN_493.']';
			}
			else if ($row["tipo"] == 6)
			{
				$webdominio = str_replace("www.","",NOMBRE_DOMINIO);
				$webrutainicio = RUTA_INICIO;
				$webseo = CONFIG_1 == 0 ? 'mr='.$row["urlseo"] : $row["urlseo"]; // compensa NO mod_rewrite
				echo '<br /><br />';
				echo '<input name="verarc" maxlength="255" value="'.$webdominio.$webrutainicio.$webseo.'" type="text" class="input_text_readonly" readonly="true">';
			}
		}

	// nombre_campo = ""	
	} else {
		
		if ($tabla == IMAGENES)
		{
		
			if (file_exists_url("../imagenes/".$row["imagen"]))
			{
				$size = getimagesize("../imagenes/".$row["imagen"]);
				$size_ancho = ceil($size[0]/2);

				echo '<a title="';
				echo "<img src=../imagenes/".$row['imagen']." width=".$size_ancho." />";
				echo '" class="conex_tip adcursor">';
				echo '<img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" />';	
				echo '</a>';
			
			} else {
			
				echo '-';
			}
			
		} else if ($tabla == RELACIONADOS)
		{

			if ($row["tipo"] == 1) // items
			{
				$ql = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row["refID"]."'","[listados=i1]");
				$row_ql = myfetch($ql);
				echo '<a title="'.salida_popups($row_ql["titulo"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		
				if ($row_ql["item_tipo"] == 2) // intranet
				{
					echo '&nbsp;&nbsp;('.LEN_ADMIN_346.')';		
			
				}
			
			}
			else if ($row["tipo"] == 2) // imagenes
			{
				$ql = myquery("SELECT * FROM ".IMAGENES." WHERE imgID='".$row["refID"]."'","[listados=i2]");
				$row_ql = myfetch($ql);

				if (file_exists_url("../imagenes/".$row_ql["imagen"]))
				{
					$size = getimagesize("../imagenes/".$row_ql["imagen"]);
					$size_ancho = ceil($size[0]/2);

					echo '<a title="';
					echo "<img src=../imagenes/".$row_ql['imagen']." width=".$size_ancho." />";
					echo '" class="conex_tip adcursor">';
					echo '<img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" />';	
					echo '</a>';
			
				} else {
			
				echo '-';
				
				}			
			}
			else if ($row["tipo"] == 3) // archivos
			{
				$ql = myquery("SELECT * FROM ".ARCHIVOS." WHERE fileID='".$row["refID"]."'","[listados=i3]");
				$row_ql = myfetch($ql);
				echo '<a title="'.salida_popups($row_ql["nombre"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		
				$corte = 50;
				if (strlen($row_ql["archivo"]) > $corte)
				{ 
					$verarc = substr_x($row_ql["archivo"], 0, $corte/2) . "..." . substr_x($row_ql["archivo"], -$corte/2);
				} else {
					$verarc = $row_ql["archivo"];
				}
				echo '&nbsp;&nbsp;<a title="'.salida_popups($verarc).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';		
			
			}
			else if ($row["tipo"] == 4) // videos
			{
				$ql = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$row["refID"]."'","[listados=i4]");
				$row_ql = myfetch($ql);
				if ($row_ql["tipo"] == 1)
				{
					$corte = 50;
					if (strlen($row_ql["archivo"]) > $corte)
					{ 
						$verarc = substr_x($row_ql["archivo"], 0, $corte/2) . "..." . substr_x($row_ql["archivo"], -$corte/2);
					} else {
						$verarc = $row_ql["archivo"];
					}
				}
				else if ($row_ql["tipo"] == 3)
				{
					$verarc = LEN_ADMIN_408;
				}
				echo '<a title="'.salida_popups($row_ql["nombre"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';
				echo '&nbsp;&nbsp;<a title="'.salida_popups($verarc).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';		

			}
			else if ($row["tipo"] == 5) // sonidos
			{
				$ql = myquery("SELECT * FROM ".MULTIMEDIA." WHERE multID='".$row["refID"]."'","[listados=i4]");
				$row_ql = myfetch($ql);
				if ($row_ql["tipo"] == 2)
				{
					$corte = 50;
					if (strlen($row_ql["archivo"]) > $corte)
					{ 
						$verarc = substr_x($row_ql["archivo"], 0, $corte/2) . "..." . substr_x($row_ql["archivo"], -$corte/2);
					} else {
						$verarc = $row_ql["archivo"];
					}
				}
				else if ($row_ql["tipo"] == 4)
				{
					$verarc = LEN_ADMIN_413;
				}
				echo '<a title="'.salida_popups($row_ql["nombre"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		
				echo '&nbsp;&nbsp;<a title="'.salida_popups($verarc).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';		

			}
			else if ($row["tipo"] == 6) // items producto
			{
			
				$ql = myquery("SELECT * FROM ".ITEMS." WHERE item_tipo=3 AND itemID='".$row["refID"]."'","[listados=i6]");
				$row_ql = myfetch($ql);
				echo '<a title="'.salida_popups($row_ql["titulo"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		
				echo '&nbsp;&nbsp;('.LEN_ADMIN_360.')';		
						
			}
			
		
		} else if ($tabla == DESTACADOS || $tabla == PORTADA || $tabla == TD_OFERTAS || $tabla == TD_CARRO || $tabla == TD_CARACTERISTICAS)
		{

			$ql = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$row["itemID"]."'","[listados=i6]");
			$row_ql = myfetch($ql);
			echo '<a title="'.salida_popups($row_ql["titulo"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		

		} else if ($tabla == PRIVASS)
		{

			$ql = myquery("SELECT * FROM ".ARCHIVOS_PRIV." WHERE fileID='".$row["fileID"]."'","[listados=i7]");
			$row_ql = myfetch($ql);
			echo '<a title="'.salida_popups($row_ql["nombre"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_info.png" /></a>';		
			echo '&nbsp;&nbsp;<a title="'.salida_popups($row_ql["archivo"]).'" class="conex_tip adcursor"><img class="img_icon_ini" src="'.RUTASKIN.'/imgs/icon_infoplus.png" /></a>';
					
		} else {
			
			// por defecto
			echo '-';
		}
	}
	
	// FIN CELDA INFO //
?>
</div>
</td>
<?php

	// comienza la salida de los contenidos
	$qcams = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=tg2]");
	while ($rows=myfetch($qcams))
	{ 
 
		// reconocer el charset
		$charset = strtolower(INGENIO_CHARSET);
 		// variable de salida general
 		$tpl_salida_listado = htmlentities(substr_x($row[$rows["Field"]],0,100),ENT_QUOTES,$charset);
 		$tpl_salida_listado_especial = substr_x($row[$rows["Field"]],0,100);
  		$tpl_salida_listado_html = str_replace(array("<",">","\r\n","\"","'"),array("&lt;","&gt;","<br />","&#34;","&#39;"),$row[$rows["Field"]]);
  		
 		echo "<td valign=\"top\">";
	
			// algunos ajustes amables
			if ($tabla == RELACIONADOS)
			{
				if ($rows["Field"] == "tipo")
				{
					if ($row[$rows["Field"]] == 1) { echo LEN_ADMIN_169.' ('.$tpl_salida_listado.')'; } // items
					if ($row[$rows["Field"]] == 2) { echo LEN_ADMIN_170.' ('.$tpl_salida_listado.')'; } // imagenes
					if ($row[$rows["Field"]] == 3) { echo LEN_ADMIN_181.' ('.$tpl_salida_listado.')'; } // archivos
					if ($row[$rows["Field"]] == 4) { echo LEN_ADMIN_182.' ('.$tpl_salida_listado.')'; } // videos
					if ($row[$rows["Field"]] == 5) { echo LEN_ADMIN_254.' ('.$tpl_salida_listado.')'; } // sonidos
					if ($row[$rows["Field"]] == 6) { echo LEN_ADMIN_361.' ('.$tpl_salida_listado.')'; } // productos
		
				} else {
		
  					echo $tpl_salida_listado;
		
				}	
	
			} else if ($tabla == INGENIO) {
				
				if ($rows["Field"] == "topic")
				{
					echo '<span class="selectopic">';
	
					if ($row["tipo"] == 2) // SI|NO
					{
						//if ($row[$rows["Field"]] == 0) { echo LEN_ADMIN_60.' ('.$tpl_salida_listado.')'; }
						//if ($row[$rows["Field"]] == 1) { echo LEN_ADMIN_59.' ('.$tpl_salida_listado.')'; }
						if ($row[$rows["Field"]] == 0) { echo LEN_ADMIN_60 ; }
						if ($row[$rows["Field"]] == 1) { echo LEN_ADMIN_59 ; }
									
					} else if ($row["tipo"] == 4) // pass
					{
			
	  					echo '*******';
	  				
	 				} else if ($row["tipo"] == 5) // str
					{
	  					//echo $tpl_salida_listado_especial;
	  					echo $tpl_salida_listado;
	  					
	  				} else {

	  					echo $tpl_salida_listado;	  					
	  				}
	  				
	  				echo '</span>';
  					
 				} else if ($rows["Field"] == "igID") // ID
				{
					echo '<span class="selecnum">'.$tpl_salida_listado.'</span>';

 				} else if ($rows["Field"] == "ayuda") // ayuda
				{
  					echo $tpl_salida_listado_html;
					
 				} else {
  				
					echo '<span class="noresaltar">'.$tpl_salida_listado.'</span>';		
				}

			} else if ($tabla == TD_CARRO) {
	
				if ($rows["Field"] == "nombre_producto")
				{
					echo '<a href="adm_'.ITEMS.'.php?itemID='.$row["itemID"].'">'.$tpl_salida_listado.'</a>';
					
				} else {
				
  					echo $tpl_salida_listado;
				
				}

			} else if ($tabla == PRIVASS) {
	
				if ($rows["Field"] == "fpass")
				{
					echo '<form>';
					echo '<input name="verpass" maxlength="100" value="'.$tpl_salida_listado.'" type="text" class="input_text_readonly" readonly="true" style="width: 100px;">';
					echo '</form>';
					
				} else {
				
  					echo $tpl_salida_listado;
				
				}
	
			} else {

  				// resto de tablas
  				echo $tpl_salida_listado;
 		
 			}
 

 		echo "</td>";
 
	}
	// fin de salida de contenidos
 ?> 
 </tr> 
<?php
} // del while ($row=myfetch($result))
?>
</table>

<?php
} // del if $totalres==0

/*********************** TABLA REGISTROS FIN *****************/
?>


<?php 
/******************* FORM PAGINA BAJO ***********************/

if ($totalres>0 && $totalres>$mostrar){
?>
<div class="paginas_list">
<form name="paginas2" method="get" action="<?php echo $archivo; ?>">
<?php

if ($ini > 0)
{
	echo '<a href="'. $archivo .'?tabla='. $tabla .'&ini=' . $antes . '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . ($pagina-1) . '" class="">'.LEN_ADMIN_139.'</a>';
}
echo '&nbsp;&nbsp;';
echo LEN_ADMIN_141.'&nbsp;&nbsp;';
echo '<select name="pag" onChange="selec(\'self\',this,0)">';

$numpag=ceil($totalres/$mostrar);

for($i=1;$i<=$numpag;$i++)
{
	echo '<option value="'. $archivo .'?tabla='. $tabla .'&ini=';

	if ($i==1)
	{
		echo '0';
	} else if ($i>=2)
	{
		echo $mostrar*($i-1);
	}

	echo '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . $i ;

	if ($i==$pagina)
	{
		echo '" selected>';
	} else {
		echo '">';
	}

	echo  $i . '</option>';

}

echo '</select>';
echo '&nbsp;&nbsp;';

if ($resto>$mostrar)
{
	echo '<a href="'. $archivo .'?tabla='. $tabla .'&ini=' . $sigue . '&cadena=' . codificar_buscador($palabra) . '&donde=' . $lugar . '&ver=' . $mostrar . '&pag=' . ($pagina+1) . '" class="">'.LEN_ADMIN_140.'</a>';
}

?>
</form>
</div>

<?php
} else { echo '<div class="paginas_list"></div>'; } // del if $totalres>0 && $totalres>$mostrar

/******************* FORM PAGINA BAJO FIN ***********************/

?>

<?php
/******************** BUSCADOR  BAJO **************************/
// aparece el form de buscar si hay registros
if ($totalres>0){

?>
<div class="div_destacar_grupos">
<form name="buscar" method="post" action="<?php echo $archivo; ?>">
<input type="hidden" name="tabla" value="<?php echo $tabla; ?>">
<input type="hidden" name="ini" value="0">
<input type="text" size="15" name="cadena" value="<?php echo $palabra ?>" class="input_text_buscar">&nbsp;&nbsp;
<input type="submit" value="<?php  echo LEN_ADMIN_134; ?>" class="boton">&nbsp;&nbsp;<?php  echo LEN_ADMIN_135; ?>&nbsp;&nbsp;
<select name="donde">
<?php
$qcam2 = myquery("SHOW COLUMNS FROM ".$tabla,"[listados=t8]");
while ($rowc=myfetch($qcam2))
{
	echo '<option value="'.$rowc['Field'].'"';
	// TABLA campo por defecto
	if ($lugarini && $tabla == IDIOMA_ADMIN) { $lugar = "topic_pre"; }
	if ($lugarini && $tabla == IDIOMAS) { $lugar = "topic_0"; }
	if ($lugarini && $tabla == INGENIO) { $lugar = "ayuda"; }

		if ($rowc['Field'] == $lugar) {
			echo ' selected>* ';
		// RESTO campos
		} else {
			echo '>';
		}
	echo $rowc['Field'].'</option>';

} // del while
?>
</select>
&nbsp;&nbsp;<?php  echo LEN_ADMIN_136; ?>&nbsp;&nbsp;
<select name="ver">
<?php
for ($n=0; $n<count($num_mostrar); $n++)
{
	echo '<option value="'.$num_mostrar[$n];
	if ($mostrar==$num_mostrar[$n]) { echo '" selected>* ';} else { echo '">'; }
	echo $num_mostrar[$n].'</option>';

}
// mostrar todos
if ($mostrar==$total)
{ 
	echo '<option value="'.$total.'" selected>* '.LEN_ADMIN_137.'</option>';

} else {
	
	echo '<option value="'.$total.'">'.LEN_ADMIN_137.'</option>';

}

?>
</select>
&nbsp;&nbsp;<?php  echo LEN_ADMIN_138; ?>
<input type="hidden" name="pag" value="1">
<input type="hidden" name="busF1" value="1">
</form>
</div>

<?php
} // del if aparece el form...

/******************** BUSCADOR  BAJO FIN **************************/
?>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>