# newinstall.sql #
# 5.0 #

/*!40101 SET NAMES utf8 */;

-- --------------------------------------------------------

--
-- ## `ig_archivos`
--

CREATE TABLE IF NOT EXISTS `ig_archivos` (
  `fileID` int(11) NOT NULL AUTO_INCREMENT,
  `canID` int(11) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `archivo` varchar(255) DEFAULT NULL,
  `descargas` int(11) DEFAULT NULL,
  `fecha` varchar(100) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `mostrar` int(1) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '0',
  `adfecha` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`fileID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_archivos_priv`
--

CREATE TABLE IF NOT EXISTS `ig_archivos_priv` (
  `fileID` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `archivo` varchar(255) DEFAULT NULL,
  `fecha` varchar(100) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  `adfecha` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`fileID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_canales`
--

CREATE TABLE IF NOT EXISTS `ig_canales` (
  `canID` int(11) NOT NULL AUTO_INCREMENT,
  `canal_tipo` int(11) DEFAULT NULL,
  `parent` int(11) NOT NULL DEFAULT '0',
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `columnas` char(2) NOT NULL DEFAULT '1',
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`canID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_categorias`
--

CREATE TABLE IF NOT EXISTS `ig_categorias` (
  `catID` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `columnas` char(2) NOT NULL DEFAULT '1',
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`catID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_categorias_priv`
--

CREATE TABLE IF NOT EXISTS `ig_categorias_priv` (
  `catprivID` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `columnas` char(2) NOT NULL DEFAULT '1',
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`catprivID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_comentarios`
--

CREATE TABLE IF NOT EXISTS `ig_comentarios` (
  `comenID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `nick` varchar(100) DEFAULT NULL,
  `asunto` varchar(255) DEFAULT NULL,
  `comentario` text,
  `link` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `fecha` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `dir_ip` varchar(25) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`comenID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_destacados`
--

CREATE TABLE IF NOT EXISTS `ig_destacados` (
  `destID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`destID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_idiomas`
--

CREATE TABLE IF NOT EXISTS `ig_idiomas` (
  `lenID` int(11) NOT NULL AUTO_INCREMENT,
  `grupo` varchar(255) DEFAULT NULL,
  `tipo` int(11) DEFAULT NULL,
  `topic_0` text,
  `topic_1` text,
  `topic_2` text,
  `topic_3` text,
  `topic_4` text,
  `topic_5` text,
  `ayuda` text,
  PRIMARY KEY (`lenID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=227 ;

--
-- # DATA # `ig_idiomas`
--

INSERT INTO `ig_idiomas` (`lenID`, `grupo`, `tipo`, `topic_0`, `topic_1`, `topic_2`, `topic_3`, `topic_4`, `topic_5`, `ayuda`) VALUES
(1, 'nombre idioma', 1, 'Español', 'Español', 'Español', 'Español', 'Español', 'Español', 'Nombre idioma principal de web\r\nLos datos de los idiomas secundarios están rellenos para que en el menú aparezca el enlace. Si se desea que aparezca de otra manera nombrado en un idioma secundario es necesario cambiar el dato correpondiente.'),
(2, 'nombre idioma', 1, '--', '', '', '', '', '', 'Nombrar idioma (1) de web'),
(3, 'nombre idioma', 1, '--', '', '', '', '', '', 'Nombrar idioma (2) de web'),
(4, 'nombre idioma', 1, '--', '', '', '', '', '', 'Nombrar idioma (3) de web'),
(5, 'nombre idioma', 1, '--', '', '', '', '', '', 'Nombrar idioma (4) de web'),
(6, 'nombre idioma', 1, '--', '', '', '', '', '', 'Nombrar idioma (5) de web'),
(7, 'general', 2, '--', '', '', '', '', '', 'Escribir el título que aparece en la barra del navegador'),
(8, 'general', 2, '--', '', '', '', '', '', 'Escribir el título del canal RSS'),
(9, 'general', 2, '--', '', '', '', '', '', 'Escribir la descripción del canal RSS'),
(10, 'general', 2, '--', '', '', '', '', '', 'Escribir el copyright del canal RSS'),
(11, 'general', 2, '--', '', '', '', '', '', 'Escribir la descripción oculta del website'),
(12, 'general', 2, '--', '', '', '', '', '', 'Escribir las keywords ocultas del website (separar por comas ",")'),
(13, 'general', 1, '--', '', '', '', '', '', 'Escribir el nombre que aparece en el link "Publicado por "'),
(14, 'general', 1, '--', '', '', '', '', '', 'Escribir el rótulo de cabecera que aparece en la zona de cabecera'),
(15, 'general', 1, 'Buscar', '', '', '', '', '', 'buscador'),
(16, 'general', 2, 'Pulsar para buscar', '', '', '', '', '', 'buscador popup'),
(17, 'general', 1, 'Últimos publicados', '', '', '', '', '', 'rótulo de menú'),
(18, 'general', 1, 'Links', '', '', '', '', '', 'rótulo de menú'),
(19, 'rss', 1, 'RSS', '', '', '', '', '', 'rótulo de menú'),
(20, 'general', 1, 'Temas destacados', '', '', '', '', '', 'rótulo de menú'),
(21, 'general', 1, 'Categorías', '', '', '', '', '', 'rótulo de menú'),
(22, 'general', 1, 'Etiquetas', '', '', '', '', '', 'rótulo de menú'),
(23, 'compartir', 1, 'RSS Feeds', '', '', '', '', '', 'rótulo de menú'),
(24, 'general', 1, 'Portada', '', '', '', '', '', 'rótulo de menú'),
(25, 'general', 1, 'Publicado por', '', '', '', '', '', 'dato de item'),
(26, 'general', 1, 'Publicado en', '', '', '', '', '', 'dato de item'),
(27, 'general', 1, 'en', '', '', '', '', '', 'dato de item'),
(28, 'general', 1, 'Comentarios', '', '', '', '', '', 'dato de item'),
(29, 'general', 1, 'leer más...', '', '', '', '', '', 'dato de item'),
(30, 'compartir', 1, 'Compartir', '', '', '', '', '', 'dato de item'),
(31, 'general', 1, 'Enviar a un amigo', '', '', '', '', '', 'dato de item'),
(32, 'general', 2, 'ampliar foto...', '', '', '', '', '', 'dato de item popups'),
(33, 'general', 1, 'Etiquetas', '', '', '', '', '', 'dato de item'),
(34, 'general', 1, 'Ítems relacionados', '', '', '', '', '', 'dato de ítem'),
(35, 'general', 1, 'siguiente', '', '', '', '', '', 'navegación'),
(36, 'general', 1, 'anterior', '', '', '', '', '', 'navegación'),
(37, 'general', 1, 'categoría vacía', '', '', '', '', '', 'navegación'),
(38, 'general', 1, 'Total', '', '', '', '', '', 'navegación'),
(39, 'general', 1, 'Ninguno encontrado', '', '', '', '', '', 'navegación'),
(40, 'general', 1, 'encontrado', '', '', '', '', '', 'navegación'),
(41, 'general', 1, 'COMENTARIOS', '', '', '', '', '', 'dato de comentario'),
(42, 'general', 2, 'PUBLICAR COMENTARIO', '', '', '', '', '', 'dato de comentario'),
(43, 'general', 2, 'BORRAR', '', '', '', '', '', 'dato de comentario'),
(44, 'general', 1, 'Requeridos', '', '', '', '', '', 'dato de comentario'),
(45, 'general', 1, 'No hay comentarios', '', '', '', '', '', 'dato de comentario'),
(46, 'general', 1, 'Nickname', '', '', '', '', '', 'dato de comentario'),
(47, 'general', 1, 'Email', '', '', '', '', '', 'dato de comentario'),
(48, 'general', 1, 'Asunto', '', '', '', '', '', 'dato de comentario'),
(49, 'general', 1, 'Link', '', '', '', '', '', 'dato de comentario'),
(50, 'general', 1, 'Comentario', '', '', '', '', '', 'dato de comentario'),
(51, 'general', 1, 'Incluir los datos de la imagen de verificación. Su Email no será publicado', '', '', '', '', '', 'dato de comentario'),
(52, 'general', 1, 'Gracias por incluir un comentario.<br />Será publicado cuando se valide su contenido.', '', '', '', '', '', 'dato de comentario'),
(53, 'general', 1, 'Enviar los datos del formulario', '', '', '', '', '', 'dato de comentario popup botón de envío'),
(54, 'general', 1, 'Borrar los datos del formulario', '', '', '', '', '', 'dato de comentario popup botón de borrar'),
(55, 'admin', 2, 'EDITAR', '', '', '', '', '', 'botón de administrador'),
(56, 'admin', 2, 'ADMINISTRADOR', '', '', '', '', '', 'botón de administrador'),
(57, 'admin', 2, 'SALIR', '', '', '', '', '', 'botón de administrador'),
(58, 'copy', 1, '© All rights reserved', '', '', '', '', '', 'frase de licencia general'),
(59, 'general', 1, 'Archivos', '', '', '', '', '', 'dato de item'),
(60, 'rss', 2, 'Conectar con el canal RSS', '', '', '', '', '', 'rótulo de menú popup'),
(61, 'general', 1, 'Información', '', '', '', '', '', 'rótulo de menú'),
(62, 'general', 1, 'Traducciones', '', '', '', '', '', 'dato de item'),
(63, 'general', 1, 'TRADUCCIONES', '', '', '', '', '', 'dato de traducción'),
(64, 'general', 1, 'Idioma', '', '', '', '', '', 'dato de traducción'),
(65, 'general', 1, 'No hay traducciones', '', '', '', '', '', 'dato de traducción'),
(66, 'general', 1, 'Traducción', '', '', '', '', '', 'dato de traducción'),
(67, 'general', 1, 'Imágenes', '', '', '', '', '', 'dato de item'),
(68, 'general', 1, 'IMÁGENES', '', '', '', '', '', 'dato de imágenes'),
(69, 'general', 1, 'No hay más imágenes', '', '', '', '', '', 'dato de imágenes'),
(70, 'general', 1, 'ARCHIVOS', '', '', '', '', '', 'dato de archivos'),
(71, 'general', 1, 'No hay archivos', '', '', '', '', '', 'dato de archivos'),
(72, 'general', 2, 'Debe introducir todos los datos requeridos', '', '', '', '', '', 'dato de validación de comentario'),
(73, 'general', 2, 'Debe introducir un Email correctamente', '', '', '', '', '', 'dato de validación de comentario'),
(74, 'general', 1, '&lt;&lt; volver', '', '', '', '', '', 'navegación'),
(75, 'general', 2, 'Descargar archivo', '', '', '', '', '', 'dato de item popup'),
(76, 'general', 2, 'ERROR: No ha incluido los datos de la imagen de verificación correctamente, o los textos superan los caracteres máximos admitidos', '', '', '', '', '', 'dato de comentario'),
(77, 'general', 1, 'Canales', '', '', '', '', '', 'rótulo de menú'),
(78, 'general', 1, 'Secciones especiales', '', '', '', '', '', 'rótulo de menú'),
(79, 'general', 1, 'No hay contenido', '', '', '', '', '', 'dato de página adicional'),
(80, 'general', 1, 'Zona de descarga privada', '', '', '', '', '', 'rótulo de menú'),
(81, 'general', 1, 'Archivos privados', '', '', '', '', '', 'dato de archivos privados'),
(82, 'general', 1, 'Escribir la contraseña', '', '', '', '', '', 'dato de archivos privados'),
(83, 'general', 2, 'VER ARCHIVOS PRIVADOS', '', '', '', '', '', 'dato de archivos privados'),
(84, 'general', 1, 'No hay archivos con la contraseña introducida', '', '', '', '', '', 'dato de archivos privados'),
(85, 'general', 1, 'Ampliar foto', '', '', '', '', '', 'dato de item popup'),
(86, 'general', 1, 'ver más...', '', '', '', '', '', 'dato de link'),
(87, 'general', 1, 'MULTIMEDIA', '', '', '', '', '', 'dato de multimedia'),
(88, 'general', 1, 'No hay multimedia', '', '', '', '', '', 'dato de multimedia'),
(89, 'general', 1, 'Reproducir >>', '', '', '', '', '', 'dato de multimedia'),
(90, 'general', 1, 'Multimedia', '', '', '', '', '', 'dato de ítem'),
(91, 'general', 1, 'No hay archivo multimedia disponible', '', '', '', '', '', 'dato de multimedia'),
(92, 'intranet', 1, 'Área privada', '', '', '', '', '', 'rótulo de menú secciones'),
(93, 'compartir', 1, 'Compartir', '', '', '', '', '', 'dato de ítem completo'),
(94, 'general', 1, 'Todas las noticias publicadas', '', '', '', '', '', 'dato de portada'),
(95, 'general', 1, 'Código para embeber en páginas web', '', '', '', '', '', 'dato de multimedia'),
(100, 'general', 1, 'Más información', '', '', '', '', '', 'dato de ítem'),
(96, 'general', 1, 'Etiquetas nivel 3', '', '', '', '', '', 'rótulo de menú'),
(97, 'general', 1, 'Etiquetas nivel 2', '', '', '', '', '', 'rótulo de menú'),
(98, 'general', 1, 'Votar', '', '', '', '', '', 'dato de ítem'),
(99, 'general', 1, 'Lecturas', '', '', '', '', '', 'dato de ítem'),
(101, 'general', 1, 'Fecha adicional 1', '', '', '', '', '', 'dato de ítem'),
(102, 'general', 1, 'Fecha adicional 2', '', '', '', '', '', 'dato de ítem'),
(103, 'general', 1, 'Etiquetas nivel 2', '', '', '', '', '', 'dato de ítem'),
(104, 'general', 1, 'Etiquetas nivel 3', '', '', '', '', '', 'dato de ítem'),
(105, 'general', 1, 'Últimos más votados', '', '', '', '', '', 'rótulo de menú'),
(106, 'general', 1, 'Últimos más leídos', '', '', '', '', '', 'rótulo de menú'),
(107, 'general', 1, 'La portada', '', '', '', '', '', 'rótulo de menú'),
(108, 'general', 1, 'Todos ordenados por votos', '', '', '', '', '', 'ruta de navegación'),
(109, 'general', 1, 'Todos ordenados por lecturas', '', '', '', '', '', 'ruta de navegación'),
(110, 'general', 1, 'Todos ordenados por fecha de publicación', '', '', '', '', '', 'ruta de navegación'),
(111, 'reloj', 2, 'Enero,Febrero,Marzo,Abril,Mayo,Junio,Julio,Agosto,Septiembre,Octubre,Noviembre,Diciembre', '', '', '', '', '', 'meses del menú reloj. Separar los meses por comas ","\r\nEjemplo: Enero,Febrero,Marzo,Abril...'),
(112, 'general', 1, 'Información adicional', '', '', '', '', '', 'dato de información'),
(113, 'general', 1, 'Añadir ítem', '', '', '', '', '', 'rótulo de menú'),
(114, 'general', 1, 'Añadir traducción', '', '', '', '', '', 'rótulo de menú'),
(115, 'general', 1, 'Incluir un ítem rellenando el formulario', '', '', '', '', '', 'mensaje de ayuda de añadir ítem'),
(116, 'general', 1, 'Incluir una traducción completa rellenando el formulario', '', '', '', '', '', 'mensaje de ayuda de añadir traducción'),
(117, 'general', 1, 'Email', '', '', '', '', '', 'dato de añadir ítem'),
(118, 'general', 1, 'Elegir Categoría', '', '', '', '', '', 'dato de añadir ítem'),
(119, 'general', 2, 'Título,Title,', '', '', '', '', '', 'dato de añadir ítem\r\nAñadir título en el formulario de añadir ítem.\r\nIncluir los datos de los idiomas instalados separados por comas ","\r\nEjemplo: Título,Title,'),
(120, 'general', 1, 'Foto de cabecera (JPG,GIF o PNG)', '', '', '', '', '', 'dato de añadir ítem'),
(121, 'general', 2, 'Pie de Foto,Caption', '', '', '', '', '', 'dato de añadir ítem\r\nAñadir pie de foto en el formulario de añadir ítem.\r\nIncluir los datos de los idiomas instalados separados por comas ","\r\nEjemplo: Pie de Foto,Caption,'),
(122, 'general', 2, 'Texto,Text', '', '', '', '', '', 'dato de añadir ítem\r\nAñadir texto en el formulario de añadir ítem.\r\nIncluir los datos de los idiomas instalados separados por comas ","\r\nEjemplo: Texto,Text,'),
(123, 'general', 1, 'Fecha adicional 1 (DD/MM/AAAA)', '', '', '', '', '', 'dato de añadir ítem'),
(124, 'general', 1, 'Fecha adicional 2 (DD/MM/AAAA)', '', '', '', '', '', 'dato de añadir ítem'),
(125, 'general', 1, 'Etiquetas nivel 2 (separar por comas ",") Ejemplo: ,etiqueta1,etiqueta2,etiqueta3,', '', '', '', '', '', 'dato de añadir ítem'),
(126, 'general', 1, 'Etiquetas nivel 3 (separar por comas ",") Ejemplo: ,etiqueta1,etiqueta2,etiqueta3,', '', '', '', '', '', 'dato de añadir ítem'),
(127, 'general', 2, 'SOLICITAR PUBLICACIÓN', '', '', '', '', '', 'dato de añadir ítem y traducción'),
(128, 'general', 1, 'Idioma de la traducción', '', '', '', '', '', 'dato de añadir traducción'),
(129, 'general', 1, 'Elegir', '', '', '', '', '', 'dato de añadir ítem y traducción'),
(130, 'general', 1, 'Traducción', '', '', '', '', '', 'dato de añadir traducción'),
(131, 'general', 2, 'ERROR: La foto no pudo ser guardada.', '', '', '', '', '', 'mensaje de añadir ítem'),
(132, 'general', 2, 'ERROR: La foto no es un archivo válido. Recuerde que debe ajustarse al formato JPG,GIF o PNG, con un máximo de 100 caracteres en el nombre del archivo.', '', '', '', '', '', 'mensaje de añadir ítem'),
(133, 'general', 2, 'Gracias. Su publicación se confirmará en el Email indicado.', '', '', '', '', '', 'mensaje de añadir ítem'),
(134, 'general', 2, 'Gracias por incluir una traducción. Será publicada cuando se valide su contenido.', '', '', '', '', '', 'mensaje de añadir traducción'),
(135, 'general', 2, 'Nueva imagen de verificación', '', '', '', '', '', 'dato formularios mensaje'),
(147, 'general', 1, 'Portada', '', '', '', '', '', 'dato de menú'),
(136, 'general', 1, 'Vídeos', '', '', '', '', '', 'dato de multimedia'),
(137, 'general', 1, 'Sonidos', '', '', '', '', '', 'dato de multimedia'),
(138, 'general', 1, 'Este archivo no está disponible', '', '', '', '', '', 'dato de archivos'),
(139, 'web oculta', 1, '<div style="background-color:#DEDEDE;padding:20px 0 0 20px;">\r\n<div style="margin:30px 0 10px 10px; padding:3px 0 0 8px; background-color:#FFF; border-left:4px solid #309; "><span style="font-weight: bold; font-size: 14pt; color: #000000;">Próxima web aquí</span><br /><br /><br /><br /></div>\r\n</div>', '', '', '', '', '', 'Maquetar la página de "Web en construcción". Sólo aparece en el modo web oculta. Si se instalan idiomas secundarios hay que rellenar cada dato de cada idioma instalado.'),
(144, 'compartir', 2, 'Google+http://www.google.com/ig/add?feedurl=\r\nWindows Live+http://www.live.com/Default.aspx?add=', '', '', '', '', '', 'Cadena de agregadores (Feeds) que aparecen en el menú RSS Feeds. Si se instalan idiomas secundarios hay que rellenar cada dato de cada idioma instalado.\r\nSeparar por el signo "+" el nombre del agregador de su web. Incluir un agregador por línea en el orden de aparición.\r\nEjemplo:\r\nnombre agregador 1 + web\r\nnombre agregador 2 + web\r\nnombre agregador 3 + web\r\n...'),
(140, 'general', 2, 'No está permitida la descarga de este archivo', '', '', '', '', '', 'dato de archivos privados'),
(141, 'extra', 1, 'Menú extra 1', '', '', '', '', '', 'Contenio del menú extra 1'),
(142, 'extra', 1, 'Menú extra 2', '', '', '', '', '', 'Contenido del menú extra 2'),
(143, 'extra', 1, 'Menú extra 3', '', '', '', '', '', 'Contenido del menú extra 3'),
(145, 'compartir', 2, 'digg+http://www.digg.com/submit?url=\r\ndelicious+http://del.icio.us/post?url=', '', '', '', '', '', 'Cadena de webs de compartir contenidos, marcadores, etc. que aparecen en la opción COMPARTIR dentro del ítem completo.\r\nSi se instalan idiomas secundarios hay que rellenar cada dato de cada idioma instalado.\r\nSeparar por el signo "+" el nombre de su web. Incluir una web por línea en el orden de aparición.\r\nEjemplo:\r\nnombre 1 + web\r\nnombre 2 + web\r\nnombre 3 + web\r\n...'),
(146, 'general', 1, 'Etiquetas (separar por comas ",") Ejemplo: ,etiqueta1,etiqueta2,etiqueta3,', '', '', '', '', '', 'dato de añadir ítem'),
(148, 'intranet', 1, 'ENTRADA AL ÁREA PRIVADA', '', '', '', '', '', 'dato de intranet'),
(149, 'intranet', 1, 'Introducir el Email y la Contraseña autorizados.<br />\r\nSi no recuerda la Contraseña ingrese el Email registrado, marque la casilla y pulse sobre ENTRAR. Se le enviará un Email con la Contraseña registrada.\r\n', '', '', '', '', '', 'dato de intranet ayuda'),
(150, 'intranet', 1, 'Email', '', '', '', '', '', 'dato de intranet'),
(151, 'intranet', 1, 'Contraseña', '', '', '', '', '', 'dato de intranet'),
(152, 'intranet', 1, 'No recuerdo la Contraseña', '', '', '', '', '', 'dato de intranet'),
(153, 'intranet', 1, 'AUTORIZACIÓN CORRECTA<br />Utilice el menú para acceder a los contenidos privados', '', '', '', '', '', 'dato de intranet mensaje'),
(154, 'intranet', 1, 'Se ha enviado un Email', '', '', '', '', '', 'dato de intranet mensaje'),
(155, 'intranet', 1, 'ERROR<br />No se ha enviado un Email porque no está registrado', '', '', '', '', '', 'dato de intranet mensaje'),
(156, 'intranet', 1, 'DATOS NO AUTORIZADOS<br />Por favor, ingrese los datos correctamente', '', '', '', '', '', 'dato de intranet mensaje'),
(157, 'intranet', 1, 'Contenido privado', '', '', '', '', '', 'rótulo de menú'),
(158, 'intranet', 1, 'Salir del Área privada', '', '', '', '', '', 'rótulo de menú intranet'),
(159, 'extra', 1, 'Menú extra 1', '', '', '', '', '', 'rótulo de menú extra 1'),
(160, 'extra', 1, 'Menú extra 2', '', '', '', '', '', 'rótulo de menú extra 2'),
(161, 'extra', 1, 'Menú extra 3', '', '', '', '', '', 'rótulo de menú extra 3'),
(162, 'general', 1, 'Productos', '', '', '', '', '', 'dato de item'),
(163, 'tienda', 1, '', '', '', '', '', '', 'INFORMACIÓN SOBRE EL PAGO\r\nEscribir información añadida a la página final de pago. Esta información se mostrará si está habilitada la opción de información sobre el pago.'),
(164, 'tienda', 1, 'Precio', '', '', '', '', '', 'Dato de ítem producto'),
(165, 'tienda', 1, 'Gastos de envío', '', '', '', '', '', 'Dato de ítem producto'),
(166, 'tienda', 1, 'Tipo', '', '', '', '', '', 'Dato de ítem producto'),
(167, 'tienda', 1, 'Descuento', '', '', '', '', '', 'Dato de ítem producto'),
(168, 'tienda', 1, 'Especial', '', '', '', '', '', 'Dato de ítem producto. Tipo de producto'),
(169, 'tienda', 1, 'NOVEDAD', '', '', '', '', '', 'Dato de ítem producto'),
(170, 'tienda', 1, 'General', '', '', '', '', '', 'Dato de ítem producto. Tipo de producto'),
(171, 'tienda', 1, 'CÓDIGO', '', '', '', '', '', 'Dato del carro'),
(172, 'tienda', 1, 'NOMBRE PRODUCTO', '', '', '', '', '', 'Dato del carro'),
(173, 'tienda', 1, 'TIPO', '', '', '', '', '', 'Dato del carro'),
(174, 'tienda', 1, 'CANTIDAD', '', '', '', '', '', 'Dato del carro'),
(175, 'tienda', 1, 'PRECIO UNIDAD', '', '', '', '', '', 'Dato del carro'),
(176, 'tienda', 1, 'GASTOS', '', '', '', '', '', 'Dato del carro'),
(177, 'tienda', 1, 'TOTAL', '', '', '', '', '', 'Dato del carro'),
(178, 'tienda', 1, 'TOTAL A PAGAR', '', '', '', '', '', 'Dato del carro'),
(179, 'tienda', 2, 'COMPRAR >>', '', '', '', '', '', 'Dato del carro'),
(180, 'tienda', 1, 'Ver carro completo', '', '', '', '', '', 'Dato del menú del carro'),
(181, 'tienda', 2, 'BORRAR TODO', '', '', '', '', '', 'Dato del carro'),
(182, 'tienda', 1, 'BORRAR', '', '', '', '', '', 'Dato del carro'),
(183, 'tienda', 2, 'ACTUALIZAR', '', '', '', '', '', 'Dato del carro'),
(184, 'tienda', 2, 'Carro de la compra vacío', '', '', '', '', '', 'Dato del carro'),
(185, 'tienda', 2, 'No se puede mostrar el resumen del pedido. Consulte por Email su disponibilidad. Gracias', '', '', '', '', '', 'Dato del carro de pago'),
(186, 'tienda', 1, 'RESUMEN DEL PEDIDO', '', '', '', '', '', 'Dato del carro de pago'),
(187, 'tienda', 1, 'Catálogo de Productos', '', '', '', '', '', 'Dato de rótulo de menú'),
(188, 'tienda', 1, 'Etiquetas de productos', '', '', '', '', '', 'Dato de rótulo de menú'),
(189, 'tienda', 1, 'Etiquetas', '', '', '', '', '', 'Dato de ítem producto'),
(190, 'tienda', 1, 'Mi carro contiene...', '', '', '', '', '', 'Dato de rótulo de menú'),
(191, 'tienda', 1, 'productos incluidos', '', '', '', '', '', 'Dato del carro del menú'),
(192, 'tienda', 1, 'Ningún producto en el carro', '', '', '', '', '', 'Dato del carro del menú'),
(193, 'tienda', 1, 'Buscar sólo productos', '', '', '', '', '', 'Dato del menú buscar'),
(194, 'tienda', 1, 'PRODUCTOS', '', '', '', '', '', 'Dato de ítem producto. Rótulo de sección'),
(195, 'tienda', 1, 'PRODUCTOS DESTACADOS', '', '', '', '', '', 'Dato de rótulo de portada'),
(196, 'tienda', 1, 'Nombre', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(197, 'tienda', 1, 'Apellido', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(198, 'tienda', 1, 'Teléfono (opcional)', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(199, 'tienda', 1, 'País', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(200, 'tienda', 1, 'Ciudad', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(201, 'tienda', 1, 'Dirección', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(202, 'tienda', 1, 'Código Postal', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(203, 'tienda', 1, 'DATOS DEL ENVÍO (opcional)', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(204, 'tienda', 1, 'Fecha para realizar el envío', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(205, 'tienda', 1, 'DUPLICAR DATOS DE REGISTRO', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(206, 'tienda', 2, 'REGISTRAR EL PEDIDO >>', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(207, 'tienda', 1, 'Rellenar los datos para registrar el pedido. Todas las comunicaciones posteriores sobre el pedido serán comunicadas en el Email registrado.', '', '', '', '', '', 'Dato de formulario del carro pedido. Ayuda al registro.'),
(208, 'tienda', 1, 'PRECIO FINAL', '', '', '', '', '', 'Dato del carro de pago'),
(209, 'tienda', 1, '', '', '', '', '', '', 'INFORMACIÓN EN LA WEB DEL PEDIDO\r\nEscribir información en la página de la Web del pedido. Esta información se mostrará si está habilitada la información en la Web del pedido.'),
(224, 'tienda', 1, 'DATOS DE REGISTRO', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(210, 'tienda', 1, 'PAGO DEL PEDIDO', '', '', '', '', '', 'Dato del carro de pago'),
(211, 'tienda', 2, 'PAGAR AHORA', '', '', '', '', '', 'Dato del carro de pago. Mensaje'),
(212, 'tienda', 1, 'Indicaciones', '', '', '', '', '', 'Dato del carro de pago'),
(213, 'general', 1, 'Redactor', '', '', '', '', '', 'dato de ítem'),
(214, 'general', 1, 'Nombre del redactor', '', '', '', '', '', 'dato de añadir ítem'),
(215, 'tienda', 1, 'ATENCIÓN<br />No se ha registrado el pedido. La cantidad de algunos productos con existencias limitadas se ha modificado. Por favor, actualice antes de efectuar la compra.', '', '', '', '', '', 'Dato del carro. Mensaje'),
(216, 'tienda', 2, 'Añadir al carro', '', '', '', '', '', 'Dato de ítem producto'),
(217, 'admin', 2, 'PREVISUALIZAR', '', '', '', '', '', 'botón de administrador'),
(218, 'admin', 2, 'RECARGAR', '', '', '', '', '', 'botón de administrador'),
(219, 'general', 2, 'VER PEDIDO', '', '', '', '', '', 'dato de resumen pedido'),
(221, 'compartir', 1, '', '', '', '', '', '', 'Código HTML de webs de compartir contenidos, marcadores, etc. para el ítem completo. Se puede incluir JavaScript, formulario de selección, etc.\r\nSi se instalan idiomas secundarios hay que rellenar cada dato de cada idioma instalado.'),
(222, 'compartir', 1, '', '', '', '', '', '', 'Código HTML de agregadores Feeds para el menú. Se puede incluir JavaScript, formulario de selección, etc.\r\nSi se instalan idiomas secundarios hay que rellenar cada dato de cada idioma instalado.'),
(220, 'tienda', 1, 'ELEGIR OPCIÓN', '', '', '', '', '', 'Dato de formulario del carro pedido'),
(223, 'tienda', 1, 'Gastos generales', '', '', '', '', '', 'Dato del carro'),
(225, 'general', 1, 'Productos relacionados', '', '', '', '', '', 'Dato de ítem'),
(226, 'general', 1, '', '', '', '', '', '', 'mensaje de ayuda de archivos privados');

-- --------------------------------------------------------

--
-- ## `ig_idioma_admin`
--

CREATE TABLE IF NOT EXISTS `ig_idioma_admin` (
  `lenID` int(11) NOT NULL AUTO_INCREMENT,
  `topic` text,
  `topic_pre` text,
  `topic_pre_1` text,
  `topic_pre_2` text,
  `topic_pre_3` text,
  `topic_pre_4` text,
  `topic_pre_5` text,
  `ayuda` text,
  PRIMARY KEY (`lenID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=513 ;

--
-- # DATA # `ig_idioma_admin`
--

INSERT INTO `ig_idioma_admin` (`lenID`, `topic`, `topic_pre`, `topic_pre_1`, `topic_pre_2`, `topic_pre_3`, `topic_pre_4`, `topic_pre_5`, `ayuda`) VALUES
(1, 'Español', 'Español', '', '', '', '', '', 'Nombre de idioma'),
(2, 'Nombre de usuario', 'Nombre de usuario', '', '', '', '', '', 'dato entrada al administrador'),
(3, 'Contraseña', 'Contraseña', '', '', '', '', '', 'dato entrada al administrador'),
(4, 'Olvidó la contraseña?', 'Olvidó la contraseña?', '', '', '', '', '', 'dato entrada al administrador'),
(5, 'ENTRAR', 'ENTRAR', '', '', '', '', '', 'dato entrada al administrador botón'),
(6, 'ADMINISTRADOR', 'ADMINISTRADOR', '', '', '', '', '', 'título general de administrador'),
(7, 'Identificador o contraseña incorrectos', 'Identificador o contraseña incorrectos', '', '', '', '', '', 'mensaje'),
(8, 'Total de Relacionados', 'Total de Relacionados', '', '', '', '', '', 'totales'),
(9, 'Configuración', 'Configuración', '', '', '', '', '', 'botón de navegación'),
(10, 'Programación', 'Programación', '', '', '', '', '', 'inicio lista'),
(11, 'Gestión de Base de Datos', 'Gestión de Base de Datos', '', '', '', '', '', 'botones y selectores'),
(12, 'Gestionar', 'Gestionar', '', '', '', '', '', 'inicio lista'),
(13, 'Publicar', 'Publicar', '', '', '', '', '', 'inicio lista'),
(14, 'Diseños', 'Diseños', '', '', '', '', '', 'inicio lista'),
(15, 'ERROR: NO TIENE PERMISO DE ACCESO A ESTA PÁGINA', 'ERROR: NO TIENE PERMISO DE ACCESO A ESTA PÁGINA', '', '', '', '', '', 'Error general  de acceso no autorizado'),
(16, 'GUARDAR', 'GUARDAR', '', '', '', '', '', 'botón de gestión'),
(17, 'ACTUALIZAR', 'ACTUALIZAR', '', '', '', '', '', 'botón de gestión'),
(18, 'BORRAR DATOS', 'BORRAR DATOS', '', '', '', '', '', 'botón de gestión'),
(19, 'Debe introducir todos los datos requeridos', 'Debe introducir todos los datos requeridos', '', '', '', '', '', 'mensaje'),
(20, 'Debe introducir una fecha correcta DD/MM/AAAA (ej. 12/12/2008)', 'Debe introducir una fecha correcta DD/MM/AAAA (ej. 12/12/2008)', '', '', '', '', '', 'mensaje'),
(21, 'Debe introducir un archivo', 'Debe introducir un archivo', '', '', '', '', '', 'mensaje'),
(22, 'Registro guardado correctamente', 'Registro guardado correctamente', '', '', '', '', '', 'mensaje'),
(23, 'ERROR: FALLO AL SUBIR EL ARCHIVO', 'ERROR: FALLO AL SUBIR EL ARCHIVO', '', '', '', '', '', 'mensaje'),
(24, 'ERROR: FALLO EN EL TIPO O EN EL NOMBRE DEL ARCHIVO<br />Extensiones admitidas:', 'ERROR: FALLO EN EL TIPO O EN EL NOMBRE DEL ARCHIVO<br />Extensiones admitidas:', '', '', '', '', '', 'mensaje'),
(25, '<br />Caracteres máximo:', '<br />Caracteres máximo:', '', '', '', '', '', 'mensaje'),
(26, 'No existe el archivo!!', 'No existe el archivo!!', '', '', '', '', '', 'mensaje'),
(27, 'Debe elegir otra categoría principal', 'Debe elegir otra categoría principal', '', '', '', '', '', 'mensaje'),
(28, 'Debe elegir un ítem', 'Debe elegir un ítem', '', '', '', '', '', 'mensaje'),
(29, 'Debe introducir un Email correctamente', 'Debe introducir un Email correctamente', '', '', '', '', '', 'mensaje'),
(30, 'ERROR: FALLO AL SUBIR LA FOTO', 'ERROR: FALLO AL SUBIR LA FOTO', '', '', '', '', '', 'mensaje'),
(31, 'ERROR: FALLO EN EL TIPO O EN EL NOMBRE DE LA IMAGEN<br />Extensiones admitidas:', 'ERROR: FALLO EN EL TIPO O EN EL NOMBRE DE LA IMAGEN<br />Extensiones admitidas:', '', '', '', '', '', 'mensaje'),
(32, 'ERROR: Este dato no se ha introducido correctamente', 'ERROR: Este dato no se ha introducido correctamente', '', '', '', '', '', 'mensaje'),
(33, 'Debe elegir una categoría', 'Debe elegir una categoría', '', '', '', '', '', 'mensaje'),
(34, 'Debe introducir un link (http://...)', 'Debe introducir un link (http://...)', '', '', '', '', '', 'mensaje'),
(35, 'ERROR: Este relacionado no se puede habilitar hasta que no habilite el original', 'ERROR: Este relacionado no se puede habilitar hasta que no habilite el original', '', '', '', '', '', 'formulario relacionados'),
(36, 'Datos principales de configuración', 'Datos principales de configuración', '', '', '', '', '', 'personalizar'),
(37, 'Archivos públicos', 'Archivos públicos', '', '', '', '', '', 'botones y selectores'),
(38, 'Categorías', 'Categorías', '', '', '', '', '', 'botones y selectores'),
(39, 'Comentarios', 'Comentarios', '', '', '', '', '', 'botones y selectores'),
(40, 'Ítems', 'Ítems', '', '', '', '', '', 'botones y selectores'),
(41, 'Links', 'Links', '', '', '', '', '', 'botones y selectores'),
(42, 'Páginas de composición', 'Páginas de composición', '', '', '', '', '', 'botones y selectores'),
(43, 'Traducciones', 'Traducciones', '', '', '', '', '', 'botones y selectores'),
(44, 'Ítems destacados', 'Ítems destacados', '', '', '', '', '', 'botones y selectores'),
(45, 'Imágenes', 'Imágenes', '', '', '', '', '', 'botones y selectores'),
(46, 'Idiomas de web', 'Idiomas de web', '', '', '', '', '', 'botones y selectores'),
(47, 'Idioma Administrador', 'Idioma Administrador', '', '', '', '', '', 'botones y selectores'),
(48, 'Gestionar configuración', 'Gestionar configuración', '', '', '', '', '', 'botones y selectores'),
(49, 'Nuevo Archivo público', 'Nuevo Archivo público', '', '', '', '', '', 'botones y selectores'),
(50, 'Nueva Categoría', 'Nueva Categoría', '', '', '', '', '', 'botones y selectores'),
(51, 'Nuevo Comentario', 'Nuevo Comentario', '', '', '', '', '', 'botones y selectores'),
(52, 'Nuevo Ítem', 'Nuevo Ítem', '', '', '', '', '', 'botones y selectores'),
(53, 'Nuevo Link', 'Nuevo Link', '', '', '', '', '', 'botones y selectores'),
(54, 'Nueva Página de composición', 'Nueva Página de composición', '', '', '', '', '', 'botones y selectores'),
(55, 'Nueva Traducción', 'Nueva Traducción', '', '', '', '', '', 'botones y selectores'),
(56, 'Nuevo Ítem destacado', 'Nuevo Ítem destacado', '', '', '', '', '', 'botones y selectores'),
(57, 'Nueva Imagen', 'Nueva Imagen', '', '', '', '', '', 'botones y selectores'),
(58, 'Registros guardados correctamente', 'Registros guardados correctamente', '', '', '', '', '', 'listados'),
(59, 'SÍ', 'SÍ', '', '', '', '', '', 'formulario'),
(60, 'NO', 'NO', '', '', '', '', '', 'formulario'),
(61, 'Componedor de diseños', 'Componedor de diseños', '', '', '', '', '', 'diseño'),
(62, 'Sistema', 'Sistema', '', '', '', '', '', 'inicio lista'),
(63, 'Habilitar vista', 'Habilitar vista', '', '', '', '', '', 'formulario'),
(64, 'Elegir ítem', 'Elegir ítem', '', '', '', '', '', 'formulario'),
(65, 'Sustituir archivo', 'Sustituir archivo', '', '', '', '', '', 'formulario'),
(66, 'Elegir archivo', 'Elegir archivo', '', '', '', '', '', 'formulario'),
(67, 'Existe', 'Existe', '', '', '', '', '', 'formulario'),
(68, 'Fecha (DD/MM/AAAA)', 'Fecha (DD/MM/AAAA)', '', '', '', '', '', 'formulario'),
(69, 'Orden de aparición (ascendente)', 'Orden de aparición (ascendente)', '', '', '', '', '', 'formulario'),
(70, 'Nombre idioma principal', 'Nombre idioma principal', '', '', '', '', '', 'formulario'),
(71, 'Nombre idioma', 'Nombre idioma', '', '', '', '', '', 'formulario'),
(72, 'Comentario idioma principal', 'Comentario idioma principal', '', '', '', '', '', 'formulario'),
(73, 'Comentario idioma', 'Comentario idioma', '', '', '', '', '', 'formulario'),
(74, 'Descargas', 'Descargas', '', '', '', '', '', 'formulario'),
(75, 'Elegir categoría principal', 'Elegir categoría principal', '', '', '', '', '', 'formulario'),
(76, 'Ninguna', 'Ninguna', '', '', '', '', '', 'formulario'),
(77, 'OPCIÓN EN DESARROLLO', 'OPCIÓN EN DESARROLLO', '', '', '', '', '', 'mensaje página opción en desarrollo'),
(78, 'Ver/Ocultar Editor de texto', 'Ver/Ocultar Editor de texto', '', '', '', '', '', 'formulario'),
(79, 'Elegir...', 'Elegir...', '', '', '', '', '', 'formulario'),
(80, 'Cambiar ítem', 'Cambiar ítem', '', '', '', '', '', 'formulario'),
(81, 'Nick', 'Nick', '', '', '', '', '', 'formulario'),
(82, 'Email', 'Email', '', '', '', '', '', 'formulario'),
(83, 'Asunto', 'Asunto', '', '', '', '', '', 'formulario'),
(84, 'Link', 'Link', '', '', '', '', '', 'formulario'),
(85, 'Comentario', 'Comentario', '', '', '', '', '', 'formulario'),
(86, 'Sustituir ítem', 'Sustituir ítem', '', '', '', '', '', 'formulario'),
(87, 'Ayuda', 'Ayuda', '', '', '', '', '', 'formulario'),
(88, 'Texto original', 'Texto original', '', '', '', '', '', 'formulario'),
(89, 'Idioma preferente', 'Idioma preferente', '', '', '', '', '', 'formulario'),
(90, 'Idioma principal', 'Idioma principal', '', '', '', '', '', 'formulario'),
(91, 'Idioma', 'Idioma', '', '', '', '', '', 'formulario'),
(92, 'Sustituir imagen ampliación', 'Sustituir imagen ampliación', '', '', '', '', '', 'formulario'),
(93, 'Elegir imagen ampliación', 'Elegir imagen ampliación', '', '', '', '', '', 'formulario'),
(94, 'Pie de foto Idioma principal', 'Pie de foto Idioma principal', '', '', '', '', '', 'formulario'),
(95, 'Pie de foto Idioma', 'Pie de foto Idioma', '', '', '', '', '', 'formulario'),
(96, 'Tipo', 'Tipo', '', '', '', '', '', 'formulario'),
(97, 'Valor', 'Valor', '', '', '', '', '', 'formulario'),
(98, 'BORRAR', 'BORRAR', '', '', '', '', '', 'formulario'),
(99, 'Incluir como Destacado', 'Incluir como Destacado', '', '', '', '', '', 'botones y selectores'),
(100, 'Ítem destacado', 'Ítem destacado', '', '', '', '', '', 'formulario'),
(101, 'Elegir categoría', 'Elegir categoría', '', '', '', '', '', 'formulario'),
(102, 'Cambiar categoría', 'Cambiar categoría', '', '', '', '', '', 'formulario'),
(103, 'Título idioma principal', 'Título idioma principal', '', '', '', '', '', 'formulario'),
(104, 'Título idioma', 'Título idioma', '', '', '', '', '', 'formulario'),
(105, 'Etiquetas (separar por comas ",") Ej.:  ,etiqueta1,etiqueta2,etiqueta3,', 'Etiquetas (separar por comas ",") Ej.:  ,etiqueta1,etiqueta2,etiqueta3,', '', '', '', '', '', 'formulario'),
(106, 'Ítems relacionados', 'Ítems relacionados', '', '', '', '', '', 'formulario'),
(107, 'Nuevo Relacionado', 'Nuevo Relacionado', '', '', '', '', '', 'botones y selectores'),
(108, '[@] Activada la previsualización de web', '[@] Activada la previsualización de web', '', '', '', '', '', 'diseño mensaje'),
(109, 'Relacionados', 'Relacionados', '', '', '', '', '', 'botones y selectores'),
(110, 'Texto idioma principal', 'Texto idioma principal', '', '', '', '', '', 'formulario'),
(111, 'Texto resumen idioma principal', 'Texto resumen idioma principal', '', '', '', '', '', 'formulario'),
(112, 'Texto idioma', 'Texto idioma', '', '', '', '', '', 'formulario'),
(113, 'Texto resumen idioma', 'Texto resumen idioma', '', '', '', '', '', 'formulario'),
(114, 'Lecturas', 'Lecturas', '', '', '', '', '', 'formulario'),
(115, 'Diseño previo', 'Diseño previo', '', '', '', '', '', 'diseño mensaje'),
(116, 'Traducción', 'Traducción', '', '', '', '', '', 'formulario'),
(117, 'Total de Archivos públicos', 'Total de Archivos públicos', '', '', '', '', '', 'totales'),
(118, 'Total de Categorías', 'Total de Categorías', '', '', '', '', '', 'totales'),
(119, 'Total de Comentarios', 'Total de Comentarios', '', '', '', '', '', 'totales'),
(120, 'Total de Ítems', 'Total de Ítems', '', '', '', '', '', 'totales'),
(121, 'Total de Links', 'Total de Links', '', '', '', '', '', 'totales'),
(122, 'Total de Páginas de composición', 'Total de Páginas de composición', '', '', '', '', '', 'totales'),
(123, 'Total de Traducciones', 'Total de Traducciones', '', '', '', '', '', 'totales'),
(124, 'Total de Destacados', 'Total de Destacados', '', '', '', '', '', 'totales'),
(125, 'Total de Imágenes', 'Total de Imágenes', '', '', '', '', '', 'totales'),
(126, 'A', 'A', '', '', '', '', '', 'listados'),
(127, 'REGISTROS DE', 'REGISTROS DE', '', '', '', '', '', 'listados'),
(128, 'ENCONTRADOS', 'ENCONTRADOS', '', '', '', '', '', 'listados'),
(129, 'INCLUÍDOS', 'INCLUÍDOS', '', '', '', '', '', 'listados'),
(130, 'VER DE', 'VER DE', '', '', '', '', '', 'listados'),
(131, 'Ver todos', 'Ver todos', '', '', '', '', '', 'listados'),
(132, 'Exportar todos a CSV', 'Exportar todos a CSV', '', '', '', '', '', 'listados'),
(133, 'SE HA BORRADO UN REGISTRO', 'SE HA BORRADO UN REGISTRO', '', '', '', '', '', 'listados'),
(134, 'BUSCAR', 'BUSCAR', '', '', '', '', '', 'listados'),
(135, 'En:', 'En:', '', '', '', '', '', 'listados'),
(136, 'Mostrando:', 'Mostrando:', '', '', '', '', '', 'listados'),
(137, 'Todos', 'Todos', '', '', '', '', '', 'listados'),
(138, 'por página', 'por página', '', '', '', '', '', 'listados'),
(139, '<< Anterior', '<< Anterior', '', '', '', '', '', 'listados'),
(140, 'Siguiente >>', 'Siguiente >>', '', '', '', '', '', 'listados'),
(141, 'Página:', 'Página:', '', '', '', '', '', 'listados'),
(142, 'NO HAY REGISTROS CON:', 'NO HAY REGISTROS CON:', '', '', '', '', '', 'listados'),
(143, 'NO HAY REGISTROS', 'NO HAY REGISTROS', '', '', '', '', '', 'listados'),
(144, 'Borrar este registro?', 'Borrar este registro?', '', '', '', '', '', 'listados'),
(145, 'BORRAR ESTE REGISTRO', 'BORRAR ESTE REGISTRO', '', '', '', '', '', 'listados'),
(146, 'Editar', 'Editar', '', '', '', '', '', 'listados'),
(153, 'Cambiar contraseña original a todos los del grupo', 'Cambiar contraseña original a todos los del grupo', '', '', '', '', '', 'formulario'),
(147, 'Archivos privados', 'Archivos privados', '', '', '', '', '', 'formulario'),
(148, 'Nuevo Archivo privado', 'Nuevo Archivo privado', '', '', '', '', '', 'formulario'),
(149, 'Contraseña', 'Contraseña', '', '', '', '', '', 'formulario'),
(150, 'Elegir contraseña para agrupar', 'Elegir contraseña para agrupar', '', '', '', '', '', 'formulario'),
(151, 'CONTRASEÑA ORIGINAL', 'CONTRASEÑA ORIGINAL', '', '', '', '', '', 'botones y selectores'),
(152, 'Total de Archivos privados', 'Total de Archivos privados', '', '', '', '', '', 'totales'),
(154, 'Estadísticas', 'Estadísticas', '', '', '', '', '', 'botones y selectores'),
(155, 'Últimos días', 'Últimos días', '', '', '', '', '', 'estadísticas'),
(156, 'Todo el periodo', 'Todo el periodo', '', '', '', '', '', 'estadísticas'),
(157, 'Periodo entre', 'Periodo entre', '', '', '', '', '', 'estadísticas'),
(158, 'Mes actual', 'Mes actual', '', '', '', '', '', 'estadísticas'),
(159, 'Últimos meses', 'Últimos meses', '', '', '', '', '', 'estadísticas'),
(160, 'Páginas vistas', 'Páginas vistas', '', '', '', '', '', 'estadísticas'),
(161, 'Visitantes únicos', 'Visitantes únicos', '', '', '', '', '', 'estadísticas'),
(162, 'Promedio de páginas vistas', 'Promedio de páginas vistas', '', '', '', '', '', 'estadísticas'),
(163, 'No hay relacionados disponibles', 'No hay relacionados disponibles', '', '', '', '', '', 'formulario relacionados'),
(164, 'Ítems más leídos', 'Ítems más leídos', '', '', '', '', '', 'estadísticas'),
(165, 'Todos los días', 'Todos los días', '', '', '', '', '', 'estadísticas'),
(166, 'Todos los meses', 'Todos los meses', '', '', '', '', '', 'estadísticas'),
(167, 'Nuevo Archivo de composición', 'Nuevo Archivo de composición', '', '', '', '', '', 'botones y selectores'),
(168, 'Archivos de composición', 'Archivos de composición', '', '', '', '', '', 'formulario'),
(169, 'ítem', 'ítem', '', '', '', '', '', 'listados'),
(170, 'imagen', 'imagen', '', '', '', '', '', 'listados'),
(171, 'Total de Archivos de composición', 'Total de Archivos de composición', '', '', '', '', '', 'totales'),
(172, 'Total de Archivos multimedia', 'Total de Archivos multimedia', '', '', '', '', '', 'totales'),
(173, 'Nuevo Archivo multimedia', 'Nuevo Archivo multimedia', '', '', '', '', '', 'botones y selectores'),
(174, 'Archivos multimedia', 'Archivos multimedia', '', '', '', '', '', 'botones y selectores'),
(175, 'Tipo de Archivo', 'Tipo de Archivo', '', '', '', '', '', 'formulario'),
(176, 'Vídeo/Sonido (archivo)', 'Vídeo/Sonido (archivo)', '', '', '', '', '', 'formulario multimedia'),
(177, 'Sonido (archivo)', 'Sonido (archivo)', '', '', '', '', '', 'formulario multimedia'),
(178, 'Ancho (píxeles)', 'Ancho (píxeles)', '', '', '', '', '', 'formulario'),
(179, 'Alto (píxeles)', 'Alto (píxeles)', '', '', '', '', '', 'formulario'),
(180, 'Reproducciones', 'Reproducciones', '', '', '', '', '', 'formulario'),
(181, 'archivo público', 'archivo público', '', '', '', '', '', 'listados'),
(182, 'archivo multimedia de vídeo', 'archivo multimedia de vídeo', '', '', '', '', '', 'listados'),
(183, 'ATENCIÓN: Este ítem no tiene asignada una categoría', 'ATENCIÓN: Este ítem no tiene asignada una categoría', '', '', '', '', '', 'mensaje'),
(184, 'Incluir en Portada', 'Incluir en Portada', '', '', '', '', '', 'botones y selectores'),
(185, 'Ítem en portada', 'Ítem en portada', '', '', '', '', '', 'formulario'),
(186, 'Ítems en portada', 'Ítems en portada', '', '', '', '', '', 'botones y selectores'),
(187, 'Nuevo Ítem en portada', 'Nuevo Ítem en portada', '', '', '', '', '', 'botones y selectores'),
(188, 'Foto de cabecera', 'Foto de cabecera', '', '', '', '', '', 'formulario'),
(189, 'Sustituir foto de cabecera', 'Sustituir foto de cabecera', '', '', '', '', '', 'formulario'),
(190, 'Gestión permanente', 'Gestión permanente', '', '', '', '', '', 'dato entrada administrador'),
(191, 'Elegir archivo manualmente<br />Para que aparezca en la lista, el archivo debe subirse a la carpeta', 'Elegir archivo manualmente<br />Para que aparezca en la lista, el archivo debe subirse a la carpeta', '', '', '', '', '', 'formulario'),
(192, 'Se han elegido varios archivos !!', 'Se han elegido varios archivos !!', '', '', '', '', '', 'mensaje'),
(193, 'Permitir descarga', 'Permitir descarga', '', '', '', '', '', 'formulario'),
(194, 'Mostrar código para incluir en Web', 'Mostrar código para incluir en Web', '', '', '', '', '', 'formulario'),
(195, 'Mostrar en el canal', 'Mostrar en el canal', '', '', '', '', '', 'formulario'),
(196, 'Permitir comentarios', 'Permitir comentarios', '', '', '', '', '', 'formulario'),
(197, 'Ver todos los relacionados del ítem', 'Ver todos los relacionados del ítem', '', '', '', '', '', 'formulario relacionados'),
(198, 'Personalizar', 'Personalizar', '', '', '', '', '', 'diseño'),
(199, 'Menú extra 1', 'Menú extra 1', '', '', '', '', '', 'diseño elemento'),
(200, 'Elegir los elementos para incluir en el menú alto', 'Elegir los elementos para incluir en el menú alto', '', '', '', '', '', 'diseño'),
(201, 'Elegir los elementos para incluir en el menú de la derecha', 'Elegir los elementos para incluir en el menú de la derecha', '', '', '', '', '', 'diseño'),
(202, 'Elegir los elementos para incluir en el menú de la izquierda', 'Elegir los elementos para incluir en el menú de la izquierda', '', '', '', '', '', 'diseño'),
(203, 'Elegir los elementos para incluir en el menú bajo', 'Elegir los elementos para incluir en el menú bajo', '', '', '', '', '', 'diseño'),
(204, 'Orden', 'Orden', '', '', '', '', '', 'diseño'),
(205, 'Elegir un diseño guardado', 'Elegir un diseño guardado', '', '', '', '', '', 'diseño'),
(206, 'Nombre del diseño', 'Nombre del diseño', '', '', '', '', '', 'diseño'),
(207, 'Previsualización', 'Previsualización', '', '', '', '', '', 'diseño'),
(208, 'Copy', 'Copy', '', '', '', '', '', 'diseño elemento'),
(209, 'Email', 'Email', '', '', '', '', '', 'diseño elemento'),
(210, 'RSS', 'RSS', '', '', '', '', '', 'diseño elemento'),
(211, 'Páginas de composición', 'Páginas de composición', '', '', '', '', '', 'diseño elemento'),
(212, 'Buscador', 'Buscador', '', '', '', '', '', 'diseño elemento'),
(213, 'Categorías', 'Categorías', '', '', '', '', '', 'diseño elemento'),
(214, 'Etiquetas', 'Etiquetas', '', '', '', '', '', 'diseño elemento'),
(215, 'Idiomas', 'Idiomas', '', '', '', '', '', 'diseño elemento'),
(216, 'Links', 'Links', '', '', '', '', '', 'diseño elemento'),
(217, 'RSS Feeds', 'RSS Feeds', '', '', '', '', '', 'diseño elemento'),
(218, 'Secciones especiales', 'Secciones especiales', '', '', '', '', '', 'diseño elemento'),
(219, 'Últimos publicados', 'Últimos publicados', '', '', '', '', '', 'diseño elemento'),
(220, 'Diseño activo', 'Diseño activo', '', '', '', '', '', 'diseño'),
(221, 'Opciones', 'Opciones', '', '', '', '', '', 'diseño'),
(222, 'Incluir cabecera', 'Incluir cabecera', '', '', '', '', '', 'diseño'),
(223, 'Incluir menú alto', 'Incluir menú alto', '', '', '', '', '', 'diseño'),
(224, 'Incluir menú bajo', 'Incluir menú bajo', '', '', '', '', '', 'diseño'),
(225, 'Información sobre este diseño', 'Información sobre este diseño', '', '', '', '', '', 'diseño'),
(456, 'Web de la Página', 'Web de la Página', '', '', '', '', '', 'formulario paginas'),
(226, 'Para que aparezca en la lista, el archivo debe subirse a la carpeta', 'Para que aparezca en la lista, el archivo debe subirse a la carpeta', '', '', '', '', '', 'formulario'),
(227, 'Pie de Foto de cabecera', 'Pie de Foto de cabecera', '', '', '', '', '', 'formulario'),
(228, 'Votos', 'Votos', '', '', '', '', '', 'formulario'),
(229, 'Información adicional', 'Información adicional', '', '', '', '', '', 'formulario ítems'),
(230, 'Email', 'Email', '', '', '', '', '', 'formulario ítems'),
(231, 'Link', 'Link', '', '', '', '', '', 'formulario ítems'),
(232, 'Fecha adicional 1 (DD/MM/AAAA)', 'Fecha adicional 1 (DD/MM/AAAA)', '', '', '', '', '', 'formulario ítems'),
(233, 'Fecha adicional 2 (DD/MM/AAAA)', 'Fecha adicional 2 (DD/MM/AAAA)', '', '', '', '', '', 'formulario ítems'),
(234, 'Etiquetas nivel 2 (separar por comas ",") Ej.: ,etiqueta1,etiqueta2,', 'Etiquetas nivel 2 (separar por comas ",") Ej.: ,etiqueta1,etiqueta2,', '', '', '', '', '', 'formulario'),
(235, 'Etiquetas nivel 3 (separar por comas ",") Ej.: ,etiqueta1,etiqueta2,', 'Etiquetas nivel 3 (separar por comas ",") Ej.: ,etiqueta1,etiqueta2,', '', '', '', '', '', 'formulario'),
(236, 'Fecha de publicación', 'Fecha de publicación', '', '', '', '', '', 'formulario ítems'),
(237, 'Fecha de actualización', 'Fecha de actualización', '', '', '', '', '', 'formulario ítems'),
(238, 'Dirección IP', 'Dirección IP', '', '', '', '', '', 'formulario ítems'),
(239, 'Etiquetas nivel 3', 'Etiquetas nivel 3', '', '', '', '', '', 'diseño elemento'),
(240, 'Etiquetas nivel 2', 'Etiquetas nivel 2', '', '', '', '', '', 'diseño elemento'),
(241, 'Más votados', 'Más votados', '', '', '', '', '', 'diseño elemento'),
(242, 'Más leídos', 'Más leídos', '', '', '', '', '', 'diseño elemento'),
(243, 'ítems de portada', 'ítems de portada', '', '', '', '', '', 'diseño'),
(244, 'Reloj', 'Reloj', '', '', '', '', '', 'diseño elemento'),
(245, 'Usar repositorio (la URL debe terminar en el archivo con la extensión incluida)', 'Usar repositorio (la URL debe terminar en el archivo con la extensión incluida)', '', '', '', '', '', 'formulario'),
(246, 'Añadir ítem', 'Añadir ítem', '', '', '', '', '', 'diseño elemento'),
(247, 'Añadir traducción', 'Añadir traducción', '', '', '', '', '', 'diseño elemento'),
(248, 'Funciones', 'Funciones', '', '', '', '', '', 'botones y selectores'),
(249, 'Nuevo diseño', 'Nuevo diseño', '', '', '', '', '', 'diseño'),
(250, 'Elegir una imagen para incluir en la cabecera (opcional)', 'Elegir una imagen para incluir en la cabecera (opcional)', '', '', '', '', '', 'diseño'),
(251, 'Elegir diseño CSS del administrador', 'Elegir diseño CSS del administrador', '', '', '', '', '', 'diseño'),
(252, 'Gestión permanente.\r\nSi esta marcado permite la gestión permanente (máximo 15 días) sin tener que introducir los datos de ingreso. Esta opción es recomendable para usuarios que publiquen diariamente o con frecuencia. Sólo usando la opción de SALIR se preserva un posible uso indebido del administrador.', 'Gestión permanente.\r\nSi esta marcado permite la gestión permanente (máximo 15 días) sin tener que introducir los datos de ingreso. Esta opción es recomendable para usuarios que publiquen diariamente o con frecuencia. Sólo usando la opción de SALIR se preserva un posible uso indebido del administrador.', '', '', '', '', '', 'dato entrada al administrador mensaje popup'),
(253, 'Archivos multimedia de sonido', 'Archivos multimedia de sonido', '', '', '', '', '', 'formulario relacionados'),
(254, 'archivo multimedia de sonido', 'archivo multimedia de sonido', '', '', '', '', '', 'listados'),
(255, 'Ver relacionados', 'Ver relacionados', '', '', '', '', '', 'formulario ítems'),
(256, 'Ver comentarios', 'Ver comentarios', '', '', '', '', '', 'formulario ítems'),
(257, 'Ver traducciones', 'Ver traducciones', '', '', '', '', '', 'formulario ítems'),
(258, 'Relacionar ítems', 'Relacionar ítems', '', '', '', '', '', 'formulario ítems'),
(259, 'Relacionar imágenes', 'Relacionar imágenes', '', '', '', '', '', 'formulario ítems'),
(260, 'Relacionar archivos públicos', 'Relacionar archivos públicos', '', '', '', '', '', 'formulario ítems'),
(261, 'Relacionar archivos multimedia de vídeo', 'Relacionar archivos multimedia de vídeo', '', '', '', '', '', 'formulario ítems'),
(262, 'Añadir comentario', 'Añadir comentario', '', '', '', '', '', 'formulario ítems'),
(263, 'Añadir traducción', 'Añadir traducción', '', '', '', '', '', 'formulario ítems'),
(264, 'Destacar en listado (orden descendente)', 'Destacar en listado (orden descendente)', '', '', '', '', '', 'formulario'),
(265, 'Principal', 'Principal', '', '', '', '', '', 'botones y selectores'),
(266, 'Ninguno', 'Ninguno', '', '', '', '', '', 'formulario canales'),
(269, 'Total de ítems en portada', 'Total de ítems en portada', '', '', '', '', '', 'totales'),
(267, 'Total de Canales', 'Total de Canales', '', '', '', '', '', 'totales'),
(268, 'Elegir canal principal', 'Elegir canal principal', '', '', '', '', '', 'formulario canales'),
(270, 'Ítems', 'Ítems', '', '', '', '', '', 'formulario relacionados'),
(271, 'Imágenes', 'Imágenes', '', '', '', '', '', 'formulario relacionados'),
(272, 'Archivos públicos', 'Archivos públicos', '', '', '', '', '', 'formulario relacionados'),
(273, 'Archivos multimedia de vídeo', 'Archivos multimedia de vídeo', '', '', '', '', '', 'formulario relacionados'),
(274, 'Relacionado actual', 'Relacionado actual', '', '', '', '', '', 'formulario relacionados'),
(275, 'Sustituir relacionado', 'Sustituir relacionado', '', '', '', '', '', 'formulario relacionados'),
(276, 'Modo oculto (Web en construcción)', 'Modo oculto (Web en construcción)', '', '', '', '', '', 'sistema'),
(277, 'Idiomas secundarios', 'Idiomas secundarios', '', '', '', '', '', 'sistema'),
(278, 'Email general', 'Email general', '', '', '', '', '', 'sistema'),
(279, 'URLs amables', 'URLs amables', '', '', '', '', '', 'sistema'),
(280, 'Favicon', 'Favicon', '', '', '', '', '', 'sistema'),
(281, 'Comentarios permitidos', 'Comentarios permitidos', '', '', '', '', '', 'sistema'),
(282, 'Publicación automática de comentarios', 'Publicación automática de comentarios', '', '', '', '', '', 'sistema'),
(283, 'Tamaño máximo de archivos para subir vía PHP', 'Tamaño máximo de archivos para subir vía PHP', '', '', '', '', '', 'sistema'),
(284, 'Usuarios', 'Usuarios', '', '', '', '', '', 'botones y selectores'),
(285, 'Activar previsualización de web', 'Activar previsualización de web', '', '', '', '', '', 'diseño'),
(286, 'Opciones de rótulo de cabecera', 'Opciones de rótulo de cabecera', '', '', '', '', '', 'diseño'),
(287, 'Canales', 'Canales', '', '', '', '', '', 'botones y selectores'),
(297, 'Menú extra 3', 'Menú extra 3', '', '', '', '', '', 'diseño elemento'),
(288, 'Ocultar rótulo de cabecera', 'Ocultar rótulo de cabecera', '', '', '', '', '', 'diseño'),
(289, 'Posición margen alto (píxeles)', 'Posición margen alto (píxeles)', '', '', '', '', '', 'diseño'),
(290, 'Posición margen izquierda (píxeles)', 'Posición margen izquierda (píxeles)', '', '', '', '', '', 'diseño'),
(291, 'Recortar lado largo (píxeles)', 'Recortar lado largo (píxeles)', '', '', '', '', '', 'formulario'),
(292, 'Descargas máximas admitidas (0=ilimitado)', 'Descargas máximas admitidas (0=ilimitado)', '', '', '', '', '', 'formulario'),
(293, 'La previsualización de este tipo de archivo no se puede mostrar', 'La previsualización de este tipo de archivo no se puede mostrar', '', '', '', '', '', 'formulario archivos composicion'),
(294, 'Previsualizar', 'Previsualizar', '', '', '', '', '', 'formulario'),
(295, 'Recortar lado largo de miniatura (píxeles)', 'Recortar lado largo de miniatura (píxeles)', '', '', '', '', '', 'formulario imagenes'),
(296, 'Menú extra 2', 'Menú extra 2', '', '', '', '', '', 'diseño elemento'),
(298, 'Tipo de canal', 'Tipo de canal', '', '', '', '', '', 'formulario canales'),
(299, 'Elegir canal', 'Elegir canal', '', '', '', '', '', 'formulario'),
(300, 'Sin obligación de relleno', 'Sin obligación de relleno', '', '', '', '', '', 'formulario'),
(301, 'En listado', 'En listado', '', '', '', '', '', 'formulario ítems'),
(302, 'En ítem completo', 'En ítem completo', '', '', '', '', '', 'formulario ítems'),
(303, 'Mostrar título', 'Mostrar título', '', '', '', '', '', 'formulario ítems'),
(304, 'Mostrar fecha', 'Mostrar fecha', '', '', '', '', '', 'formulario ítems'),
(305, 'Mostrar información', 'Mostrar información', '', '', '', '', '', 'formulario ítems'),
(306, 'Blogs', 'Blogs', '', '', '', '', '', 'botones y selectores'),
(310, 'Nuevo Canal', 'Nuevo Canal', '', '', '', '', '', 'botones y selectores'),
(307, 'Permitir votos', 'Permitir votos', '', '', '', '', '', 'formulario ítems'),
(308, 'Permitir mostrar lecturas', 'Permitir mostrar lecturas', '', '', '', '', '', 'formulario ítems'),
(309, 'Permitir compartir', 'Permitir compartir', '', '', '', '', '', 'formulario ítems'),
(311, 'Abrir en nueva ventana', 'Abrir en nueva ventana', '', '', '', '', '', 'formulario funciones'),
(312, 'NO HAY PREVISUALIZACIÓN', 'NO HAY PREVISUALIZACIÓN', '', '', '', '', '', 'formulario mensaje composición'),
(313, 'Nuevo diseño o nueva versión', 'Nuevo diseño o nueva versión', '', '', '', '', '', 'diseño'),
(314, 'Instalar un <em>Diseño nuevo</em> consiste en incluir un CSS y una carpeta de recursos en la carpeta <em>skins</em>. Hacer una nueva versión de un diseño existente es seleccionar un CSS ya usado. La carpeta de recursos debe tener el mismo nombre que el archivo CSS elegido sin la extensión (nombre.css -> nombre). Para que se guarde hay que escribir un nombre y elegir el CSS nuevo o el ya usado. Mantiene todos los datos de esta pantalla excepto la composición (TPLC) y la imagen de cabecera por ser unos datos variables. Después solo hay que elegirlos y actualizar', 'Instalar un <em>Diseño nuevo</em> consiste en incluir un CSS y una carpeta de recursos en la carpeta <em>skins</em>. Hacer una nueva versión de un diseño existente es seleccionar un CSS ya usado. La carpeta de recursos debe tener el mismo nombre que el archivo CSS elegido sin la extensión (nombre.css -> nombre). Para que se guarde hay que escribir un nombre y elegir el CSS nuevo o el ya usado. Mantiene todos los datos de esta pantalla excepto la composición (TPLC) y la imagen de cabecera por ser unos datos variables. Después solo hay que elegirlos y actualizar', '', '', '', '', '', 'diseño mensaje'),
(315, 'ERROR: No se ha podido guardar porque no hay una carpeta de recursos con el mismo nombre que el archivo CSS elegido', 'ERROR: No se ha podido guardar porque no hay una carpeta de recursos con el mismo nombre que el archivo CSS elegido', '', '', '', '', '', 'diseño mensaje'),
(316, 'Si no hay una imagen instalada se usan los valores del archivo CSS', 'Si no hay una imagen instalada se usan los valores del archivo CSS', '', '', '', '', '', 'diseño mensaje'),
(317, 'Si los dos márgenes tienen un cero "0" se usan los valores del archivo CSS', 'Si los dos márgenes tienen un cero "0" se usan los valores del archivo CSS', '', '', '', '', '', 'diseño mensaje'),
(318, 'Cambiar canal', 'Cambiar canal', '', '', '', '', '', 'formulario'),
(319, 'ERROR: En el canal elegido no se puede incluir este tipo de contenido.', 'ERROR: En el canal elegido no se puede incluir este tipo de contenido.', '', '', '', '', '', 'formulario mensaje'),
(320, '..de imágenes', '..de imágenes', '', '', '', '', '', 'formulario canales'),
(321, '...de archivos públicos', '...de archivos públicos', '', '', '', '', '', 'formulario canales'),
(322, '...de vídeos/sonidos', '...de vídeos/sonidos', '', '', '', '', '', 'formulario canales'),
(323, '...de sonidos', '...de sonidos', '', '', '', '', '', 'formulario canales'),
(324, 'ERROR: No se puede crear o modificar un canal de un tipo diferente del canal principal asignado', 'ERROR: No se puede crear o modificar un canal de un tipo diferente del canal principal asignado', '', '', '', '', '', 'formulario canales mensaje'),
(325, 'Debe elegir otro canal principal', 'Debe elegir otro canal principal', '', '', '', '', '', 'formulario canales mensaje'),
(326, 'Tienda', 'Tienda', '', '', '', '', '', 'botones y selectores'),
(327, 'Grupo', 'Grupo', '', '', '', '', '', 'formulario'),
(328, 'Olvidó la contraseña?.\r\nPara recuperarla debe rellenar el campo Nombre de usuario con su Email registrado, marcar la casilla y pulsar sobre ENTRAR. Se enviará un Email con la contraseña registrada.', 'Olvidó la contraseña?.\r\nPara recuperarla debe rellenar el campo Nombre de usuario con su Email registrado, marcar la casilla y pulsar sobre ENTRAR. Se enviará un Email con la contraseña registrada.', '', '', '', '', '', 'dato entrada al administrador mensaje popup'),
(329, 'Se ha enviado un Email con la contraseña registrada', 'Se ha enviado un Email con la contraseña registrada', '', '', '', '', '', 'dato de entrada al administrador mensaje'),
(330, 'Admitir y listar usuarios y visitantes', 'Admitir y listar usuarios y visitantes', '', '', '', '', '', 'usuarios'),
(331, 'Relacionar archivos multimedia de sonido', 'Relacionar archivos multimedia de sonido', '', '', '', '', '', 'formulario ítems'),
(332, 'Catálogos', 'Catálogos', '', '', '', '', '', 'tienda'),
(333, 'Productos', 'Productos', '', '', '', '', '', 'tienda'),
(334, 'Pedidos', 'Pedidos', '', '', '', '', '', 'tienda'),
(335, 'Productos en portada', 'Productos en portada', '', '', '', '', '', 'tienda'),
(336, 'Nuevo Catálogo', 'Nuevo Catálogo', '', '', '', '', '', 'tienda'),
(337, 'Nuevo Producto', 'Nuevo Producto', '', '', '', '', '', 'tienda'),
(338, 'Canales', 'Canales', '', '', '', '', '', 'botones y selectores'),
(339, 'Nuevo Producto en portada', 'Nuevo Producto en portada', '', '', '', '', '', 'tienda'),
(340, 'Total de Catálogos', 'Total de Catálogos', '', '', '', '', '', 'totales'),
(341, 'Total de Productos', 'Total de Productos', '', '', '', '', '', 'totales'),
(342, 'Total de Pedidos', 'Total de Pedidos', '', '', '', '', '', 'totales'),
(343, 'Total de Productos en portada', 'Total de Productos en portada', '', '', '', '', '', 'totales'),
(344, 'Categorías privadas', 'Categorías privadas', '', '', '', '', '', 'botones y selectores'),
(345, 'Nueva Categoría privada', 'Nueva Categoría privada', '', '', '', '', '', 'botones y selectores'),
(346, 'Ítem privado', 'Ítem privado', '', '', '', '', '', 'formulario mensaje'),
(347, 'Intranet', 'Intranet', '', '', '', '', '', 'botones y selectores'),
(348, 'Total de Categorías privadas', 'Total de Categorías privadas', '', '', '', '', '', 'totales'),
(349, 'Total de Ítems privados', 'Total de Ítems privados', '', '', '', '', '', 'totales'),
(350, 'Nuevo Ítem privado', 'Nuevo Ítem privado', '', '', '', '', '', 'botones y selectores'),
(351, 'Ítems privados', 'Ítems privados', '', '', '', '', '', 'botones y selectores'),
(352, 'Contenido privado', 'Contenido privado', '', '', '', '', '', 'diseño elemento'),
(353, 'Portada', 'Portada', '', '', '', '', '', 'diseño elemento'),
(354, 'Tienda', 'Tienda', '', '', '', '', '', 'diseño elemento'),
(355, 'Número de columnas para mostrar los contenidos', 'Número de columnas para mostrar los contenidos', '', '', '', '', '', 'formulario'),
(356, 'Elegir una composición (TPLC) y un CSS', 'Elegir una composición (TPLC) y un CSS', '', '', '', '', '', 'formulario diseño'),
(357, 'VER LA WEB EN MODO EDICIÓN', 'VER LA WEB EN MODO EDICIÓN', '', '', '', '', '', 'botones y selectores'),
(358, 'SALIR', 'SALIR', '', '', '', '', '', 'botones y selectores'),
(359, 'ERROR: No se ha elegido ningún relacionado', 'ERROR: No se ha elegido ningún relacionado', '', '', '', '', '', 'formulario relacionados'),
(360, 'Ítem producto', 'Ítem producto', '', '', '', '', '', 'formulario mensaje'),
(361, 'producto', 'producto', '', '', '', '', '', 'listado'),
(362, 'Ver todos por páginas', 'Ver todos por páginas', '', '', '', '', '', 'listado'),
(363, 'Total de Operaciones realizadas', 'Total de Operaciones realizadas', '', '', '', '', '', 'Totales'),
(364, 'Total de Características', 'Total de Características', '', '', '', '', '', 'Totales'),
(365, 'Ventas', 'Ventas', '', '', '', '', '', 'botones y selectores'),
(366, 'Características', 'Características', '', '', '', '', '', 'botones y selectores'),
(367, 'Ver los datos del pedido', 'Ver los datos del pedido', '', '', '', '', '', 'formulario listados'),
(368, 'Ventas realizadas', 'Ventas realizadas', '', '', '', '', '', 'formulario pedidos'),
(369, 'Escribir el dato seleccionado en la lista superior', 'Escribir el dato seleccionado en la lista superior', '', '', '', '', '', 'formulario ítems producto'),
(370, 'Nombre', 'Nombre', '', '', '', '', '', 'formulario ítems producto'),
(371, 'Valor', 'Valor', '', '', '', '', '', 'formulario ítems producto'),
(372, 'Relacionar productos', 'Relacionar productos', '', '', '', '', '', 'formulario ítems'),
(373, 'Permitir link en la foto de cabecera', 'Permitir link en la foto de cabecera', '', '', '', '', '', 'formulario ítems'),
(374, 'Mostrar link', 'Mostrar link', '', '', '', '', '', 'formulario ítems'),
(375, 'Mostrar permalink', 'Mostrar permalink', '', '', '', '', '', 'formulario ítems'),
(376, 'Elegir catálogo', 'Elegir catálogo', '', '', '', '', '', 'formulario'),
(377, 'Cambiar catálogo', 'Cambiar catálogo', '', '', '', '', '', 'formulario'),
(378, 'Código producto', 'Código producto', '', '', '', '', '', 'formulario ítems producto'),
(379, 'Tipo de producto', 'Tipo de producto', '', '', '', '', '', 'formulario ítems producto'),
(380, 'Precio', 'Precio', '', '', '', '', '', 'formulario ítems producto'),
(381, 'Gastos adicionales', 'Gastos adicionales', '', '', '', '', '', 'formulario ítems producto'),
(382, 'Precio rebajado', 'Precio rebajado', '', '', '', '', '', 'formulario ítems producto'),
(383, 'Es novedad', 'Es novedad', '', '', '', '', '', 'formulario ítems producto'),
(384, 'Mostrar carro incorporado', 'Mostrar carro incorporado', '', '', '', '', '', 'formulario ítems producto'),
(385, 'Código de carro externo', 'Código de carro externo', '', '', '', '', '', 'formulario ítems producto'),
(386, 'General', 'General', '', '', '', '', '', 'formulario ítems producto'),
(387, 'Especial', 'Especial', '', '', '', '', '', 'formulario ítems producto'),
(388, 'Elegir catálogo principal', 'Elegir catálogo principal', '', '', '', '', '', 'formulario'),
(389, 'Producto', 'Producto', '', '', '', '', '', 'formulario ofertas'),
(390, 'Elegir producto', 'Elegir producto', '', '', '', '', '', 'formulario ofertas'),
(391, 'Pedido número', 'Pedido número', '', '', '', '', '', 'formulario pedidos'),
(392, 'Total activo', 'Total activo', '', '', '', '', '', 'formulario pedidos'),
(393, 'Código cliente', 'Código cliente', '', '', '', '', '', 'formulario pedidos'),
(394, 'Nombre', 'Nombre', '', '', '', '', '', 'formulario pedidos'),
(395, 'Apellidos', 'Apellidos', '', '', '', '', '', 'formulario pedidos'),
(396, 'Email', 'Email', '', '', '', '', '', 'formulario pedidos'),
(397, 'Teléfono', 'Teléfono', '', '', '', '', '', 'formulario pedidos'),
(398, 'Dirección', 'Dirección', '', '', '', '', '', 'formulario pedidos'),
(399, 'País', 'País', '', '', '', '', '', 'formulario pedidos'),
(400, 'Ciudad', 'Ciudad', '', '', '', '', '', 'formulario pedidos'),
(401, 'Código Postal', 'Código Postal', '', '', '', '', '', 'formulario pedidos'),
(402, 'Observaciones', 'Observaciones', '', '', '', '', '', 'formulario pedidos'),
(403, 'Fecha para realizar el envío', 'Fecha para realizar el envío', '', '', '', '', '', 'formulario pedidos'),
(404, 'Fecha y hora del pedido', 'Fecha y hora del pedido', '', '', '', '', '', 'formulario pedidos'),
(405, 'Rellenar con los mismos datos', 'Rellenar con los mismos datos', '', '', '', '', '', 'formulario pedidos'),
(406, 'Datos del envío', 'Datos del envío', '', '', '', '', '', 'formulario pedidos'),
(407, 'Especiales', 'Especiales', '', '', '', '', '', 'botones y selectores'),
(408, 'Vídeo/Sonido (código)', 'Vídeo/Sonido (código)', '', '', '', '', '', 'formulario multimedia'),
(409, 'Foto para el inicio del reproductor', 'Foto para el inicio del reproductor', '', '', '', '', '', 'formulario multimedia'),
(410, 'Medidas del reproductor', 'Medidas del reproductor', '', '', '', '', '', 'formulario multimedia'),
(411, 'Escribir el código embed', 'Escribir el código embed', '', '', '', '', '', 'formulario multimedia'),
(412, 'Foto para el listado', 'Foto para el listado', '', '', '', '', '', 'formulario multimedia'),
(413, 'Sonido (código)', 'Sonido (código)', '', '', '', '', '', 'formulario multimedia'),
(414, 'Información adicional', 'Información adicional', '', '', '', '', '', 'formulario items bloques'),
(415, 'Compartir contenido', 'Compartir contenido', '', '', '', '', '', 'formulario items bloques'),
(416, 'Ítems relacionados', 'Ítems relacionados', '', '', '', '', '', 'formulario items bloques'),
(417, 'Imágenes relacionadas', 'Imágenes relacionadas', '', '', '', '', '', 'formulario items bloques'),
(418, 'Multimedia relacionados', 'Multimedia relacionados', '', '', '', '', '', 'formulario items bloques'),
(419, 'Archivos públicos relacionados', 'Archivos públicos relacionados', '', '', '', '', '', 'formulario items bloques'),
(420, 'Productos relacionados', 'Productos relacionados', '', '', '', '', '', 'formulario items bloques'),
(421, 'Comentarios', 'Comentarios', '', '', '', '', '', 'formulario items bloques'),
(422, 'Ordenar bloques de relacionados y comentarios', 'Ordenar bloques de relacionados y comentarios', '', '', '', '', '', 'formulario items bloques'),
(423, 'Carro de la tienda', 'Carro de la tienda', '', '', '', '', '', 'sistema'),
(424, 'Nueva Venta', 'Nueva Venta', '', '', '', '', '', 'botones y selectores'),
(425, 'Cantidad de venta', 'Cantidad de venta', '', '', '', '', '', 'formulario ventas'),
(426, 'Guardar Total activo', 'Guardar Total activo', '', '', '', '', '', 'formulario pedidos'),
(427, 'Elegir Pedido', 'Elegir Pedido', '', '', '', '', '', 'formulario'),
(428, 'Sustituir Pedido', 'Sustituir Pedido', '', '', '', '', '', 'formulario'),
(429, 'Web del Pedido', 'Web del Pedido', '', '', '', '', '', 'formulario pedidos'),
(430, 'Nuevo Pedido', 'Nuevo Pedido', '', '', '', '', '', 'botones y selectores'),
(431, 'Añadir productos', 'Añadir productos', '', '', '', '', '', 'formulario pedidos'),
(432, 'Precio original (gastos incluidos)', 'Precio original (gastos incluidos)', '', '', '', '', '', 'formulario ventas'),
(433, 'Etiquetas del producto (separar por comas ",") Ej.:  ,etiqueta1,etiqueta2,etiqueta3,', 'Etiquetas del producto (separar por comas ",") Ej.:  ,etiqueta1,etiqueta2,etiqueta3,', '', '', '', '', '', 'formulario ítems producto'),
(434, 'Texto para el cliente en la Web del pedido', 'Texto para el cliente en la Web del pedido', '', '', '', '', '', 'formulario pedidos'),
(435, 'Redactor', 'Redactor', '', '', '', '', '', 'formulario ítems'),
(436, 'Cantidad de existencias', 'Cantidad de existencias', '', '', '', '', '', 'formulario ítems producto'),
(437, 'Habilitar control de existencias', 'Habilitar control de existencias', '', '', '', '', '', 'formulario ítems producto'),
(438, 'Información de software', 'Información de software', '', '', '', '', '', 'botones y selectores'),
(439, 'Paquetes adicionales instalados', 'Paquetes adicionales instalados', '', '', '', '', '', 'dato información'),
(440, 'Elegir SKIN del reproductor', 'Elegir SKIN del reproductor', '', '', '', '', '', 'formulario multimedia'),
(441, 'Datos del cliente', 'Datos del cliente', '', '', '', '', '', 'formulario pedidos'),
(442, 'Consola SQL', 'Consola SQL', '', '', '', '', '', 'botones y selectores'),
(443, 'Panel de Control del Servidor', 'Panel de Control del Servidor', '', '', '', '', '', 'botones y selectores'),
(444, 'Instalador', 'Instalador', '', '', '', '', '', 'botones y selectores'),
(445, 'ERROR: No se ha podido conectar con el servidor.<br />Por favor, inserte correctamente la URL.', 'ERROR: No se ha podido conectar con el servidor.<br />Por favor, inserte correctamente la URL.', '', '', '', '', '', 'No disponible. Mensaje'),
(446, 'RECARGAR ESTA PANTALLA', 'RECARGAR ESTA PANTALLA', '', '', '', '', '', 'botones y selectores'),
(447, 'Páginas', 'Páginas', '', '', '', '', '', 'botones y selectores'),
(448, 'Recortar lado largo de imagen ampliación (píxeles)', 'Recortar lado largo de imagen ampliación (píxeles)', '', '', '', '', '', 'formulario imagenes'),
(449, 'Las medidas de Alto y Ancho se escriben automáticamente cada vez que se incluye una foto de inicio del reproductor. Después los valores pueden modificarse para ajustarlos al formato de reproducción. Si no se incluye una foto hay que introducir los valores deseados o se usarán los valores mínimos por defecto.', 'Las medidas de Alto y Ancho se escriben automáticamente cada vez que se incluye una foto de inicio del reproductor. Después los valores pueden modificarse para ajustarlos al formato de reproducción. Si no se incluye una foto hay que introducir los valores deseados o se usarán los valores mínimos por defecto.', '', '', '', '', '', 'formulario multimedia'),
(450, 'Zona del menú Listado', 'Zona del menú Listado', '', '', '', '', '', 'formulario paginas'),
(451, 'Zona del menú Alto', 'Zona del menú Alto', '', '', '', '', '', 'formulario paginas'),
(452, 'Zona del menú Bajo', 'Zona del menú Bajo', '', '', '', '', '', 'formulario paginas'),
(453, 'Sin zona definida', 'Sin zona definida', '', '', '', '', '', 'formulario paginas'),
(454, 'Colocar en la portada', 'Colocar en la portada', '', '', '', '', '', 'formulario paginas'),
(455, 'Para que la característica nueva o modificada se guarde es necesario marcar la casilla situada a la izquierda de cada característica. Las primeras listas de "Nombre" y "Valor" recogen todos los datos guardados. Una vez seleccionado el dato se puede incluir en la característica pulsando sobre el signo "+" correspondiente. El número total de características que aparecen puede ser modificado mediante configuración general.', 'Para que la característica nueva o modificada se guarde es necesario marcar la casilla situada a la izquierda de cada característica. Las primeras listas de "Nombre" y "Valor" recogen todos los datos guardados. Una vez seleccionado el dato se puede incluir en la característica pulsando sobre el signo "+" correspondiente. El número total de características que aparecen puede ser modificado mediante configuración general.', '', '', '', '', '', 'formulario ítems producto. Información características'),
(457, 'Ocultar en los menús', 'Ocultar en los menús', '', '', '', '', '', 'formulario ítems'),
(458, 'Buscador de números (#). Se pueden incluir varios números separados por un guión (-). Ejemplo: 12-3-46', 'Buscador de números (#). Se pueden incluir varios números separados por un guión (-). Ejemplo: 12-3-46', '', '', '', '', '', 'formulario relacionados'),
(459, 'EL ARCHIVO ESTÁ EN USO', 'EL ARCHIVO ESTÁ EN USO', '', '', '', '', '', 'formulario archivos'),
(460, 'SE PUEDE BORRAR', 'SE PUEDE BORRAR', '', '', '', '', '', 'formulario archivos'),
(461, 'Opciones del pedido', 'Opciones del pedido', '', '', '', '', '', 'formulario pedidos'),
(462, 'Valor de gestión', 'Valor de gestión', '', '', '', '', '', 'formulario opciones del pedido'),
(463, 'Coste', 'Coste', '', '', '', '', '', 'formulario opciones del pedido'),
(464, 'Nueva Opción del pedido', 'Nueva Opción del pedido', '', '', '', '', '', 'botones y selectores'),
(465, 'Opciones del pedido', 'Opciones del pedido', '', '', '', '', '', 'botones y selectores'),
(466, 'Texto resumen, escrito normalmente en mayúsculas, que se utiliza para gestionar el valor de la opción<br />Ejemplo: TRANSFERENCIA<br />Ejemplo: PAGO CONTRA REEMBOLSO', 'Texto resumen, escrito normalmente en mayúsculas, que se utiliza para gestionar el valor de la opción<br />Ejemplo: TRANSFERENCIA<br />Ejemplo: PAGO CONTRA REEMBOLSO', '', '', '', '', '', 'formulario opciones del pedido. Ayuda'),
(467, 'Texto mostrado en el formulario para explicar la opción', 'Texto mostrado en el formulario para explicar la opción', '', '', '', '', '', 'formulario opciones del pedido. Ayuda'),
(468, 'Nombre de la opción idioma principal', 'Nombre de la opción idioma principal', '', '', '', '', '', 'formulario opciones del pedido'),
(469, 'Nombre de la opción idioma', 'Nombre de la opción idioma', '', '', '', '', '', 'formulario opciones del pedido'),
(470, 'Total de Opciones del pedido', 'Total de Opciones del pedido', '', '', '', '', '', 'Totales'),
(471, 'Datos internos', 'Datos internos', '', '', '', '', '', 'formulario opciones del pedido'),
(472, 'Precio nuevo (gastos incluidos)', 'Precio nuevo (gastos incluidos)', '', '', '', '', '', 'formulario ventas'),
(473, 'Total guardado', 'Total guardado', '', '', '', '', '', 'formulario pedidos'),
(474, 'Este dato aumenta o disminuye el total del pedido. Si no hay un dato seleccionado indica que el coste elegido es "0" (cero), o que no se ha elegido ninguna opción desde el formulario de Registro del pedido', 'Este dato aumenta o disminuye el total del pedido. Si no hay un dato seleccionado indica que el coste elegido es "0" (cero), o que no se ha elegido ninguna opción desde el formulario de Registro del pedido', '', '', '', '', '', 'formulario pedidos. Ayuda');
INSERT INTO `ig_idioma_admin` (`lenID`, `topic`, `topic_pre`, `topic_pre_1`, `topic_pre_2`, `topic_pre_3`, `topic_pre_4`, `topic_pre_5`, `ayuda`) VALUES
(475, 'Para poder disponer de una Web del pedido es necesario guardar un Código de cliente. Se puede elegir uno guardado o escribir uno nuevo. Al guardar un Código se genera una Web protegida con contraseña que muestra una liquidación de todas las operaciones realizadas, un texto específico para el cliente (opcional), etc. Para que el cliente pueda acceder debe existir una contraseña y estar la vista habilitada', 'Para poder disponer de una Web del pedido es necesario guardar un Código de cliente. Se puede elegir uno guardado o escribir uno nuevo. Al guardar un Código se genera una Web protegida con contraseña que muestra una liquidación de todas las operaciones realizadas, un texto específico para el cliente (opcional), etc. Para que el cliente pueda acceder debe existir una contraseña y estar la vista habilitada', '', '', '', '', '', 'formulario pedidos. Ayuda'),
(476, 'Códigos de cliente guardados', 'Códigos de cliente guardados', '', '', '', '', '', 'formulario pedidos'),
(477, 'Dirección de la Web', 'Dirección de la Web', '', '', '', '', '', 'formulario'),
(478, 'El <em>Total activo</em> es el dato que cambia según las modificaciones que realiza el Administrador (Añadir/quitar productos o cambiar el Coste). El <em>Total guardado</em> es el dato original antes de los cambios. En la <em>Web del pedido</em> aparece el dato del <em>Total activo</em>. Se puede <em>Guardar el Total activo</em> marcando la casilla', 'El <em>Total activo</em> es el dato que cambia según las modificaciones que realiza el Administrador (Añadir/quitar productos o cambiar el Coste). El <em>Total guardado</em> es el dato original antes de los cambios. En la <em>Web del pedido</em> aparece el dato del <em>Total activo</em>. Se puede <em>Guardar el Total activo</em> marcando la casilla', '', '', '', '', '', 'formulario pedidos. Ayuda'),
(479, 'Gestionar últimos buscados', 'Gestionar últimos buscados', '', '', '', '', '', 'inicio lista'),
(480, 'Estadísticas de publicación', 'Estadísticas de publicación', '', '', '', '', '', 'botón de navegación'),
(481, 'Configuración rápida', 'Configuración rápida', '', '', '', '', '', 'botón de navegación'),
(482, 'Privados', 'Privados', '', '', '', '', '', 'botones y selectores'),
(483, 'Se utiliza para insertar un enlace desde otra página o lugar hacia ésta. Es recomendable usar la dirección marcada y no la que aparece en la barra de direcciones del navegador', 'Se utiliza para insertar un enlace desde otra página o lugar hacia ésta. Es recomendable usar la dirección marcada y no la que aparece en la barra de direcciones del navegador', '', '', '', '', '', 'formulario páginas. Ayuda'),
(484, 'Páginas más leídas', 'Páginas más leídas', '', '', '', '', '', 'estadísticas'),
(485, 'Enlaces', 'Enlaces', '', '', '', '', '', 'botones y selectores'),
(486, 'VER LA WEB EN MODO PREVISUALIZACIÓN', 'VER LA WEB EN MODO PREVISUALIZACIÓN', '', '', '', '', '', 'botones y selectores'),
(487, 'Solo puede haber un <em>Diseño activo</em> y un <em>Diseño previo</em>. Tener uno activo es obligatorio, mientras el previo debe usarse cuando se realizan cambios de estilo, composición, etc. Para poder usar la previsualización de otros contenidos publicados es recomendable que coincidan (un diseño con las dos opciones)', 'Solo puede haber un <em>Diseño activo</em> y un <em>Diseño previo</em>. Tener uno activo es obligatorio, mientras el previo debe usarse cuando se realizan cambios de estilo, composición, etc. Para poder usar la previsualización de otros contenidos publicados es recomendable que coincidan (un diseño con las dos opciones)', '', '', '', '', '', 'diseño mensaje'),
(488, '¡¡ ATENCIÓN !!<br />Este diseño NO tiene una composición elegida', '¡¡ ATENCIÓN !!<br />Este diseño NO tiene una composición elegida', '', '', '', '', '', 'diseño mensaje'),
(489, 'Se listan todos los diseños guardados, para ver la pantalla del diseño elegido solo hay que seleccionarlo. Un diseño se identifica con un CSS (nombre.css). Si dos o más usan el mismo CSS son versiones del mismo', 'Se listan todos los diseños guardados, para ver la pantalla del diseño elegido solo hay que seleccionarlo. Un diseño se identifica con un CSS (nombre.css). Si dos o más usan el mismo CSS son versiones del mismo', '', '', '', '', '', 'diseño mensaje'),
(490, 'Las zonas son los lugares en donde aparecen los títulos de las páginas. <em>Colocar en la portada</em> muestra la página en la portada del website. Sólo puede haber habilitada una página de este tipo, aunque puede mostrarse en previsualización marcando la casilla de activación. Una página <em>Sin zona definida</em> indica que su título no se mostrará pero puede enlazarse a ella desde otra página o contenido usando la dirección de su web', 'Las zonas son los lugares en donde aparecen los títulos de las páginas. <em>Colocar en la portada</em> muestra la página en la portada del website. Sólo puede haber habilitada una página de este tipo, aunque puede mostrarse en previsualización marcando la casilla de activación. Una página <em>Sin zona definida</em> indica que su título no se mostrará pero puede enlazarse a ella desde otra página o contenido usando la dirección de su web', '', '', '', '', '', 'formulario paginas. Mensaje'),
(491, 'Imagen del link', 'Imagen del link', '', '', '', '', '', 'formulario links'),
(492, 'El comentario es un texto sin formato que aparece como <em>popup</em> antes de hacer click sobre el título o imagen. En <em>Listar por páginas</em> aparece como texto explicativo', 'El comentario es un texto sin formato que aparece como <em>popup</em> antes de hacer click sobre el título o imagen. En <em>Listar por páginas</em> aparece como texto explicativo', '', '', '', '', '', 'formulario links.Ayuda'),
(493, 'Listar por páginas', 'Listar por páginas', '', '', '', '', '', 'formulario links'),
(494, 'Colocar en Slide de portada', 'Colocar en Slide de portada', '', '', '', '', '', 'formulario links'),
(495, '<em>Colocar en Slide de portada</em> requiere de un ancho y alto iguales para cada imagen habilitada de este tipo. <em>Listar por páginas</em> muestra los links en páginas y permite destacar algunos en orden descendente. El orden de aparición ascendente se utiliza para el resto de tipos excepto para <em>URL corta</em>', '<em>Colocar en Slide de portada</em> requiere de un ancho y alto iguales para cada imagen habilitada de este tipo. <em>Listar por páginas</em> muestra los links en páginas y permite destacar algunos en orden descendente. El orden de aparición ascendente se utiliza para el resto de tipos excepto para <em>URL corta</em>', '', '', '', '', '', 'formulario links.Ayuda'),
(496, 'Abrir en nueva ventana', 'Abrir en nueva ventana', '', '', '', '', '', 'formulario links'),
(497, 'El <em>Link</em> es una dirección de internet válida escrita comenzando por <em>http://</em>. Marcar <em>Abrir en nueva ventana</em> puede utilizarse preferentemente para direcciones externas. La <em>Lista de direcciones internas</em> muestra todas las generadas automáticamente excepto las de páginas, categorías, catálogos, canales y contenido publicado que se muestran en su pantalla de edición correspondiente', 'El <em>Link</em> es una dirección de internet válida escrita comenzando por <em>http://</em>. Marcar <em>Abrir en nueva ventana</em> puede utilizarse preferentemente para direcciones externas. La <em>Lista de direcciones internas</em> muestra todas las generadas automáticamente excepto las de páginas, categorías, catálogos, canales y contenido publicado que se muestran en su pantalla de edición correspondiente', '', '', '', '', '', 'formulario links.Ayuda'),
(498, 'Lista de direcciones internas', 'Lista de direcciones internas', '', '', '', '', '', 'formulario links'),
(499, 'Reproductor privado', 'Reproductor privado', '', '', '', '', '', 'formulario multimedia. Mensaje'),
(500, 'Es la dirección directa para reproducir el archivo multimedia (vídeo o sonido). Si se indica <em>Reproductor privado</em> es porque está relacionado en uno o varios ítemes privados (intranet) y no se muestra en ningún canal', 'Es la dirección directa para reproducir el archivo multimedia (vídeo o sonido). Si se indica <em>Reproductor privado</em> es porque está relacionado en uno o varios ítemes privados (intranet) y no se muestra en ningún canal', '', '', '', '', '', 'formulario multimedia.Ayuda'),
(501, 'Para que esta dirección funcione y los visitantes registrados puedan ver los contenidos privados publicados tiene que estar habilitada la intranet en <em>Configuración &gt; Usuarios</em>', 'Para que esta dirección funcione y los visitantes registrados puedan ver los contenidos privados publicados tiene que estar habilitada la intranet en <em>Configuración &gt; Usuarios</em>', '', '', '', '', '', 'formulario links.Mensaje'),
(502, 'Nueva Contraseña privada', 'Nueva Contraseña privada', '', '', '', '', '', 'formulario archivos privados'),
(503, 'Contraseñas privadas', 'Contraseñas privadas', '', '', '', '', '', 'formulario archivos privados'),
(504, 'Total de Contraseñas privadas', 'Total de Contraseñas privadas', '', '', '', '', '', 'formulario archivos privados'),
(505, 'Añadir Contraseña privada', 'Añadir Contraseña privada', '', '', '', '', '', 'formulario archivos privados'),
(506, 'Ver Contraseñas privadas', 'Ver Contraseñas privadas', '', '', '', '', '', 'formulario archivos privados'),
(507, 'Estadísticas de descargas', 'Estadísticas de descargas', '', '', '', '', '', 'formulario'),
(508, 'Fecha', 'Fecha', '', '', '', '', '', 'formulario'),
(509, 'URL corta', 'URL corta', '', '', '', '', '', 'formulario links'),
(510, 'Escribir una palabra o frase que identifique más facilmente la URL del link. No permite caracteres especiales y lo escrito será convertido a una URL amable', 'Escribir una palabra o frase que identifique más facilmente la URL del link. No permite caracteres especiales y lo escrito será convertido a una URL amable', '', '', '', '', '', 'formulario links. Ayuda'),
(511, 'ERROR: No se ha podido guardar porque la URL corta ya existe', 'ERROR: No se ha podido guardar porque la URL corta ya existe', '', '', '', '', '', 'formulario links. Mensaje'),
(512, 'Dato', 'Dato', '', '', '', '', '', 'formulario'),
(513, 'Modo de reproducción', 'Modo de reproducción', '', '', '', '', '', 'formulario multimedia');

-- --------------------------------------------------------

--
-- ## `ig_imagenes`
--

CREATE TABLE IF NOT EXISTS `ig_imagenes` (
  `imgID` int(11) NOT NULL AUTO_INCREMENT,
  `canID` int(11) DEFAULT NULL,
  `imagen_ampliacion` varchar(255) DEFAULT NULL,
  `imagen` varchar(255) DEFAULT NULL,
  `pie` text,
  `pie_1` text,
  `pie_2` text,
  `pie_3` text,
  `pie_4` text,
  `pie_5` text,
  `orden` int(11) DEFAULT NULL,
  `mostrar` int(1) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`imgID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_info`
--

CREATE TABLE IF NOT EXISTS `ig_info` (
  `infoID` int(11) NOT NULL AUTO_INCREMENT,
  `paq` varchar(255) DEFAULT NULL,
  `paq_desc` text,
  `paq_version` varchar(255) DEFAULT NULL,
  `paq_credit` varchar(255) DEFAULT NULL,
  `date_instal` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`infoID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- ## `ig_ingenio`
--

CREATE TABLE IF NOT EXISTS `ig_ingenio` (
  `igID` int(11) NOT NULL AUTO_INCREMENT,
  `grupo` varchar(255) DEFAULT NULL,
  `tipo` int(11) DEFAULT NULL,
  `topic` text,
  `ayuda` text,
  PRIMARY KEY (`igID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=99 ;

--
-- # DATA # `ig_ingenio`
--

INSERT INTO `ig_ingenio` (`igID`, `grupo`, `tipo`, `topic`, `ayuda`) VALUES
(1, 'sistema', 2, '0', 'Determinar si nexo5cwm debe crear URLs amables de manera automática.\r\nNOTA: Si el servidor admite ".htaccess" elegir la opción "SI".'),
(2, 'optimizar', 2, '0', 'Habilitar la barra de EDITAR en modo previsualización'),
(3, 'favicon', 5, 'favicon.ico', 'Nombre del "favicon" con extensión ".ico". El archivo "favicon.ico" debe estar situado en el directorio raíz del dominio.\r\nEjemplo: favicon.ico'),
(4, 'optimizar', 1, '5', 'Cantidad máxima de páginas que aparecen en la paginación a la derecha y a la izquierda de la página actual (sin contar la primera ni la última página)'),
(5, 'sistema', 1, '1000', 'Ancho en píxeles de la ventana de administrador por defecto\r\nejemplo: 1000 (para monitores de más de 800 px)'),
(6, 'optimizar', 2, '1', 'Habilitar mostrar fecha de publicación de las traducciones publicadas'),
(7, 'intranet', 2, '0', 'HABILITAR INTRANET.\r\nSi está marcado "SI" la entrada de visitantes se permitirá exclusivamente con los visitantes admitidos.'),
(8, 'admin', 5, 'admin', 'Escribir un nombre de usuario de acceso al administrador'),
(9, 'admin', 4, 'MTIzNA==', 'Escribir una contraseña de acceso al administrador'),
(10, 'optimizar', 2, '0', 'Habilitar mostrar la fecha "literal english" (March 5, 2008)\r\nNO=muestra la fecha "latin"  (05/03/2008)'),
(11, 'diseño', 1, '10', 'Número de items mostrados por página en categoría y listados generales'),
(12, 'admin', 6, 'email@midominio.kom', 'Escribir un Email de notificación de nuevo comentario, de nuevo contenido y de contacto general'),
(13, 'idiomas', 7, '0', 'INSTALAR IDIOMAS DE WEB\r\nDeben estar rellenos los datos del idioma elegido.\r\n(0=solo idioma principal | 1=un idioma secundario | 2= dos idiomas secundarios | ...)'),
(14, 'diseño', 1, '10', 'Número de items y contenidos de los canales mostrados por página en el buscador'),
(15, 'optimizar', 1, '1500', 'Caracteres máximo que admiten los comentarios'),
(16, 'diseño', 1, '12', 'Número de archivos públicos mostrados por página en listado'),
(17, 'diseño', 1, '12', 'Número de links mostrados por página en listado'),
(18, 'diseño', 1, '200', 'Número de caracteres de corte del comentario para la salida popups'),
(19, 'diseño', 1, '5', 'Número máximo de ítems "últimos publicados" publicados en el menú'),
(20, 'optimizar', 2, '1', 'Habilitar popups dinámicos (banderines de ayuda) en toda la web'),
(21, 'técnico', 2, '0', 'Habilitar Editor de texto en el administrador\r\nNO=no habilita automáticamente\r\nSI=sí habilita automáticamente\r\nNOTA: La opción "SI" ralentiza la carga de páginas'),
(22, 'técnico', 5, 'es', 'Idioma del Editor de texto del administrador\r\n(es=Español | en=English)\r\nEjemplo: es'),
(23, 'diseño', 1, '6', 'Número de ítems mostrados por página desde la portada'),
(32, 'composición', 2, '0', 'Mostrar desde la portada el listado de todos los ítems publicados'),
(33, 'diseño', 1, '12', 'Número de archivos multimedia (vídeos y sonidos) mostrados por página en listado'),
(24, 'optimizar', 1, '1', 'Asignar el ID de la página que dirige el link "Publicado por "\r\nEjemplo: 1'),
(25, 'composición', 1, '200', 'Ancho en píxeles de cada miniatura mostrada en los canales de imágenes.\r\nSe convertirá cada imagen ampliada a esta medida de ancho\r\n(NOTA: la imagen ampliada debe ser mayor que esta medida)\r\nEjemplo: 200\r\n'),
(26, 'sistema', 2, '0', 'Envío de datos de notificación de nuevo comentario\r\nNO=envía sólo referencia del item\r\nSI=envía todos los datos del comentario'),
(27, 'diseño', 1, '1', 'Número de traducciones mostradas por página en listado'),
(28, 'técnico', 1, '50', 'Cantidad por defecto de registros mostrados por página en el listado del administrador'),
(29, 'diseño', 2, '0', 'Habilitar nube de etiquetas en el menú'),
(30, 'rss', 1, '12', 'Número de items mostrados en el listado del canal RSS'),
(31, 'sistema', 2, '0', 'Habilitar publicación automática de comentarios.\r\nNOTA: Marcar "SI" indica que se publican sin control del administrador'),
(34, 'diseño', 1, '12', 'Número de imágenes mostradas por página en el listado de los canales'),
(35, 'diseño', 1, '6', 'Número de ítems destacados mostrados por página en listado'),
(36, 'composición', 1, '225', 'Ancho en píxeles de cada foto de cabecera incluida en el ítem, archivos públicos y archivos privados'),
(37, 'composición', 2, '0', 'Habilitar la frase "Publicado por ... en ..."\r\nNO=no habilita y aparace la frase "Publicado en ..."'),
(38, 'optimizar', 2, '1', 'Habilitar el formulario de comentarios. Esta opción prevalece sobre la particular de cada ítem. Si está configurado como "NO", se deshabilita la posibilidad de admitir comentarios y se verán sólo los comentarios ya publicados en cada ítem.'),
(39, 'diseño', 1, '1', 'Número de etiquetas que aparecen en el menú. El número hace referencia a la cantidad de etiquetas iguales incluídas en todos los ítems.\r\n(1=aparecen todas las etiquetas cuya cantidad sea igual o mayor que 1)\r\n(10=aparecen todas la etiquetas cuya cantidad sea igual o mayor que 10)\r\n(...)'),
(40, 'diseño', 1, '1', 'Número de etiquetas que aparecen en el menú (nivel 3). El número hace referencia a la cantidad de etiquetas iguales incluídas en todos los ítems.\r\n(1=aparecen todas las etiquetas cuya cantidad sea igual o mayor que 1)\r\n(10=aparecen todas las etiquetas cuya cantidad sea igual o mayor que 10)\r\n(...)'),
(41, 'diseño', 1, '1', 'Número de etiquetas que aparecen en el menú (nivel 2). El número hace referencia a la cantidad de etiquetas iguales incluídas en todos los ítems.\r\n(1=aparecen todas las etiquetas cuya cantidad sea igual o mayor que 1)\r\n(10=aparecen todas la etiquetas cuya cantidad sea igual o mayor que 10)\r\n(...)'),
(42, 'diseño', 2, '1', 'Habilitar nube de etiquetas en página completa'),
(43, 'usuarios', 2, '0', 'ADMITIR USUARIOS.\r\nHabilita la admisión de usuarios del Administrador con opciones sólo de redacción (publicar contenidos).'),
(44, 'usuarios', 8, '***', 'LISTAR USUARIOS.\r\nLos usuarios listados serán admitidos si está habilitada la opción de admitir usuarios.\r\nEscribir un usuario por línea indicando el Email seguido del signo "+" y a continuación la contraseña asignada a cada usuario, que no puede contener espacios ni ser inferior a 4 caracteres.\r\nEjemplo:\r\nemailusuario@dominiousuario.com+55555\r\nemailusuario2@dominiousuario2.com+44444\r\n...'),
(45, 'diseño', 1, '60', 'Cantidad de días para mostrar los ítems más votados y más leídos'),
(46, 'diseño', 1, '6', 'Número máximo de ítems más votados publicados en el menú'),
(47, 'diseño', 1, '6', 'Número máximo de ítems más leídos publicados en el menú'),
(48, 'optimizar', 1, '3500', 'Caracteres máximo que admite el texto de añadir noticia y el de añadir traducción en las opciones de colaboración'),
(49, 'rss', 2, '1', 'Habilitar el canal RSS de la barra de direcciones del navegador'),
(50, 'optimizar', 1, '50', 'Caracteres máximos para cortar los títulos y los nombres de categorías y canales en menús'),
(52, 'sistema', 2, '1', 'Habilitar toda la web en modo oculto. En este modo aparecerá el mensaje que se configure en idiomas de web, pero todos los contenidos estarán ocultos para el visitante del sitio.'),
(51, 'optimizar', 2, '1', 'Recortar el título de los ítems en el menú de últimos publicados. El título se recortará en la cantidad señalada en la configuración número 50'),
(53, 'técnico', 2, '0', 'Mostrar el menú del programador. Sólo para desarrolladores en PHP y CSS'),
(54, 'composición', 1, '200', 'Ancho en píxeles de cada foto de cabecera incluida en la categoría, título de página adicional y título de link'),
(55, 'composición', 9, '2', 'Número de columnas para visualizar los ítems en portada'),
(57, 'composición', 9, '2', 'Número de columnas para visualizar los ítems ordenados con la opción "ver más..."'),
(56, 'composición', 9, '2', 'Número de columnas para mostrar los ítems en el buscador y por etiquetas'),
(58, 'composición', 9, '2', 'Número de columnas para mostrar los ítems destacados'),
(59, 'composición', 9, '2', 'Número de columnas para mostrar los archivos privados'),
(60, 'intranet', 8, '***', 'LISTAR VISITANTES.\r\nLos visitantes listados serán admitidos si está habilitada la intranet.\r\nEscribir un visitante por línea indicando el Email seguido del signo "+" y a continuación la contraseña asignada a cada visitante, que no puede contener espacios ni ser inferior a 4 caracteres.\r\nEjemplo:\r\nemailvisitante@dominiovisitante.com+55555\r\nemailvisitante2@dominiovisitante2.com+44444\r\n...'),
(61, 'composición', 9, '2', 'Número de columnas para mostrar todos los ítems desde la portada'),
(62, 'composición', 9, '2', 'Número de columnas para mostrar las imágenes relacionadas en los ítems'),
(63, 'composición', 9, '2', 'Número de columnas para mostrar los vídeos relacionados en los ítems'),
(64, 'composición', 9, '2', 'Número de columnas para mostrar los sonidos relacionados en los ítems'),
(65, 'composición', 9, '2', 'Número de columnas para mostrar los archivos públicos relacionados en los ítems'),
(66, 'optimizar', 1, '25', 'Caracteres máximos para cortar los nombres de archivos para descarga'),
(67, 'tienda', 2, '0', 'Colocación del símbolo de moneda al mostrar el precio.\r\nSÍ=indica que se mostrará antes\r\nN0=indica que se mostrará después'),
(68, 'tienda', 5, ' &euro;', 'Símbolo de moneda. Es preferible usar la entidad HTML.'),
(69, 'tienda', 1, '5', 'Número máximo de características extras por producto'),
(70, 'tienda', 1, '125', 'Ancho en píxeles de cada foto de cabecera incluida en el ítem producto'),
(71, 'composición', 9, '2', 'Número de columnas para mostrar los productos relacionados en los ítems'),
(72, 'composición', 9, '2', 'Número de columnas para visualizar los productos en portada'),
(73, 'tienda', 2, '1', 'Habilitar el carro en toda la web.\r\nLa opción NO prevalece sobre la particular de cada producto. Tampoco se muestra la información del carro en el menú.'),
(74, 'tienda', 2, '1', 'Habilitar las etiquetas dentro del menú tienda'),
(75, 'tienda', 1, '1', 'Número de etiquetas que aparecen en el menú. El número hace referencia a la cantidad de etiquetas iguales incluidas en todos los ítems producto.\r\n(1=aparecen todas las etiquetas cuya cantidad sea igual o mayor que 1)\r\n(10=aparecen todas la etiquetas cuya cantidad sea igual o mayor que 10)\r\n(...)'),
(76, 'tienda', 5, 'EUR', 'Código del tipo de moneda.\r\nEjemplo: EUR\r\nEjemplo: USD'),
(77, 'tienda', 6, 'emailtienda@midominio.kom', 'MÓDULOS DE PAGO\r\nEscribir el Email de gestión'),
(78, 'tienda', 2, '0', 'MÓDULOS DE PAGO\r\nSi está marcado SÍ se mostrarán los módulos en la página final del pago y en la Web del pedido'),
(79, 'tienda', 2, '1', 'HABILITAR INFORMACIÓN SOBRE EL PAGO\r\nSi está marcado "SI" se mostrará la información añadida en la página final del pago'),
(80, 'tienda', 2, '0', 'Habilitar buscador de productos.\r\nSi está marcado "SI" aparece la opción de buscar productos en el menú buscador'),
(81, 'tienda', 2, '1', 'HABILITAR INFORMACIÓN EN LA WEB DEL PEDIDO\r\nSi está marcado "SÍ" se mostrará la información de la Web del pedido'),
(82, 'admin', 7, '0', 'IDIOMA ADMINISTRADOR POR DEFECTO\r\nDeben estar rellenos los datos del idioma elegido.\r\n(0= idioma preferente | 1= idioma preferente (1) | 2= idioma preferente (2) | ...)'),
(83, 'optimizar', 2, '0', 'Habilitar Editor de texto en el formulario de comentarios y colaboraciones'),
(84, 'técnico', 5, 'flv|mp4|ogv|webm|mp3|ogg', 'Extensiones admitidas de archivos de vídeo.\r\nDeben incluirse las extensiones en minúsculas separadas por una barra vertical\r\nEjemplo: flv|mp4'),
(85, 'técnico', 5, 'mp3|ogg', 'Extensiones admitidas de archivos de audio.\r\nDeben incluirse las extensiones en minúsculas separadas por una barra vertical\r\nEjemplo: mp3'),
(86, 'técnico', 5, 'http://', 'URL completa comenzando con "http://" de la entrada al Panel de control del servidor o a la gestión de la base de datos.\r\nEsta URL la proporciona la empresa de hosting.'),
(87, 'sistema', 5, '<!DOCTYPE html>', 'Documento tipo HTML.\r\nEjemplo HTML:\r\n<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\r\nEjemplo XHTML:\r\n<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'),
(97, 'tienda', 2, '0', 'Habilitar las Opciones del pedido en el formulario de Registro del pedido'),
(88, 'técnico', 5, '07/03/2011', 'Fecha de actualización general de archivos CSS y JS\r\nUsar el formato latino DD/MM/AAAA (D=día M=mes A=año)\r\nSi no se introduce correctamente el navegador no podrá actualizar los archivos indicados de la caché\r\nEjemplo: 05/08/2010'),
(89, 'técnico', 5, 'ix_', 'Prefijo para el nombre de las imágenes, archivos, fotos, etc. que se suben vía PHP.\r\nEjemplo: ix_'),
(90, 'composición', 1, '1000', 'Ancho en píxeles de cada imagen de cabecera incluida en el diseño'),
(91, 'composición', 1, '600', 'Ancho en píxeles de cada imagen de ampliación incluida en los canales de imágenes'),
(92, 'composición', 1, '320', 'Ancho en píxeles de la imagen de inicio del reproductor multimedia\r\nEjemplo: 320'),
(93, 'composición', 1, '100', 'Ancho mínimo en píxeles del reproductor multimedia\r\nEjemplo: 100'),
(94, 'optimizar', 2, '0', 'Permitir que se destaquen los ítems en el buscador ordenados como en las categorías'),
(95, 'técnico', 5, 'jpg|jpeg|png|gif|swf|dcr|qt|mov|mp4|mp3|mpg|mpeg|avi|wmv|wm|wmx|wvx|asf|asx|rm|ra|ram|zip|pdf|tar.gz', 'Extensiones admitidas para subir archivos de composición.\r\nDeben incluirse las extensiones en minúsculas separadas por una barra vertical\r\nEjemplo: mov|wmv|swf'),
(96, 'técnico', 5, 'jpg|png|gif', 'Extensiones admitidas para subir archivos de imagen\r\nDeben incluirse las extensiones en minúsculas separadas por una barra vertical\r\nEjemplo: jpg|png|gif'),
(98, 'técnico', 8, '***', 'Añadir etiquetas en la cabecera (head) del tipo "meta", "script", etc.\r\nNOTA: Para no incluir datos escribir tres asteriscos (***)');

-- --------------------------------------------------------

--
-- ## `ig_items`
--

CREATE TABLE IF NOT EXISTS `ig_items` (
  `itemID` int(11) NOT NULL AUTO_INCREMENT,
  `item_tipo` char(2) NOT NULL DEFAULT '1',
  `catID` int(11) DEFAULT NULL,
  `catprivID` int(11) DEFAULT NULL,
  `cataID` int(11) DEFAULT NULL,
  `titulo` varchar(255) DEFAULT NULL,
  `titulo_1` varchar(255) DEFAULT NULL,
  `titulo_2` varchar(255) DEFAULT NULL,
  `titulo_3` varchar(255) DEFAULT NULL,
  `titulo_4` varchar(255) DEFAULT NULL,
  `titulo_5` varchar(255) DEFAULT NULL,
  `texto` text,
  `texto_1` text,
  `texto_2` text,
  `texto_3` text,
  `texto_4` text,
  `texto_5` text,
  `texto_resumen` text,
  `texto_resumen_1` text,
  `texto_resumen_2` text,
  `texto_resumen_3` text,
  `texto_resumen_4` text,
  `texto_resumen_5` text,
  `etiquetas` text,
  `foto` varchar(255) DEFAULT NULL,
  `pie_foto` text,
  `pie_foto_1` text,
  `pie_foto_2` text,
  `pie_foto_3` text,
  `pie_foto_4` text,
  `pie_foto_5` text,
  `fecha` varchar(100) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `lecturas` int(11) DEFAULT NULL,
  `votos` int(11) DEFAULT NULL,
  `adcomen` int(1) NOT NULL DEFAULT '0',
  `advotos` int(1) NOT NULL DEFAULT '0',
  `adlecturas` int(1) NOT NULL DEFAULT '0',
  `adcompartir` int(1) NOT NULL DEFAULT '0',
  `adfecha_list` int(1) NOT NULL DEFAULT '0',
  `adfecha_item` int(1) NOT NULL DEFAULT '0',
  `adtitulo_list` int(1) NOT NULL DEFAULT '0',
  `adtitulo_item` int(1) NOT NULL DEFAULT '0',
  `adinfo_list` int(1) NOT NULL DEFAULT '0',
  `adinfo_item` int(1) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '0',
  `n5_fecha_pub` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `n5_fecha_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `n5_email` varchar(255) DEFAULT NULL,
  `n5_url` varchar(255) DEFAULT NULL,
  `n5_fecha_ini` varchar(100) DEFAULT NULL,
  `n5_fecha_fin` varchar(100) DEFAULT NULL,
  `n5_ciudad` text,
  `n5_pais` text,
  `n5_dir_ip` varchar(50) DEFAULT NULL,
  `adfotoconex` int(1) NOT NULL DEFAULT '0',
  `adleermas` int(1) NOT NULL DEFAULT '0',
  `adpermalink` int(1) NOT NULL DEFAULT '0',
  `td_etiquetas` text,
  `td_tipo` char(2) DEFAULT NULL,
  `td_codigo` varchar(100) DEFAULT NULL,
  `td_precio` float DEFAULT NULL,
  `td_gastos` float DEFAULT NULL,
  `td_descuento` float DEFAULT NULL,
  `td_adcarro` int(1) DEFAULT '0',
  `td_adnovedad` int(1) DEFAULT '0',
  `td_carrocode` text,
  `orden_bloques` varchar(255) DEFAULT NULL,
  `redactor` varchar(255) DEFAULT NULL,
  `td_stock` int(11) DEFAULT NULL,
  `td_adstock` int(1) DEFAULT '0',
  `admenus` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_links`
--

CREATE TABLE IF NOT EXISTS `ig_links` (
  `linkID` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` char(2) NOT NULL DEFAULT '1',
  `titulo` varchar(255) DEFAULT NULL,
  `titulo_1` varchar(255) DEFAULT NULL,
  `titulo_2` varchar(255) DEFAULT NULL,
  `titulo_3` varchar(255) DEFAULT NULL,
  `titulo_4` varchar(255) DEFAULT NULL,
  `titulo_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `ordenmenu` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  `adblank` int(1) NOT NULL DEFAULT '1',
  `urlseo` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`linkID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_multimedia`
--

CREATE TABLE IF NOT EXISTS `ig_multimedia` (
  `multID` int(11) NOT NULL AUTO_INCREMENT,
  `canID` int(11) DEFAULT NULL,
  `tipo` varchar(10) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `archivo` varchar(255) DEFAULT NULL,
  `foto` varchar(255) DEFAULT NULL,
  `foto_list` varchar(255) DEFAULT NULL,
  `ancho` int(11) DEFAULT NULL,
  `alto` int(11) DEFAULT NULL,
  `vistas` int(11) DEFAULT NULL,
  `descargas` int(11) DEFAULT NULL,
  `fecha` varchar(100) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `embed` int(1) NOT NULL DEFAULT '0',
  `getf` int(1) NOT NULL DEFAULT '0',
  `mostrar` int(1) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '0',
  `embed_code` text,
  `skin_rep` varchar(255) DEFAULT NULL,
  `adfecha` int(1) NOT NULL DEFAULT '0',
  `repro` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`multID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_paginas`
--

CREATE TABLE IF NOT EXISTS `ig_paginas` (
  `pagID` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` char(2) NOT NULL DEFAULT '1',
  `titulo` varchar(255) DEFAULT NULL,
  `titulo_1` varchar(255) DEFAULT NULL,
  `titulo_2` varchar(255) DEFAULT NULL,
  `titulo_3` varchar(255) DEFAULT NULL,
  `titulo_4` varchar(255) DEFAULT NULL,
  `titulo_5` varchar(255) DEFAULT NULL,
  `texto` text,
  `texto_1` text,
  `texto_2` text,
  `texto_3` text,
  `texto_4` text,
  `texto_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  `previo` int(1) NOT NULL DEFAULT '0',
  `lecturas` int(11) DEFAULT NULL,
  PRIMARY KEY (`pagID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_portada`
--

CREATE TABLE IF NOT EXISTS `ig_portada` (
  `portID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`portID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_privass`
--

CREATE TABLE IF NOT EXISTS `ig_privass` (
  `pasID` int(11) NOT NULL AUTO_INCREMENT,
  `fileID` int(11) DEFAULT NULL,
  `fpass` varchar(100) DEFAULT NULL,
  `descargas` int(11) DEFAULT NULL,
  `descargas_max` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`pasID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_relacionados`
--

CREATE TABLE IF NOT EXISTS `ig_relacionados` (
  `relaID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `tipo` int(11) DEFAULT NULL,
  `refID` int(11) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`relaID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_skins`
--

CREATE TABLE IF NOT EXISTS `ig_skins` (
  `skinID` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) DEFAULT NULL,
  `composicion` varchar(255) DEFAULT NULL,
  `menu_alto` varchar(255) DEFAULT NULL,
  `menu_principal` varchar(255) DEFAULT NULL,
  `menu_secundario` varchar(255) DEFAULT NULL,
  `menu_pie` varchar(255) DEFAULT NULL,
  `imagen_cabecera` varchar(255) DEFAULT NULL,
  `rotulo_estilo` varchar(255) DEFAULT NULL,
  `rotulo` int(11) NOT NULL DEFAULT '0',
  `txt_skin_css` text,
  `skin_css` varchar(100) DEFAULT NULL,
  `skin_admin` varchar(100) DEFAULT NULL,
  `previo` int(1) NOT NULL DEFAULT '0',
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`skinID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- # DATA # `ig_skins`
--

INSERT INTO `ig_skins` (`skinID`, `nombre`, `composicion`, `menu_alto`, `menu_principal`, `menu_secundario`, `menu_pie`, `imagen_cabecera`, `rotulo_estilo`, `rotulo`, `txt_skin_css`, `skin_css`, `skin_admin`, `previo`, `enabled`) VALUES
(1, 'OPTIMO', 'cskin.tplc.html', '8,9,3,0,0,0,0,0,0,0', '8,9,10,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0', '25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0', '2,1,9,0,0,0,0,0,0,0', 'ix_1cab_imgtopimage.png', '100,350', 0, '', 'optimo.css', 'estandar.css', 1, 1);

-- --------------------------------------------------------

--
-- ## `ig_stats`
--

CREATE TABLE IF NOT EXISTS `ig_stats` (
  `stID` int(11) NOT NULL AUTO_INCREMENT,
  `impresiones` int(11) DEFAULT NULL,
  `sesiones` int(11) DEFAULT NULL,
  `hits` varchar(11) DEFAULT NULL,
  PRIMARY KEY (`stID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_stats_dia`
--

CREATE TABLE IF NOT EXISTS `ig_stats_dia` (
  `stID` int(11) NOT NULL AUTO_INCREMENT,
  `dia_impresiones` int(11) DEFAULT NULL,
  `dia_sesiones` int(11) DEFAULT NULL,
  `dia_hits` varchar(11) DEFAULT NULL,
  `fecha` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`stID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_stats_dw`
--

CREATE TABLE IF NOT EXISTS `ig_stats_dw` (
  `stID` int(11) NOT NULL AUTO_INCREMENT,
  `tipo` char(11) DEFAULT NULL,
  `refID` int(11) DEFAULT NULL,
  `fecha` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `dir_ip` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`stID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_stats_mes`
--

CREATE TABLE IF NOT EXISTS `ig_stats_mes` (
  `stID` int(11) NOT NULL AUTO_INCREMENT,
  `mes_impresiones` int(11) DEFAULT NULL,
  `mes_sesiones` int(11) DEFAULT NULL,
  `mes_hits` varchar(11) DEFAULT NULL,
  `fecha` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`stID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_caracteristicas`
--

CREATE TABLE IF NOT EXISTS `ig_td_caracteristicas` (
  `caracID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `valor` varchar(255) DEFAULT NULL,
  `valor_1` varchar(255) DEFAULT NULL,
  `valor_2` varchar(255) DEFAULT NULL,
  `valor_3` varchar(255) DEFAULT NULL,
  `valor_4` varchar(255) DEFAULT NULL,
  `valor_5` varchar(255) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`caracID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_carro`
--

CREATE TABLE IF NOT EXISTS `ig_td_carro` (
  `carroID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `pedID` int(11) DEFAULT NULL,
  `nombre_producto` varchar(255) DEFAULT NULL,
  `precio_producto` float DEFAULT NULL,
  `cantidad_producto` int(11) DEFAULT NULL,
  PRIMARY KEY (`carroID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_catalogos`
--

CREATE TABLE IF NOT EXISTS `ig_td_catalogos` (
  `cataID` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `nombre` varchar(255) DEFAULT NULL,
  `nombre_1` varchar(255) DEFAULT NULL,
  `nombre_2` varchar(255) DEFAULT NULL,
  `nombre_3` varchar(255) DEFAULT NULL,
  `nombre_4` varchar(255) DEFAULT NULL,
  `nombre_5` varchar(255) DEFAULT NULL,
  `comentario` text,
  `comentario_1` text,
  `comentario_2` text,
  `comentario_3` text,
  `comentario_4` text,
  `comentario_5` text,
  `foto` varchar(255) DEFAULT NULL,
  `columnas` char(2) NOT NULL DEFAULT '1',
  `orden` int(11) DEFAULT NULL,
  PRIMARY KEY (`cataID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_ofertas`
--

CREATE TABLE IF NOT EXISTS `ig_td_ofertas` (
  `oferID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`oferID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_openvio`
--

CREATE TABLE IF NOT EXISTS `ig_td_openvio` (
  `envID` int(11) NOT NULL AUTO_INCREMENT,
  `valor` varchar(255) DEFAULT NULL,
  `nombre` text,
  `nombre_1` text,
  `nombre_2` text,
  `nombre_3` text,
  `nombre_4` text,
  `nombre_5` text,
  `coste` float DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`envID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_td_pedidos`
--

CREATE TABLE IF NOT EXISTS `ig_td_pedidos` (
  `pedID` int(11) NOT NULL AUTO_INCREMENT,
  `fecha` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `codigo_cliente` varchar(100) DEFAULT NULL,
  `nombre_cliente` varchar(100) DEFAULT NULL,
  `apellido_cliente` varchar(100) DEFAULT NULL,
  `email_cliente` varchar(100) DEFAULT NULL,
  `pais_cliente` varchar(100) DEFAULT NULL,
  `ciudad_cliente` varchar(100) DEFAULT NULL,
  `postal_cliente` varchar(100) DEFAULT NULL,
  `direccion_cliente` varchar(255) DEFAULT NULL,
  `tel_cliente` varchar(100) DEFAULT NULL,
  `fecha_envio` varchar(100) DEFAULT NULL,
  `nombre_envio` varchar(100) DEFAULT NULL,
  `apellido_envio` varchar(100) DEFAULT NULL,
  `email_envio` varchar(100) DEFAULT NULL,
  `pais_envio` varchar(100) DEFAULT NULL,
  `ciudad_envio` varchar(100) DEFAULT NULL,
  `postal_envio` varchar(100) DEFAULT NULL,
  `direccion_envio` varchar(255) DEFAULT NULL,
  `tel_envio` varchar(100) DEFAULT NULL,
  `pedido_total` float DEFAULT NULL,
  `dir_ip` varchar(25) DEFAULT NULL,
  `dialogo` text,
  `observaciones` text,
  `passped` varchar(100) DEFAULT NULL,
  `enabled` int(1) DEFAULT '0',
  `openvio` text,
  `openvio_envID` int(11) DEFAULT NULL,
  `openvio_coste` float DEFAULT NULL,
  PRIMARY KEY (`pedID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- ## `ig_traducciones`
--

CREATE TABLE IF NOT EXISTS `ig_traducciones` (
  `tradID` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) DEFAULT NULL,
  `idioma` varchar(255) DEFAULT NULL,
  `traduccion` text,
  `fecha` varchar(100) DEFAULT NULL,
  `orden` int(11) DEFAULT NULL,
  `enabled` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tradID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

